#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
using namespace std;
#define rep(i, k) for(int i = 0; i < k; i++)
#define all(x) x.begin(), x.end()
using ll = long long;
using vi = vector<int>;

inline bool cmp(int a, int b) {
	return a > b;
}

inline int gcd(int a, int b) {
	if (b > a)
		return gcd(b, a);
	if (b == 0)
		return a;
	return gcd(b, a % b);
}

inline bool issq(int x) {
	int k = sqrt(x);
	if (k * k == x)
		return true;
	return false;
}

const int sz = 1e9 + 5;
vector <bool> sq(sz, false);

int main() {
	int l, r;
	cin >> l >> r;
	ll cnt = 0;
	//vector <bool> sq(r);
	for (int i = 2; i <= r; i++) {
		if (issq(i)) {
			for (int j = 1; j * i <= r; j++) {
				sq[i * j] = true;
			}
		}
	}

	for (int i = l; i <= r; i++) {
		if (sq[i])
			continue;
		for (int j = i + 1; j <= r; j++) {
			if (sq[j])
				continue;
			if (j == (i + 1)) {
				cnt++;
				continue;
			}
			if (gcd(i, j) == 1)
				cnt++;
			/*int tmp = gcd(i, j);
			if (sq[tmp] == false)
				cnt++;*/
		}
	}
	cout << cnt;
	return 0;
}	