
import java.util.Scanner;


public class Main {
    final static Scanner scanner = new Scanner(System.in);
    private static int depth = 0;
    private static int aim, k;
    private static StringBuilder sb = new StringBuilder();


    private static int read() {
        return scanner.nextInt();
    }


    private static void println(Object o) {
        System.out.println(o);
    }

    private static void print(Object o) {
        System.out.print(o);
    }

    private static int start(int n) {
        return n / k - (k - 1) / 2;
    }

    private static int end(int n) {
        return (int) Math.ceil((double) n / (double) k) + (k - 1) / 2;
    }

    private static void recursion(int n, int dn) {
        depth++;
        if (dn == 0) {
            sb.append("+0");
        } else {
            sb.append(dn > 0 ? "+" + dn : dn);
        }
        if (depth == k) {
            if (n+dn == aim) {
                println(sb.toString());

            }
            sb.delete(sb.length()-2, sb.length());

        } else {

            int n_ = n + dn;
            int dn_ = dn;

            recursion(n_, dn_ - 1);
            recursion(n_, dn_);
            recursion(n_, dn_ + 1);
            sb.delete(sb.length()-2, sb.length());
        }

        depth--;

    }

    private static void bruteforce(int n) {
        for (int z = start(n); z <= end(n); z++) {
            recursion(0, z);
        }
    }

    public static void main(String[] args) {
        aim = read();
        k = read();

        bruteforce(aim);
    }
}
