﻿#include <iostream>
#include <cmath>
#include <algorithm>
#include <string>
#include <stack>
#include <queue>
#include <map>
#include <set>
#include <vector>
#include <list>

using namespace std;

int res(long long a) {
	for (long long i = 2; i * i <= a; ++i) {
		if (a % i == 0) {
			int cnt = 0;
			while (a % i == 0) {
				++cnt;
				if (cnt >= 2)
					return 0;
				a /= i;
			}
		}
	}
	return 1;
}

int main() {
	cin.tie(0);
	cout.tie(0);
	std::ios::sync_with_stdio(false);
	long long l, r, cnt = 0;
	cin >> l >> r;
	vector <int> a(r - l + 1, 1);
	for (long long i = l; i <= r; ++i) {
		if (abs(int(sqrt(double(i))) - sqrt(double(i))) < 0.00001)
			a[i - l] = 0;
	}
	for (long long i = l; i <= r; ++i)
		if (a[i - l] == 1)
			for (long long j = i + 1; j <= r; ++j)
				if (a[j - l] == 1) {
					if (j % i != 0 && res(i * j) == 1)
						++cnt;
				}
	cout << cnt;
}

