#include <iostream>
#include <cmath>

bool freeSqrt(int n) {
	//std::cout << "N: " << n << "\n";
	for (int i = 1; i <= sqrt(n); i++) {
		if (n % i == 0) {
			//std::cout << "N % " << i << " = 0\n";
			if (sqrt(n / i) - ((int)sqrt(n / i)) == 0) {
				//std::cout << "sqrt(n / i) - ((int)sqrt(n / i)) = " << sqrt(n / i) - ((int)sqrt(n / i)) << "\n";
				return false;
			}
		}
	}
	return true;
}

int main() {
	int l, r;
	std::cin >> l >> r;

	int result = 0;
	for (int i = l; i <= r; i++) {
		//std::cout << "I: " << i << "\n";
		//std::cout << "freeSqrt(i): " << freeSqrt(i) << "\n";
		if (!freeSqrt(i)) {
			continue;
		}
		for (int j = i + 1; j <= r; j++) {
			//std::cout << "\tJ: " << j << "\n";
			//std::cout << "\tI * J: " << j << "\n";
			//std::cout << "\tfreeSqrt(i * j): " << freeSqrt(i * j) << "\n";
			if (!freeSqrt(i * j)) {
				continue;
			}
			result++;
		}
	}
	std::cout << result;
}