#include <iostream>
#include <cmath>

/*bool freeSqrt(int n) {
	//std::cout << "N: " << n << "\n";
	for (int i = 1; i <= n / 2; i++) {
		if (n % i == 0) {
			//std::cout << "N % " << i << " = 0\n";
			double s = sqrt(n / i);
			if (s - ((int)s) == 0) {
				//std::cout << "sqrt(n / i) - ((int)sqrt(n / i)) = " << sqrt(n / i) - ((int)sqrt(n / i)) << "\n";
				return false;
			}
		}
	}
	return true;
}*/

bool freeSqrt(int n) {
	int i = 2;
	int p = 0;
	do {
		p = i * i;
		//std::cout << p;
		if (n % p == 0) {
			return false;
		}
		i++;
	} while (p <= n);
	return true;
}

int main() {
	int l, r;
	std::cin >> l >> r;

	//bool freeSqrtDB[r * r - l + 1];

	/*for (int i = l; i <= r * r; i++) {
		freeSqrtDB[i - l] = freeSqrt(i);
	}*/
	//std::cout << " --------- \n";
	//std::cout << freeSqrtDB[9];

	//std::cout << freeSqrt(3) << "\n";
	//std::cout << freeSqrt(4) << "\n";
	//std::cout << freeSqrt(9) << "\n";

	long int result = 0;
	for (int i = l; i <= r; i++) {
		//std::cout << "I: " << i << "\n";
		//std::cout << "freeSqrt(i): " << freeSqrtDB[i - l] << "\n";
		if (!freeSqrt(i)) {
			continue;
		}
		for (int j = i + 1; j <= r; j++) {
			//std::cout << "\tJ: " << j << "\n";
			//std::cout << "\tI * J: " << i * j << "\n";
			//std::cout << "\tfreeSqrt(i * j): " << freeSqrtDB[i * j - l] << "\n";
			if (!freeSqrt(i * j)) {
				continue;
			}
			//std::cout << "result++\n";
			result++;
		}
	}
	std::cout << result;
	//int n;
	//std::cin >> n;
	return 0;
}