#include <iostream>
#include <cmath>
#include <vector>
#include <algorithm>
#define ll long long
using namespace std;

int gcd(int a, int b)
{
    if(b == 0) return a;
    return gcd(b,a % b);
}

bool Search(int x)
{
    for(int i = 2; i <= sqrt(x); ++i)
    {
        if(x % i == 0) x/=i;
        if(x % i == 0) return false;
    }
    return true;
}

int main() {
    int l, r, a, b, size;
    ll count = 0;
    cin >> l >> r;
    vector<int> k;
    for(int i = l; i <= r; ++i)
    {
        if(Search(i)) k.push_back(i);
    }
    size = k.size();
    for(int i = 0; i < size; ++i)
    {
        a = k[i];
        for(int j = i + 1; j < size; ++j)
        {
            b = k[j];
            if(gcd(a, b) == 1) count++;
        }
    }
    cout << count;
    return 0;
}