#include <iostream>
#include <cmath>
#include <string>
#include <vector>
#include <algorithm>

using namespace std;


int main() {
    int l, r;
    cin >> l >> r;

    vector<vector<int>> dels;
    for (int i = l; i <= r; ++i) {
        dels.push_back(vector<int>());
        int max = sqrt(i);
        int num = i;
        bool simple = 0;

        while (!simple) {
            simple = 1;
            for (int j = 2; j <= max; ++j) {
                if (num % j == 0) {
                    dels[dels.size() - 1].push_back(j);
                    num /= j;
                    simple = 0;
                    break;
                }
            }
        }

        if (num != 1) {
            dels[dels.size() - 1].push_back(num);
        }

        sort(dels[dels.size() - 1].begin(), dels[dels.size() - 1].end());
        for (int j = 1; j < dels[dels.size() - 1].size(); ++j) {
            if (dels[dels.size() - 1][j - 1] == dels[dels.size() - 1][j]) {
                dels.pop_back();
                break;
            }
        }
    }

    if (dels.size() <= 1) {
        cout << 0 << endl;
        return 0;
    }
    int count = 0;
    for (int i = 0; i < dels.size(); ++i) {
        for (int j = i + 1; j < dels.size(); ++j) {
            bool good = 1;
            for (int a : dels[i]) {
                for (int b : dels[j]) {
                    if (a == b) {
                        good = 0;
                        break;
                    }
                }
                if (good == 0) break;
            }

            if (good) {
                ++count;
            }
        }
    }

    cout << count << endl;

    return 0;
}