#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <vector>
#include <queue>
#include <algorithm>
#include <cmath>
#include <map>
#include <string>

using namespace std;

#define vi vector<int>
#define vvi vector<vector<int>>

int main()
{
#ifdef _DEBUG
    freopen("a.in", "r", stdin);
    freopen("a.out", "w", stdout);
#endif 
    int k, m, n;
    cin >> k >> m;
    vi a(m);
    for (auto& j : a) cin >> j;
    cin >> n;
    vi b(n);
    for (auto& j : b) cin >> j;
    vi sorta(k+1, 0), sortb(k+1, 0);
    vector<pair<int, int>> fsa;
    vector<pair<int, int>> fsb;

    //sort(fsa.begin(), fsa.end());
    //sort(fsb.begin(), fsb.end());

    for (int i = 0; i < a.size(); i++)
        sorta[a[i]]++;
    for (int i = 0; i < b.size(); i++)
        sortb[b[i]]++;

    int ma = 1e9;
    int mb = 1e9;
    int ima = 0, imb = 0;
    for (int i = 0; i < sorta.size(); i++) {
        if (sorta[i] != 0)
            fsa.emplace_back(make_pair(sorta[i], i));
    }
    for (int i = 0; i < sortb.size(); i++){
        if (sortb[i] != 0)
            fsb.emplace_back(make_pair(sortb[i], i));
    }
    vector<pair<int, int>> t;
    vector<bool> us(k + 1, false);
    for(int i = 0; i < fsa.size(); i++)
        for (int j = 0; j < fsb.size(); j++) {
            if (fsa[i].second == fsb[i].second && !us[fsb[i].second]) {
                t.emplace_back(make_pair(max(fsa[i].first, fsb[i].first), fsa[i].second));
                us[fsb[i].second] = true;
            }
        }
    int ans_sz = 1e9, ans_n = 1e9;
    for (int i = 0; i < t.size(); i++) {
        if (t[i].first < ans_sz) {
            ans_sz = t[i].first;
            ans_n = t[i].second;
        }
    }
    ans_sz++;
    cout << ans_sz << "\n";
    for (int i = 0; i < ans_sz; i++) {
        cout << ans_n << " ";
    }
    return 0;
}
