#include <iostream>
#include <cmath>

int nod(int a, int b)
{
	if(a == 0)
		return b;
	if(b == 0)
		return a;
	if(a % b == 0)
	{
		return b;
	}
	if(b % a == 0)
	{
		return a;
	}
	if(a == 1)
		return 1;
	if(b == 1)
		return 1;
	if(a < b)
		return nod(a, b % a);
	if(b < a)
		return nod(b, a % b);
}

int main()
{
	int l, r;
	std::cin >> l >> r;
	int counter = 0;
	for(int i = l; i < r; ++i)
	{
		for(int j = i + 1; j <= r; ++j)
		{
			if(nod(i, j) == 1)
			{
				bool sqfree = true;
				for(int k = 2; k <= sqrt(i); ++k)
				{
					if(i % (k * k) == 0)
					{
						sqfree = false;
						break;
					}
				}
				for(int k = 2; k <= sqrt(j); ++k)
				{
					if(j % (k * k) == 0)
					{
						sqfree = false;
						break;
					}
				}
				if(sqfree)
					++counter;
				sqfree = true;
			}
		}
	}
	std::cout << counter;
	return 0;
}