import java.util.Scanner;

public class Main4 {
    public static volatile long countFr = 0;
    public static void main(String[] args) {
	    Scanner s = new Scanner(System.in);
	    long l = s.nextInt(), r = s.nextInt();
        int count = 0;
        long[] frees = new long[1000];
        for (long i = l; i <= r; i++) {
            if (isFree(i)) frees[count++] = i;
        }
        for (int i = 0; i < count; i++) {
            for (int k = i + 1; k < count; k++) {
                if (isFree(frees[i]*frees[k])) countFr++;
            }
        }
        System.out.println(countFr);
        System.out.flush();
    }

    private static boolean isFree(long i) {
        if (i < 5 && i != 4) return true;
        long maxFind = (long) (Math.sqrt(i) + 1);
        for (long t = 2; t <= maxFind; t++) {
            if ((i % (t*t)) == 0) {
                return false;
            }
        }
        return true;
    }

    public static class LongEntry {
        public final long a, b;
        public LongEntry( long a, long b) {
            this.a = Math.max(a, b);
            this.b = Math.min(a, b);
        }

        @Override
        public boolean equals(Object obj) {
            LongEntry ent = (LongEntry) obj;
            return ent.a == this.a && ent.b == this.b;
        }
    }
}
