import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Main4 {
    public static volatile long countFr = 0;
    public static volatile int count = 0;
    public static void main(String[] args) throws InterruptedException {
	    Scanner s = new Scanner(System.in);
	    long l = s.nextInt(), r = s.nextInt();
        long[] frees = new long[1000];
        long f = l < 100 ? 1000 :  (long)(Math.sqrt(l) + 10);
        List<Thread> threadList = new ArrayList<>();
        for (long i = l; i <= r; i++) {
            if ((i % 4) == 0 || (i % 9) == 0) continue;
            long i1 = i;
            Thread thr = new Thread(() -> {
                if (isFree(i1, f)) frees[count++] = i1;
            });
            thr.start();
            threadList.add(thr);
        }
        for (Thread t : threadList) t.join();
        threadList.clear();
        for (int i = 0; i < count; i++) {
            int cnt = count;
            int i1 = i;
            Thread thr = new Thread(() -> {
                for (int k = i1 + 1; k < cnt; k++) {
                    if (isFree(frees[i1] * frees[k])) countFr++;
                }
            });
            thr.start();
            threadList.add(thr);
        }
        for (Thread t : threadList) t.join();
        threadList.clear();
        System.out.println(countFr);
        System.out.flush();
    }


    private static boolean isFree(long i) {
        if (i < 5 && i != 4) return true;
        long maxFind = (long)(Math.sqrt(i) + 1);
        for (long t = 2; t <= maxFind; t++) {
            if ((i % (t*t)) == 0) {
                return false;
            }
        }
        return true;
    }

    private static boolean isFree(long i, long f) {
        if (i < 5 && i != 4) return true;
        long maxFind = f;
        for (long t = 2; t <= maxFind; t++) {
            if ((i % (t*t)) == 0) {
                return false;
            }
        }
        return true;
    }

    public static class LongEntry {
        public final long a, b;
        public LongEntry( long a, long b) {
            this.a = Math.max(a, b);
            this.b = Math.min(a, b);
        }

        @Override
        public boolean equals(Object obj) {
            LongEntry ent = (LongEntry) obj;
            return ent.a == this.a && ent.b == this.b;
        }
    }
    public class Checker implements Runnable {
        public Checker
    }
}
