#include <iostream>
#include <cmath>
#include <vector>

using namespace std;

bool isFreeSq(int n) {
    int N = sqrt(n);
    for (int i = 2; i <= N; ++i) {
        if (n % (i * i) == 0) {
            return false;
        }
    }
    return true;
}

int gcd (int a, int b) {
    if (a < b) {
        swap(a, b);
    }
    while (b != 0) {
        a %= b;
        swap(a, b);
    }
    return a;
}

int main() {
    int l, r, count = 0;
    cin >> l >> r;
    vector<int> arr;
    for (int i = l; i <= r; ++i) {
        if (isFreeSq(i)) {
            arr.push_back(i);
        }
    }
    for (int a = 0; a < arr.size() - 1; ++a) {
        for (int b = a + 1; b < arr.size(); ++b) {
            if (gcd(arr[a], arr[b]) == 1) {
                ++count;
            }
        }
    }
    cout <<count;
}