#include <bits/stdc++.h>
using namespace std;

set<vector<int>> res;

void form(vector<pair<int, int>> gt, vector<int> ans, int ind, int k)
{
	if (ans.size() == k)
	{
		res.insert(ans);
		return;
	}
	if (gt[ind].second > 0)
	{
		ans.push_back(gt[ind].first);
		gt[ind].second--;
		form(gt, ans, ind,k);
		ans.pop_back();
		gt[ind].second++;
	}
	if (gt[ind-1].second > 0 && ind - 1 >= 0)
	{
		ans.push_back(gt[ind-1].first);
		gt[ind-1].second--;
		form(gt, ans, ind-1,k);
		ans.pop_back();
		gt[ind-1].second++;
	}
	if (gt[ind+1].second > 0 && ind+1 < gt.size())
	{
		ans.push_back(gt[ind+1].first);
		gt[ind+1].second--;
		form(gt, ans, ind+1,k);
		ans.pop_back();
		gt[ind+1].second++;
	}	
}

void getAll(vector<int> a, int k)
{
	map<int, int> cnt;
	for (int it : a)
		cnt[it]++;
	vector<pair<int, int>> gt;
	for (auto it : cnt)
		gt.push_back({ it.first, it.second });
	sort(gt.begin(), gt.end());
	vector<int> ans;
	for (int i = 0; i < gt.size(); i++)
	{
		ans.push_back(gt[i].first);
		gt[i].second--;
		form(gt, ans, i, k);
		ans.pop_back();
		gt[i].second++;
	}
}


void rec(int n, int k, int last, int sum, int was, vector<int> ans)
{
	if (abs(sum - n) > 100) return;
	if (was > k) return;
	if ((sum == n && was == k))
	{
		getAll(ans, k);	
		return;
	}	
	ans.push_back(last);
	rec(n, k, last, sum + last, was + 1, ans);
	ans.pop_back();
	ans.push_back(last + 1);
	rec(n, k, last + 1, sum + last + 1, was + 1, ans);
	ans.pop_back();
}

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);

	int n, k;
	cin >> n >> k;
	vector<int> ans;
	for (int start = -1000; start <= 1000; start++)
	{
		ans.clear();
		rec(n, k, start, 0, 0, ans);
	}
	for (auto it : res)
	{
		for (int i = 0; i < it.size();i++)
		{
			if (i != 0 && abs(it[i] - it[i - 1]) > 1)
				assert(false);
			if (i == 0) cout << it[i];
			else
			{
				if (it[i] < 0) cout << it[i];
				else cout << "+" << it[i];
			}
		}
		cout << "\n";
	}

	return 0;
}
