#include <bits/stdc++.h>

#define ll long long
#define pb push_back

using namespace std;


bool isFree(ll x) {
    for (ll p = 2; p * p <= x; p++) {
        if (x % (p * p) == 0) {
            return false;
        }
    }
    return true;
}


void solve() {
    ll l, r;
    cin >> l >> r;
    vector<bool> f(r - l + 1);
    for (int d = 0; l + d <= r; d++) {
        f[d] = isFree(l + d);
        //cerr << l + d << " " << f[d] << "\n";
    }
    ll answer = 0;
    for (int d1 = 0; l + d1 <= r; d1++) {
        for (int d2 = d1; l + d2 <= r; d2++) {
            if (f[d1] and f[d2] and __gcd(l + d1, l + d2) == 1) {
                answer++;
            }
        }
    }
    cout << answer;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    solve();
}
