#include <bits/stdc++.h>

#define ll long long
#define pb push_back

using namespace std;


void solve() {
    int k;
    cin >> k;
    int n;
    cin >> n;
    vector<int> a(n);
    for (auto &x : a) {
        cin >> x;
        x--;
    }
    int m;
    cin >> m;
    vector<int> b(m);
    for (auto &x : b) {
        cin >> x;
        x--;
    }
    vector<vector<int>> dp1(2 * max(n, m) + 1, vector<int>(n)), dp2(2 * max(n, m) + 1, vector<int>(m));
    dp1[0] = vector<int>(n, 1);
    dp2[0] = vector<int>(m, 1);

    function<bool(vector<int>&)> tryFindA = [&](vector<int> &c) {
        int i = c.size() - 1;
        int x = n - 1;
        while (i >= 0 and x >= 0) {
            if (a[x] == c[i]) {
                i--;
                x--;
            } else {
                x--;
            }
        }
        return (i < 0);
    };

    function<bool(vector<int>&)> tryFindB = [&](vector<int> &c) {
        int i = c.size() - 1;
        int x = m - 1;
        while (i >= 0 and x >= 0) {
            if (b[x] == c[i]) {
                i--;
                x--;
            } else {
                x--;
            }
        }
        return (i < 0);
    };

    for (int len = 1; ; len++) {
        //cout << "Len now is " << len << endl;
        vector<int> &newDp1 = dp1[len], &newDp2 = dp2[len];
        vector<bitset<5000>> good(k);
        //set<int> t;
        bitset<5000> t;
        for (int i = 0; i < k and len != 1; i++) {
            t[i] = true;
        }
        for (int i = 0; i < n; i++) {
            int x = a[i];
            if (t.count() == 0) {
                newDp1[i] = 1;
            }
            good[x] |= ~t;
            //newDp1[i] = (s1 >= k);
            //good[x] |= newDp1[i];
            if (dp1[len - 1][i]) {
                t[x] = false;
            }
        }
        for (int i = 0; i < k; i++) {
            t[i] = false;
        }
        for (int i = 0; i < k and len != 1; i++) {
            t[i] = true;
        }
        for (int i = 0; i < m; i++) {
            int x = b[i];
            if (t.count() == 0) {
                newDp2[i] = 1;
            }
            good[x] |= ~t;
            //newDp1[i] = (s1 >= k);
            //good[x] |= newDp1[i];
            if (dp2[len - 1][i]) {
                t[x] = false;
            }
        }

        int lst = -1;
        for (int i = 0; i < k; i++) {
            if (good[i][0] == 0 or good[i].count() + k - 5000 < k) {
                lst = i;
                break;
            }
            //for (int t = 0; t < k; t++) {
            //    if (!good[i][t]) {
            //        lst = i;
            //        break;
            //    }
            //}
            //if (lst != -1) {
            //    break;
            //}
        }
        if (lst != -1) {
            //cout << "Got to answer" << endl;
            cout << len << endl;
            vector<int> answer;
            int l = len;
            int p1 = n;
            int p2 = m;
            while (l > 0) {
                set<int> t, t1, t2;
                int newp1 = 0, newp2 = 0;
                vector<int> good(k, 1);


                for (int i = 0; i < k and l != 1; i++) {
                    t.insert(i);
                }
                for (int i = 0; i < p1; i++) {
                    int x = a[i];
                    if (x == lst) {
                        t1 = t;
                        newp1 = i;
                    }
                    if (dp1[l - 1][i] != 0) {
                        good[x] = 0;
                    }
                    if (dp1[l - 1][i]) {
                        t.erase(x);
                    }
                }
                t.clear();
                for (int i = 0; i < k and l != 1; i++) {
                    t.insert(i);
                }
                for (int i = 0; i < p2; i++) {
                    int x = b[i];
                    if (x == lst) {
                        t2 = t;
                        newp2 = i;
                    }
                    if (dp2[l - 1][i] != 0) {
                        good[x] = 1;
                    }
                    if (dp2[l - 1][i]) {
                        t.erase(x);
                    }
                }
                answer.pb(lst);
                p1 = newp1;
                p2 = newp2;
                lst = 0;
                for (auto x : t1) {
                    if (t2.count(x) != 0 and good[x]) {
                        lst = x;
                        break;
                    }
                }
                //cout << "Step l = " << l << " done. found lst = " << lst << endl;
                //cout << "Found newP1 = " << p1 << " and newP2 = " << p2 << endl;
                l--;
            }
            reverse(answer.begin(), answer.end());
            for (auto x : answer) {
                cout << x + 1 << " ";
            }
            //cout << endl;
            //for (int x = 1; x <= len; x++) {
            //    cout << "dp1[" << x << "] = ";
            //    for (auto t : dp1[x]) {
            //        cout << t << " ";
            //    }
            //}
            //cout << endl;
            //for (int x = 1; x <= len; x++) {
            //    cout << "dp2[" << x << "] = ";
            //    for (auto t : dp2[x]) {
            //        cout << t << " ";
            //    }
            //}
            //cout << endl;
            assert(!tryFindA(answer));
            assert(!tryFindB(answer));
            break;
        }
    }
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    solve();
}
