import java.io.BufferedWriter;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.util.HashSet;
import java.util.Scanner;
import java.util.stream.Collectors;
import java.util.stream.IntStream;

public class Main {

    private static Scanner s = new Scanner(System.in);
    private static BufferedWriter w = new BufferedWriter(new OutputStreamWriter(System.out));

    public static void main(String[] args) throws IOException {
        //taskD();
        taskD3();
        w.flush();
    }

    public static void taskD() {
        int l = s.nextInt(), r = s.nextInt(), sq = (int) Math.sqrt(r), count = 0;
        HashSet<Integer> set = IntStream.range(l, r + 1).boxed().collect(Collectors.toCollection(HashSet::new));
        for (int y = 2; y <= sq; y++) for (int a = l; a <= r; a++) if (a % (y * y) == 0) set.remove(a);
        Integer[] arr = set.toArray(Integer[]::new);
        for (int i = 0; i < arr.length - 1; i++) {
            for (int j = i + 1; j < arr.length; j++) if (arr[j] % arr[i] != 0) count++;
        }
        System.out.println(count);
    }

    public static void taskD3() {
        int l = s.nextInt(), r = s.nextInt(), count = 0;
        HashSet<Integer> not = new HashSet<>();
        for (int a = l; a < r; a++) {
            for (int b = a + 1; b <= r; b++) {
                if (b % a != 0 && !not.contains(a) && !not.contains(b)) {
                    boolean a1 = true, b1 = true;
                    for (int y = 2; y < Math.sqrt(r) && (a1 || b1); y++) {
                        if (a % (y * y) == 0) a1 = false;
                        if (b % (y * y) == 0) b1 = false;
                    }
                    if (!a1) not.add(a);
                    if (!b1) not.add(b);
                    if (a1 && b1) count++;
                }
            }
        }
        System.out.println(count);
    }






}
