def primfacs(n):
    i = 2
    primfac = []
    while i * i <= n:
        while n % i == 0:
            primfac.append(i)
            n = n / i
        i = i + 1
    if n > 1:
        primfac.append(n)
    return primfac


def is_free(n):
    li = primfacs(n)
    s = set()
    for x in li:
        if x in s:
            return False
        else:
            s.add(x)
    return True


if __name__ == '__main__':
    l = int(input())
    r = int(input())
    c = 0
    for b in range(l, r + 1):
        for a in range(l, b):
            if is_free(a * b):
                c += 1
    print(c)
