#include <iostream>
#include <algorithm>
#include <functional>

int main () {
    using namespace std;
    
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr); cout.tie(nullptr);
    
    function<char(int)> division = 
    [] (int x) -> char {
        if (x <= 1600)
            return '3';
        if (x <= 1900)
            return '2';
        return '1';
    };
    
    int x;
    string s;
    cin >> x >> s;
    char dx = division(x);
    
    if (find(begin(s), end(s), dx) != end(s))
        cout << dx << '\n';
    else
        for (char d: s) {
            cout << d;
            if (d > dx)
                cout << '*';
            cout << '\n';
        }
    
    return 0;
}