from math import sqrt

quadratic = []


def get_fixed_factorized(n):
    if n == 1:
        return [n]
    if n in quadratic:
        return []
    saved_n = n
    res = []
    i_c = 0
    while n % 2 == 0:
        if i_c >= 1:
            quadratic.append(saved_n)
            return []
        res += [2]
        n = n//2
        i_c += 1

    for i in range(3, int(sqrt(n))+1, 2):
        i_c = 0
        while n % i == 0:
            if i_c >= 1:
                quadratic.append(saved_n)
                return []
            res += [i]
            n = n//i
            i_c += 1

    if n > 1:
        res += [n]

    return res


l = int(input())
r = int(input())

counter = 0
for b in range(l+1, r+1):
    b_factors = get_fixed_factorized(b)
    if len(b_factors) == 0:
        continue
    for a in range(l, b):
        a_factors = get_fixed_factorized(a)
        if len(a_factors) == 0:
            continue
        if len(list(set(a_factors) & set(b_factors))) == 0:
            counter += 1

print(counter)
