#include <iostream>
#include <vector>
#include <algorithm>
#include <math.h>

using namespace std;

int mobius(long long int n) { 
    int p = 0; 
    if (n%2 == 0) { 
        n = n/2; 
        p++; 
        if (n % 2 == 0) 
           return 0; 
    } 
    for (long long int i = 3; i <= sqrt(n); i = i+2){
        if (n%i == 0) { 
            n = n/i; 
            p++; 
            if (n % i == 0) 
               return 0; 
        } 
    } 
  
    return (p % 2 == 0)? -1 : 1; 
} 


int main(){
    long long int l, r;
    cin >> l >> r;
    std::vector<long long int> a;
    
    for(long long int i = l; i < r + 1; i++){
        int u = mobius(i);
        if(abs(u) == 1){
            //cout << "u" << u << " " << i << '\n';
            
            a.push_back(i);
        }
    }		
    int c = 0;
    for(int i = 0; i < a.size(); i++){
        for (int j = i; j < a.size(); j++) {
            if(a[i] != a[j]){
                int u = abs(mobius(a[i] * a[j]));
                if(u == 1 ){
                    c++;
                }
            }
        }
    } 
    cout << c << '\n';
}