#include <iostream>
#include <vector>

using namespace std;

void up(vector<int> a, int n, int k) {
	int i = 0;
	int j = k - 1;
	while (i < k-1 && a[i] > a[i + 1]) {
		i++;
	}
	a[i]++;
	while (j > 0 && a[j] < a[j - 1]) {
		j--;
	}
	if (i >= j) {
		return;
	}
	a[j]--;
	up(a, n, k);
	for (int i = 0; i < k; i++) {
		if (a[i] >= 0 && i != 0) {
			cout << "+";
		}
		cout << a[i];
	}
	cout << endl;
	return;
}

void down(vector<int> a, int n, int k) {
	int i = 0;
	int j = k - 1;
	while (i < k - 1 && a[i] < a[i + 1]) {
		i++;
	}
	a[i]--;
	while (j > 0 && a[j] > a[j - 1]) {
		j--;
	}
	if (i >= j) {
		return;
	}
	a[j]++;
	down(a, n, k);
	for (int i = 0; i < k; i++) {
		if (a[i] >= 0 && i != 0) {
			cout << "+";
		}
		cout << a[i];
	}
	cout << endl;
	return;
}

int main() {
	int n, k;
	cin >> n >> k;
	vector <int> a(k, 0);
	int iter = 0;
	int prev = 0;
	for (int i = 0; i < n; i++) {
		a[iter]++;
		iter++;
		if (iter == k || prev + (n-1) < iter) {
			prev = iter;
			iter = 0;
		}
	}
	down(a, n, k);
	for (int i = 0; i < k; i++) {
		if (a[i] >= 0 && i != 0) {
			cout << "+";
		}
		cout << a[i];
	}
	cout << endl;
	up(a, n, k);
	return 0;
}