#include <iostream>
#include <cmath>
#include <algorithm>
#include <vector>
#include <cassert>
#define int long long
#define debug(x) cout << #x << " == " << x << '\n';
using namespace std;
int k, n, m;
int mid;
vector <int> a, b;

vector <int> gen(vector <int> cur) {
    if (cur.size() == mid) {
        int ind1 = 0, ind2 = 0;
        for (auto x : a)
            if (ind1 < cur.size() and cur[ind1] == x)
                ind1++;
        for (auto x : b)
            if (ind2 < cur.size() and cur[ind2] == x)
                ind2++;
        if (ind1 < cur.size() and ind2 < cur.size()) return cur;
        else return { -1 };
    }
    for (int i = 1; i <= k; ++i) {
        cur.push_back(i);
        vector <int> got = gen(cur);
        if (got[0] != -1) return got;
        cur.pop_back();
    }
    return { -1 };
}
const int N = 10;
int dp[N][N][2][2];
signed main() {
    cin >> k;
    cin >> n;
    a.resize(n);
    for (auto& x : a) cin >> x;
    cin >> m;
    b.resize(m);
    for (auto& x : b) cin >> x;
    if (k == 1) {
        cout << max(n, m) + 1 << '\n';
        for (int i = 0; i < max(n, m) + 1; ++i) {
            cout << "1 ";
        }
        cout << '\n';
        return 0;
    }
    else if (k == 2) {
        int s = 1, cnt1 = 0, cnt2 = 0, cnt3 = 0, cnt4 = 0;
        for (int i = 0; i < n; ++i) {
            if (s == a[i]) {
                cnt1++;
                s = 3 - s;
            }
        }
        s = 2;
        for (int i = 0; i < n; ++i) {
            if (s == a[i]) {
                cnt2++;
                s = 3 - s;
            }
        }
        s = 1;
        for (int i = 0; i < m; ++i) {
            if (s == b[i]) {
                cnt3++;
                s = 3 - s;
            }
        }
        s = 2;
        for (int i = 0; i < m; ++i) {
            if (s == b[i]) {
                cnt4++;
                s = 3 - s;
            }
        }
        vector <int> ans;
        if (max(cnt1, cnt2) > max(cnt3, cnt4)) {
            if (cnt1 < cnt2) {
                s = 1;
                for (int i = 0; i < cnt1; ++i) {
                    ans.push_back(s);
                    s = 3 - s;
                }
            }
            else {
                s = 2;
                for (int i = 0; i < cnt2; ++i) {
                    ans.push_back(s);
                    s = 3 - s;
                }
            }
        }
        else {
            if (cnt3 < cnt4) {
                s = 1;
                for (int i = 0; i < cnt3; ++i) {
                    ans.push_back(s);
                    s = 3 - s;
                }
            }
            else {
                s = 2;
                for (int i = 0; i < cnt4; ++i) {
                    ans.push_back(s);
                    s = 3 - s;
                }
            }
        }
        cout << ans.size() << '\n';
        for (auto x : ans) cout << x << ' ';
        cout << '\n';
    }
    int l = 0, r = max(n, m) + 1;
    while (l + 1 < r) {
        mid = (l + r) / 2;
        vector <int> res = gen({});
        if (gen({})[0] != -1) r = mid;
        else l = mid;
    }
    mid = r;
    vector <int> ans = gen({});
    cout << ans.size() << '\n';
    assert(ans[0] != -1);
    for (auto x : ans) cout << x << ' ';
    cout << '\n';
}