﻿#define _CRT_SECURE_NO_WARNINGS

#define ASF(i, obj) for (int i = 0; i < obj.size(); i++)
#define ISF(i, begin, end, step) for (int i = begin; i < end; i += step)
#define DSF(i, begin, end, step) for (double i = begin; i < end; i += step)
#define CSF(i, begin, end, step) for (char i = begin; i < end; i += step)
#define ARF(i, obj) for (int i = obj.size() - 1; i >= 0; i--)
#define IRF(i, begin, end, step) for (int i = begin; i >= end; i -= step)
#define DRF(i, begin, end, step) for (double i = begin; i >= end; i -= step)
#define CRF(i, begin, end, step) for (char i = begin; i >= end; i -= step)
#define FA(i, obj) for (auto& i : obj)
#define W(cond) while(cond)

#define V vector
#define M map
#define P pair
#define X first
#define Y second

#include <iostream>
#include <string>
#include <vector>
#include <map>
#include <algorithm>
#include <set>
#include <math.h>

using namespace std;

typedef int I;
typedef unsigned int UI;
typedef long long LL;
typedef float F;
typedef double D;
typedef bool B;
typedef char C;
typedef string S;
typedef P<I, I> PII;
typedef P<UI, UI> PUI;
typedef P<LL, LL> PLL;
typedef P<F, F> PF;
typedef P<D, D> PD;
typedef P<C, C> PC;
typedef P<S, S> PS;
typedef V<I> VI;
typedef V<VI> VVI;
typedef V<VVI> VVVI;
typedef V<UI> VUI;
typedef V<VUI> VVUI;
typedef V<VVUI> VVVUI;
typedef V<LL> VLL;
typedef V<VLL> VVLL;
typedef V<VVLL> VVVLL;
typedef V<F> VF;
typedef V<VF> VVF;
typedef V<VVF> VVVF;
typedef V<D> VD;
typedef V<VD> VVD;
typedef V<VVD> VVVD;
typedef V<C> VC;
typedef V<VC> VVC;
typedef V<VVC> VVVC;
typedef V<S> VS;
typedef V<VS> VVS;
typedef V<VVS> VVVS;
typedef M<F, I> MFI;
typedef M<D, I> MDI;
typedef M<C, I> MCI;
typedef M<S, I> MSI;

I main()
{
#ifdef _DEBUG
    freopen("a.in", "r", stdin);
    freopen("a.out", "w", stdout);
#endif

    I r;
    S s;
    cin >> r >> s;
    M<C, PII> m = { { '3', make_pair(0, 1600) }, { '2', make_pair(1601, 1900) }, { '1', make_pair(1901, 1e9) } };
    FA(i, s)
    {
        if (r > m[i].X && r <= m[i].Y)
        {
            cout << i;
            return 0;
        }
    }
    FA(i, s)
    {
        cout << i;
        if (r > m[i].Y) cout << '*';
        cout << '\n';
    }
    return 0;
}