def coprime(ps, n):
    for p in ps:
        if n%p == 0:
            return False
    return True

def contains_sq(ps, n):
    for p in ps:
        if n//p % p == 0:
            return True
    return False

def dp(n):
    ps = set()
    for p in range(2, n+1):
        if n%p==0 and coprime(ps, p):
            ps.add(p)
    return ps

l = int(input())
r = int(input())

c = 0

for a in range(l, r+1):
    for b in range(a, r+1):
        if a==b:
            continue
        
        la = dp(a)
        lb = dp(b)

        if contains_sq(la, a) or contains_sq(lb, b):
            continue

        if len(la & lb) == 0:
            c += 1

print(c)

