from math import sqrt

def squarefree(n):
    for i in range(2, int(sqrt(n) + 1)):
        if n % i == 0:
            n = n / i
        if n % i == 0:
            return False
    return True

l, r = int(input()), int(input())
res = 0

for a in range(l, r):
    for b in range(l + 1, r + 1):
        if squarefree(a * b):
            res += 1
print(res)
