from math import sqrt
l = int(input())
r = int(input())
not_free = set([x**2 for x in range(2,10**2)])

cache = {}

def gcd(a, b):
    while b:
        a, b = b, a%b
    return a

def is_free(n):
    if n in cache:
        return cache[n]
    for i in range(2,int(sqrt(n)+1)+1):
        if n%(i**2) == 0:
            cache[n] = False
            return False
    cache[n] = True
    return True
    
        
c = 0
for a in set(range(l,r+1)) - not_free:
    if is_free(a):
        for b in set(range(a+1,r+1, 2 if not a%2 else 1)) - not_free:
            if not is_free(b):
                not_free.add(b)
                continue
            c+=(gcd(a,b)==1)
            #print(a,b,(is_free(b) and is_free(a*b)), sep='|')
print(c)
