﻿// akunenko_olymp.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.
//

#include <iostream>
#include <algorithm>
#include <cmath>
#include <vector>

#define print(arr) for(int i = 0; i < arr.size(); i++) cout << arr[i] << " "; cout << "\n"

typedef long long ll;
typedef unsigned long long ull;

using namespace std;
vector<int> sq;


bool check(int value) {
	for (int i = 0; i < sq.size(); i++) {
		if (sq[i] > value)
			return false;
		if (value % sq[i] == 0)
			return true;
		
	}
	return false;
}

int nod(int a, int b) {
	if (a < b) swap(a, b);
	while (b != 0) {
		int temp = b;
		b = a % b;
		a = temp;
	}
	return a;
}

int main()
{
	int l, r;
	cin >> l >> r;


	for (int i = 2; i < r; i++) {
		sq.push_back(i * i);
	}

	vector<int> first;
	for (int x = l; x < r+1; x++) {
		if (!check(x))
			first.push_back(x);
	}

	int result = 0;
	for (int i = 0; i < first.size(); i++) {
		for (int j = i+1; j < first.size(); j++) {
			if (nod(first[i], first[j]) == 1)
				result += 1;
		}
	}

	cout << result;

}
