#define _CRT_SECURE_NO_WARNINGS
//@author : Kirkon
//current CF rating: 1605

#include <iostream>
#include <vector>
#include <set>
#include <deque>
#include <queue>
#include <stack>
#include <string>
#include <cstring>
#include <cstdio>
#include <algorithm>

using namespace std;

#define all(x) (x).begin(), (x).end()

typedef long long ll;

template<class T>
istream& operator >> (istream& in, vector<T>& a) {
    for (auto& i : a) {
        in >> i;
    }
    return in;
}

inline void solve() {
    int k, m, n;
    cin >> k >> m;
    vector<int> A(m);
    cin >> A;
    cin >> n;
    vector<int> B(n);
    cin >> B;
    if (k == 1) {
        cout << max(m, n) + 1 << '\n';
        for (int i = 0; i < max(m, n) + 1; ++i) {
            cout << 1 << " ";
        }
        return;
    }
    if (k == 2) {
    	//  -     -  
    	//   -   
        vector<int> cntsA(3, 0), cntsB(3, 0);
        int last = 0;
        int cur_one = 0, cur_two = 0, max_one_A, max_two_A, max_one_B, max_two_B;
    	for(int i = 0; i < A.size(); ++i)
    	{
            cntsA[A[i]]++;
    		if (A[i] == 1)
    		{
    			if (last == 1)
    			{
                    cur_one++;
    			}else
    			{
                    cur_one = 1;
                    max_two_A = max(max_two_A, cur_two);
                    cur_two = 0;
    			}
    		}else
    		{
                if (last == 2)
                {
                    cur_two++;
                }
                else
                {
                    cur_two = 1;
                    max_one_A = max(max_one_A, cur_one);
                    cur_one = 0;
                }
    		}
    	}
        max_one_A = max(max_one_A, cur_one);
        max_two_A = max(max_two_A, cur_two);
        cur_one = 0;
        cur_two = 0;
        for (int i = 0; i < B.size(); ++i)
        {
            cntsB[B[i]]++;
            if (B[i] == 1)
            {
                if (last == 1)
                {
                    cur_one++;
                }
                else
                {
                    cur_one = 1;
                    max_two_B = max(max_two_B, cur_two);
                    cur_two = 0;
                }
            }
            else
            {
                if (last == 2)
                {
                    cur_two++;
                }
                else
                {
                    cur_two = 1;
                    max_one_B = max(max_one_B, cur_one);
                    cur_one = 0;
                }
            }
        }
        max_one_B = max(max_one_B, cur_one);
        max_two_B = max(max_two_B, cur_two);
        int max_one = max(max_one_A, max_one_B);
        int max_two = max(max_two_A, max_two_B);
        int max_twos = max(cntsA[2], cntsB[2]);
        int max_ones = max(cntsA[1], cntsB[1]);
        if (max_ones > max_twos)
        {
            cout << max_twos + 1 << endl;
        	for(int i = 0; i < max_twos + 1; ++i)
        	{
                cout << 2 << " ";
        	}
        }else
        {
            cout << max_ones + 1 << endl;
            for (int i = 0; i < max_ones + 1; ++i)
            {
                cout << 1 << " ";
            }
        }
    }
    return;
}

signed main() {
    cin.tie(0);
    cout.tie(0);
    ios_base::sync_with_stdio(false);
    int tt = 1;
    //cin >> tt;
    while (tt--) {
        solve();
    }
    return 0;
}