#include<iostream>
#include<vector>
#include<string>
using namespace std;

vector<int> sort(vector<int>a,int len) {
	for (int i = 1; i < len; ++i)
	{
		for (int j = 0; j < len; ++j)
		{
			if (a[j] > a[i])
			{
				swap(a[j], a[i]);
			}
		}
	}
	return a;
}
bool check(int weight, vector <int>a)
{
	int size = a.size();
	vector <vector<int>> f(size + 1, vector<int>(weight + 1));
	for (int i = 0; i < size + 1; ++i)
		f[i][0] = 1;

	for (int i = 1; i <= size; ++i)
	{
		for (int j = 0; j < weight + 1; ++j)
		{
			if (j < a[i - 1])
			{
				f[i][j] = f[i - 1][j];
			}
			if (j >= a[i - 1])
			{
				f[i][j] = f[i][j - a[i - 1]];
				if (f[i][j] == 0)
					f[i][j] = f[i - 1][j];
			}
			if (f[i][weight] == 1)
				return 1;
		}
	}
	return 0;
}
int maximum(int n, int m)
{
	if (n > m)
		return m;
	return n;
}

int main()
{
	int n, m;
	cin >> n >> m;
	int ans = maximum(n, m) * 2;
	int dif = abs(n - m);
	if (dif % 2 != 0)
		ans++;
	cout << ans << endl;
	return 0;
}