def main(rating, divisions):
    base_division = None
    result = []
    max_divisions_ratings = {'3': (0, 1600), '2': (1601, 1900), '1': (1901, 5000)}
    if 0 <= rating <= 1600:
        base_division = '3'
    elif 1601 <= rating <= 1900:
        base_division = '2'
    elif rating >= 1900:
        base_division = '1'
    if base_division in divisions:
        return str(base_division)
    for key, val in list(max_divisions_ratings.items())[::-1]:
        start, end = val
        if rating > end and key != base_division:
            res = key + '*'
        elif key != base_division:
            res = key
        else:
            continue
        result.append(res)
    return '\n'.join(result)


if __name__ == '__main__':
    rating = int(input())
    divisions = [i for i in input()]
    print(main(rating, divisions))