package infmunic2020

import java.util.*
import kotlin.math.sqrt

fun checkForSquares(n: Int): Boolean {
    for (i in 2..sqrt(n.toDouble()).toInt()) {
        if (n % (i * i) == 0) {
            return false
        }
    }
    return true
}
fun main() {
    val scanner = Scanner(System.`in`)
    val l = scanner.nextInt()
    val r = scanner.nextInt()
    var count = 0
    for (a in l..r) {
        for (b in a + 1..r) {
            if (checkForSquares(a) && checkForSquares(b) && checkForSquares(a * b)) {
                count++
            }
        }
    }
    println(count)
}