package infmunic2020

import java.lang.Math.pow
import java.util.*
import kotlin.math.pow
import kotlin.math.sqrt

fun checkForSquares(a: Int, b: Int): Boolean {
    for (i in 2..(a * b).toDouble().pow(0.5).toInt()) {
        if (a % (i * i) == 0) return false
        if (b % (i * i) == 0) return false
        if (a % i == 0 && b % i == 0) return false
    }
    return true
}
fun main() {
    val scanner = Scanner(System.`in`)
    val l = scanner.nextInt()
    val r = scanner.nextInt()
    var count = 0
    (l..r).forEach { a ->
        (a + 1..r).forEach { b ->
            if (a != b) {
                if (checkForSquares(a, b)) {
                    count++
                }
            }
        }
    }
    println(count)
}