#include <bits/stdc++.h>

#define ll long long
#define ld long double

using namespace std;

const long long LINF = LLONG_MAX;
const int INF = INT_MAX;
const int MOD = 1000000007;

const ld PI = 3.14159265358979323;

const int N = 1e3 + 111;

ll l, r;
vector<map<ll, int>> fact;
bool bad[N];

int main() {
#ifdef Vova
    freopen("input", "r", stdin);
#else
    ios::sync_with_stdio(false);
    cin.tie(0);
#endif
    cin >> l >> r;
    for (ll _x = l; _x <= r; ++_x){
        ll x = _x;
        map<ll, int> cur;
        for (ll i = 2; i * i <= x; ++i){
            while (x % i == 0){
                x /= i;
                ++cur[i];
            }
        }
        if (x != 1)
            ++cur[x];
        fact.push_back(cur);
    }
    int ans = 0;
    for (ll x = l; x < r; ++x){
        for (ll y = x + 1; y <= r; ++y){
            bool ok = true;
            for (auto& p : fact[x-l]){
                if (p.second + fact[y-l][p.first] >= 2){
                    ok = false;
                    break;
                }
            }
            for (auto& p : fact[y-l]){
                if (p.second + fact[x-l][p.first] >= 2){
                    ok = false;
                    break;
                }
            }
            ans += ok;
        }
    }
    cout << ans;
}