#include <bits/stdc++.h>

#define ll long long
#define ld long double

using namespace std;

const long long LINF = LLONG_MAX;
const int INF = INT_MAX;
const int MOD = 1000000007;

const ld PI = 3.14159265358979323;

const int N = 1e3 + 111;

ll l, r;
vector<map<ll, int>> fact;
bool bad[N];

int main() {
#ifdef Vova
    freopen("input", "r", stdin);
#else
    ios::sync_with_stdio(false);
    cin.tie(0);
#endif
    cin >> l >> r;
    for (ll _x = l; _x <= r; ++_x){
        ll x = _x;
        bool fail = false;
        for (ll i = 2; i * i <= x; ++i){
            if (x % i == 0){
                x /= i;
                if (x % i == 0){
                    fail = true;
                    break;
                }
            }
        }
        bad[_x-l]=fail;
    }
    int ans = 0;
    for (ll x = l; x < r; ++x){
        if (bad[x-l])
            continue;
        for (ll y = x + 1; y <= r; ++y){
            if (bad[y-l])
                continue;
            ans += __gcd(x, y) == 1;
        }
    }
    cout << ans;
}