#include <bits/stdc++.h>

#define ll long long
#define ld long double

using namespace std;

const long long LINF = LLONG_MAX;
const int INF = INT_MAX;
const int MOD = 1000000007;

const ld PI = 3.14159265358979323;

const int N = 1e3 + 111;

int n, k;

vector<vector<vector<vector<int>>>> dp;

vector<vector<int>> get_ans(int i, int j, int x){
    if (i == 0){
        return {{x}};
    }
    vector<vector<int>> ans;
    for (auto& y : dp[i][j+n*k][x+n]){
        auto cur = get_ans(i-1, j-x, y);
        for (auto v : cur){
            v.push_back(x);
            ans.push_back(v);
        }
    }
    return ans;
}

int main() {
#ifdef Vova
    freopen("input", "r", stdin);
#else
    ios::sync_with_stdio(false);
    cin.tie(0);
#endif
    cin >> n >> k;
    dp.assign(k, vector<vector<vector<int>>>(2 * (n+1) * k, vector<vector<int>>(2*n+1)));
    for (int x = -n; x <= n; ++x){
        dp[0][x+(n*k)][x+n].push_back(-1);
    }
    for (int i = 1; i < k; ++i){
        for (int sum = -n * k; sum <= n * k; ++sum){
            for (int x = -n; x <= n; ++x){
                if (abs(sum-x) > n * k)
                    continue;
                for (int y = x-1; y <= x+1; ++y){
                    if (-n <= y && y <= n && !dp[i-1][sum - x + n*k][y+n].empty()){
                        dp[i][sum + n*k][x+n].push_back(y);
                    }
                }
            }
        }
    }
    vector<vector<int>> ans;
    for (int x = -n; x <= n; ++x){
        auto cur = get_ans(k-1, n, x);
        for (auto& v : cur)
            ans.push_back(v);
    }
    sort(ans.begin(), ans.end());
    for (auto& v : ans){
        for (int i = 0; i < k; ++i){
            if (i > 0 && v[i] >= 0)
                cout << '+';
            cout << v[i];
        }
        cout << '\n';
    }
}