﻿#include <iostream>
#include <algorithm>
#include <string>
#include <math.h>

typedef long long ll;

using namespace std;

ll gcd(ll a, ll b) {
	if (!b) return a;
	return gcd(b, a % b);
}

int main()
{

	ll l, r, ans = 0; cin >> l >> r;
	for (ll i = l; i <= r; ++i) {
		for (ll j = i + 1; j <= r; ++j) {

			bool f = 1;

			for (ll k = 2; k < sqrt(i) + 1; ++k) if (i % (k * k) == 0) f = 0;
			for (ll k = 2; k < sqrt(j) + 1; ++k) if (j % (k * k) == 0) f = 0;

			if (!f) continue;

			if (gcd(i, j) == 1) ++ans;
		}
	}

	cout << ans;
}
