﻿#include <iostream>
#include <vector>
#include <set>
#include <algorithm>

using namespace std;

void factor(int a, vector<int>& v)
{
    int d = 2;
    while (a >= d)
    {
        while (a % d == 0)
        {
            v.push_back(d);
            a /= d;
        }
        ++d;
    }
}

int main()
{
    int l, r, ans = 0;
    cin >> l >> r;
    vector<vector<int>> v(r - l + 1);
    //vector<set<int>> s(r - l + 1);
    vector<bool> b(r - l + 1, true), prime(r + 1, true);
    for (int i = 2; i * i <= r; ++i)
    {
        int sq = i * i;
        for (int j = sq; j <= r; j += sq)
            if (j >= l) b[j - l] = false;
    }
    for (int i = 2; i <= r; ++i)
    {
        if (!prime[i]) continue;
        for (int j = i; j <= r; j += i)
        {
            prime[j] = false;
            if (j >= l) v[j - l].push_back(i);
        }
    }
    /*for (int i = 2; i * i <= r; ++i)
    {
        //int sq = i * i;
        for (int j = i; j <= r; j += i)
            if (j >= l)
            {
                v[j - l].push_back(i);
                s[j - l].insert(i);
            }
    }*/
    //for (int i = l; i <= r; ++i) factor(i, v[i - l]);
    for (int i = l; i < r; ++i)
        for (int j = i + 1; j <= r; ++j)
        {
            if (!b[i - l] || !b[j - l]) continue;
            /*vector<int> si;
            set_intersection(v[i - l].begin(), v[i - l].end(),
                v[j - l].begin(), v[j - l].end(), back_inserter(si));*/
            bool f = true;
            for (int q : v[i - l])
                if (find(v[j - l].begin(), v[j - l].end(), q) != v[j-l].end()) {
                    f = false;
                    break;
                }
            ans += f;
        }
    cout << ans;
}