﻿function isFree(n: uint64): boolean;
var k: uint64;
begin
  k := 2;
  while (n mod sqr(k) <> 0) and (sqr(k*k) < n) do
    k += 1;
  Result := n mod sqr(k) <> 0;
end;

function isSqr(n: uint64): boolean;
var s: real;
begin
  Result := false;
  if n > 1 then begin
    s := sqrt(n);
    Result := s.Trunc() = s;
  end
end;

var 
  l, r: uint64;
  a, b: uint64;
  p: integer;
begin
  readln(l);
  readln(r);
  p := 0;
  for a := l to r - 1 do
    for b := a + 1 to r do begin
      if (b mod a = 0) and (a <> 1) then continue;
      if (b mod 2 = 0) and (a mod 2 = 0) then continue;
      if isSqr(a) or isSqr(b) then continue;
      if not isFree(b) then continue;
      if not isFree(a) then continue;
      p += 1;
    end;
  writeln(p);
end.