#include <iostream>
#include <cmath>
using namespace std;

bool SquareFree(long long n){
    auto t = (long long) round(sqrt(n));
    if (n < 2) return true;
    if (t * t == n) return false;
    if (t <= 2) return true;
    for (long long i = 2; i < t; i++) {
        if (n % (i * i) == 0) return false;
    }
    return true;
}

int main() {
    ios_base::sync_with_stdio(false);
    long long l, r;
    cin >> l >> r;
    long long count = 0;
    for (long long a = l; a <= r; a++)
        for (long long b = a + 1; b <= r; b++) {
            if (SquareFree(a) && SquareFree(b) && SquareFree(a * b))
                count++;
        }
    cout << count;
}
