fun rLine() = readLine()!!
fun rInt() = readLine()!!.toInt()
fun rLong() = readLine()!!.toLong()
fun rWords() = readLine()!!.split(" ")
fun rIntArr() = readLine()!!.split(" ").map { it.toInt() }
fun rLongArr() = readLine()!!.split(" ").map { it.toLong() }

fun main() = taskC()

fun taskA() {
    val n = rInt()
    val m = rInt()
    val min = minOf(m, n)
    val rem = n + m - 2 * min
    println(min * 2 + rem % 2)
}

fun taskB() {
    val a = rInt()
    val b = rInt()
    val k = rInt()
    for (i in a..b) println((1..minOf(i, k)).map { i * (i - 1) / 2 + it }.joinToString(" "))
}

fun taskC() {
    val rate = rInt()
    val divs = rLine()
    val is1 = '1' in divs
    val is2 = '2' in divs
    val is3 = '3' in divs
    when {
        rate <= 1600 -> { //3rd
            if (is3) return println(3)

            if (is1) println(1)
            if (is2) println(2)
        }
        rate <= 1900 -> {//2nd
            if (is2) return println(2)

            if(is1) println(1)
            if(is3) println("3*")
        }
        else -> { //1st
            if (is1) return println(1)

            if(is2) println("2*")
            if(is3) println("3*")
        }
    }
}

