﻿#include <set>
#include <map>
#include <iostream>
#include <vector>
#include <fstream>
#include <algorithm>
#include <iomanip>
#include <string>
using namespace std;


multiset<int> fact(int k) {
	multiset<int> mlt;
	int w = (int)sqrt(k) + 2;
	for (int j = 2; j < w; ++j) {
		while (k % j == 0) {
			mlt.insert(j);
			k = k / j;

		}
	}
	if (k != 1)
		mlt.insert(k);
	return mlt;
}

int main() {
	int min;
	cin >> min;
	int max;
	cin >> max;
	map<int, multiset<int>> facts;
	for (int i = min; i <= max; ++i) {
		multiset<int> g = fact(i);
		facts[i] = g;






	}

	int cnt = 0;

	for (int i = min; i < max; ++i) {
		for (int j = i+1; j <= max; ++j) {
			multiset<int> op1 = facts[i];
			multiset<int> op2 = facts[j];
			int o1 = op1.size();
			int o2 = op2.size();
			set<int> tot;
			for (auto elem : op1)
				tot.insert(elem);
			for (auto elet : op2)
				tot.insert(elet);
			if (tot.size() == o1 + o2)
				++cnt;





		}
	}
	cout << cnt;
	return 0;
}