#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <iomanip>
#include <string>
#include <map>
#include <set>
#include <fstream>

using namespace std;

typedef long long ll;
typedef long double ld;


ll mod = 998244353;
ll modpow (ll a, ll pow) {
    if (pow == 0) {
        return 1;
    }
    ll c = modpow(a, pow/2);
    return (c*c + a*(pow%2))%mod;

}

ll NOD(ll  a, ll b) {
        if (b == 0) {
            return a;
        }
        return NOD(b, a % b);

}
ll NOK(ll a, ll b) {
    return a*b/NOD(a, b);
}

ll n, k;

void printSum(vector<int> pref) {
    cout << pref[0];
    for (int i = 1; i < pref.size(); ++i) {
        if (pref[i] >= 0) {
            cout << '+';
        }
        cout << pref[i];
    }
    cout << endl;
}
void recurs(vector<int> pref, int sum) {
    if (pref.size() == k) {

        if (sum == n) {
            printSum(pref);
        }
    }
    else if (sum + (2*pref[pref.size()-1]-1-(k-pref.size()))*(k-pref.size())/2 <= n && n <= sum + (2*pref[pref.size()-1]+1+(k-pref.size()))*(k-pref.size())/2) {
        vector<int> next(pref);
        next.push_back(next[next.size()-1]-1);
        recurs(next, sum + next[next.size()-1]);
        vector<int> next1(pref);
        next1.push_back(pref[pref.size()-1]);
        recurs(next1, sum + pref[pref.size()-1]);
        vector<int> next2(pref);
        next2.push_back(pref[pref.size()-1]+1);
        recurs(next2, sum+ pref[pref.size()-1]+1);
    }

}

signed main() {
//    cin.tie(0);
//    ios_base::sync_with_stdio(false);

    cin >> n >> k;
    vector<int> a;
    for (int i = -15; i < 16; ++i) {
        recurs({i}, i);
    }


    return 0;
}

