def is_in_div1(rating):
	return rating > 1900


def is_in_div2(rating):
	return 1601 <= rating <= 1900


def is_in_div3(rating):
	return 0 <= rating <= 1600

div_pred = [is_in_div1, is_in_div2, is_in_div3]
def is_in_div(rating, div_index):
	return div_pred[div_index - 1](rating)


def get_div(rating):
	if is_in_div1(rating):
		return 1
	if is_in_div2(rating):
		return 2
	if is_in_div3(rating):
		return 3



r = int(input())

divisions = list(map(int, list(input())))

actual_div = None
for division in divisions:
	if is_in_div(r, division):
		actual_div = division

if actual_div is not None:
	print(actual_div)
	exit(0)

base_div = get_div(r)
for division in divisions:
	if base_div > division:
		print(f"{division}")
	else:
		print(f"{division}*")


