#include <iostream>
#include <set>
#include <cmath>

#define ll long long
using namespace std;

void printSet(set<int> &s) {
    cout << "set : ";
    for (auto &e: s)
        cout << e << " ";
    cout << endl;
}

bool oppropriate(ll l, ll r) {
    set<int> l_set, r_set;
//    cout << endl << l << ' ' << r << endl;
    for (ll i = 2; l > 1; i++) {
        if (i > sqrt(l) && l != 1) {
            if (l_set.find(l) != l_set.end())
                return false;
            l_set.insert(l);
            break;
        }
        if (l % i == 0) {
            if (!l_set.empty() && l_set.find(i) != l_set.end())
                return false;
            l_set.insert(i);
            l /= i;
            i = 1;
        }
    }
//    printSet(l_set);
    for (ll i = 2; r > 1; i++) {
//        cout << "i : " << i << endl;
        if (i > sqrt(r) && r != 1) {
//            cout << "r : " << r << endl;
            if (r_set.find(r) != r_set.end())
                return false;
            r_set.insert(r);
            break;
        }
        if (r % i == 0) {
            if (!r_set.empty() && r_set.find(i) != r_set.end())
                return false;
            r_set.insert(i);
            r /= i;
            i = 1;
        }
    }
//    printSet(r_set);
    for (auto &l_set_val:l_set)
        if (r_set.find(l_set_val) != r_set.end())
            return false;
    return true;
}

int main() {
    ll l, r;
    int amount = 0;
    cin >> l >> r;
    for (; l < r; l++)
        for (ll i = l + 1; i <= r; i++)
            if (oppropriate(l, i)) {
//                cout << endl << "! " << l << ' ' << i << endl;
                amount++;
            }
    cout << amount << '\n';
    return 0;
}