#include <iostream>
#include <deque>
#include <algorithm>

using namespace std;

int n, k;
int sum = 0;
deque<int> h;

void f() {
    if (h.size() == k) {
        if (sum == n) {
            for (int i = 0; i < h.size(); i++)
                if (i == 0)
                    cout << h[i];
                else
                    cout << (h[i] >= 0 ? "+" : "") << h[i];
            cout << endl;
        }
    } else {
        if (h.empty()) {
            int m = (n + k * (k + 1) / 2) / k;
//            cout << m << endl;
            for (int i = -m; i <= m; i++) {
                h.push_back(i);
                sum += i;
                f();
                h.pop_back();
                sum -= i;
            }
        } else {
            int last = h.back(), left = k - h.size(), min_left_additive = last * left - left * (left + 1) / 2,
                    max_left_additive = last * left + left * (left + 1) / 2;
            for (int now_num: {-1, 0, 1}) {
//                cout << "sum : " << sum << " left : " << left << " min : " << min_left_additive << " max : "
//                     << max_left_additive << endl;
                if (min_left_additive <= n - sum - left * now_num <= max_left_additive) {
                    h.push_back(last + now_num);
                    sum += last + now_num;
                    f();
                    h.pop_back();
                    sum -= last + now_num;
                }
            }
        }
    }
}

int main() {
    cin >> n >> k;
    f();
    return 0;
}
