#include <iostream>
#include <math.h>
using namespace std;

bool isFree(long num) {
    long border = ceil(sqrt(num/2.0));
    for (long i = 2; i <= border; i++){
        if (num % (i*i) == 0) {
            return false;
        }
    };
    return true;
}

int main()
{
    int l, r;
    cin >> l >> r;
    bool arr[r-l + 1];
    int cnt = 0;
    for (int i = 0; i <= r-l; i++) {
        arr[i] = isFree(l+i);
        if (arr[i]){
            cnt++;
        }
    }
    //cout << cnt << endl;;
    /*for (int i = 0; i <= r-l; i++) {
        cout << arr[i] << " ";
    }*/
    int fArr[cnt];
    int ind = 0;
    for (int i = 0; i <= r-l; i++) {
        if (arr[i]) {
            fArr[ind] = l+i;
            ind++;
        }
    }
    /*for (int i = 0; i < cnt; i++) {
        cout << fArr[i] << " ";
    }
    cout << endl;*/
    int ans = 0;
    for (int i = 0; i < cnt; i++) {
        for (int j = i+1; j < cnt; j++) {
            if (isFree(fArr[i]*fArr[j])) {
                ans++;
            }
        }
    }
    cout << ans;
    return 0;
}
