#include <iostream>
#include <string>
#include <math.h>
#include <iterator>
#include <vector>
#include <stdlib.h>
#include <algorithm>
#include <functional>
#include <array>
#include <iomanip>
#include <stack>
#include <queue>
#include <deque>
#include <cstdio>
#include <utility>
using namespace std;

int gcd (int a, int b)
{
	if(b == 0)
	    return a;
	else
		return gcd(b, a % b);
}

bool freedom(int a)
{
    int x;
    double y;
    x = sqrt(a);
    y = sqrt(a);
    if(x == y)
        return false;
    for(int i = 2; i <= sqrt(a); i ++)
    {
        if(a % i == 0)
        {
            x = sqrt(i);
            y = sqrt(i);
            if(x == y)
                return false;
            x = sqrt(a / i);
            y = sqrt(a / i);
            if(x == y)
                return false;
        }
    }
    return true;
}


int main()
{
	int n, m, a, b, k, c;
	int i, j, l, x, y, r;
	cin >> l >> r;
	c = 0;
	for(i = l; i < r; i ++)
	{
	    for(j = i + 1; j <= r; j ++)
	    {
	        if(gcd(i, j) == 1)
	        {
	            if(freedom(i) && freedom(j))
	                c ++;
	        }
	       //cout << i << ' ' << j << ' ' << c << endl;
	    }
	}
	cout << c;
    return 0;
}
