﻿#include <iostream>
#include <math.h>

using namespace std;

bool IsGood(long long x)
{
	long long y = sqrt(x);

	while (y > 1)
	{
		if (x % (y * y) == 0)
			return false;
		y--;
	}
	return true;
}

long long NOD(long long a, long long b)
{
	while (a != 0 && b != 0)
	{
		if (a > b)
			a %= b;
		else
			b %= a;
	}
	return a + b;
}

int main()
{
	long long l, r, res;

	cin >> l;
	cin >> r;
	res = 0;

	for (long long a = l; a < r; a++)
	{
		for (long long b = a + 1; b < r + 1; b++)
		{
			if (!IsGood(a))
				break;
			if (!IsGood(b))
				continue;
			if (NOD(a, b) == 1)
				res++;
		}
	}

	cout << res << endl;
}