﻿#pragma GCC optimize("O2")

#pragma region
#include <iostream>
#include <vector>
#include <utility>
#include <cmath>
#include <ctime>
#include <string>
#include <stack>
#include <algorithm>
#include <map>
#include <list>
#include <cassert>
#include <iomanip>
#include <set>
#include <queue>
#include <deque>
#include <unordered_set>

using namespace std;
//#define ll long long
#define ld long double
#define int long long
#define VI vector<int>
#define VVI vector<VI>
#define VD vector<double>
#define VS vector<string>
#define VC vector<char>
#define VB vector<bool>
#define PAR pair<int, int>
#define VP vector<PAR>
#define SI set<int>
#define QI queue<int>
#define DI deque<int>
#define SP set<PAR>
#define QP queue<PAR>
#define DP deque<PAR>
#define SS set<string>
#define vall(x) x.begin(), x.end()
#define INF (int)(1e9 + 7)
#define BIGINF (ll)(1e18)
#define endl '\n'

void print(const VI& v) {
    for (auto val : v) {
        cout << val << ' ';
    }
    cout << endl;
}

void print(const VB& v) {
    for (auto val : v) {
        cout << val << ' ';
    }
    cout << endl;
}

bool rmax(int& a, int b) {
    if (a < b) {
        a = b;
        return true;
    }
    return false;
}

bool rmin(int& a, int b) {
    if (a > b) {
        a = b;
        return true;
    }
    return false;
}
#pragma endregion


int n, k;
VI curr;
VVI res;

void genstep(int i, int cnt) {
    if (i == k) {
        if (cnt == n) {
            res.push_back(curr);
        }
        return;
    }

    int prev = curr.back();

    for (int j = -1; j <= 1; ++j) {
        curr.push_back(prev + j);
        genstep(i + 1, cnt + prev + j);
        curr.pop_back();
    }
}

void gen() {
    int l = floor((float)n / (k + 1) - (float)k / 2);
    int r = ceil((float)n / (k + 1) + (float)k / 2);
    //cout << l << ' ' << r << endl;
    for (int i = l; i <= r; ++i) {
        curr.push_back(i);
        genstep(1, i);
        curr.pop_back();
    }
}



signed main() {
    cin >> n >> k;

    if (k == 1) {
        cout << n << endl;
        return 0;
    }

    gen();

    for (const VI& v : res) {
        cout << v[0];
        for (int i = 1; i < v.size(); ++i) {
            if (v[i] >= 0) 
                cout << '+';
            cout << v[i];
        }
        cout << endl;
    }

    return 0;
}
