#include <bits/stdc++.h>

#define int long long

using namespace std;

vector<int> get_primes(int n){
    int i = 2;
    vector<int> res;
    while (i * i <= n){
        if (n % i == 0)
            res.push_back(i);
        while (n % i == 0)
            n /= i;
        ++i;
    }
    if (n != 1)
        res.push_back(n);
    return res;

}

bool is_sqrt(int num){
    int i = 2;
    while (i * i <= num){
        if (num % i == 0){
            if (num / i % i == 0)
                return true;
        }
        ++i;
    }
    return false;

}

signed main(){
    int l, r, ans = 0;
    cin >> l >> r;

    vector<bool> sqrt(r - l + 1);
    for (int i = l; i <= r; ++i)
        sqrt[i - l] = is_sqrt(i);

    for (int i = l; i <= r; ++i){
        if (sqrt[i - l])
            continue;
        int cnt = 0;
        vector<int> f = get_primes(i);
        vector<bool> b(r - i + 1);
        b[0] = true;
        for (int num : f){
            for (int j = i; j <= r; j += num){
                if(!b[j - i] && !sqrt[j - l])
                    cnt += 1;
                b[j - i] = false;
            }
        }
        ans += cnt;
    }
    cout << ans;
}
