#include <iostream>
#include <set>
#include <vector>

using namespace std;

int main() {
  int k; cin >> k;
  int m; cin >> m;
  vector<int> A(m);
  for (size_t i = 0; i < m; i++)
  {
    cin >> A[i];
  }
  int n; cin >> n;
  vector<int> B(n);
  for (size_t i = 0; i < n; i++)
  {
    cin >> B[i];
  }

  vector<int> finded_array(k + 1, 1);
  int finded_count = 0;

  vector<int> answer;
  int i = 0, j = 0;
  for (; i < m && j < n; i++, j++)
  {

    if (finded_array[A[i]] && finded_array[B[j]] && finded_array[A[i]] != finded_array[B[j]]) {
      finded_count += 2;
      finded_array[A[i]] = 0;
      finded_array[B[j]] = 0;
      if (finded_count == k) {
        int cA = 0, cB = 0;
        while (j + cA < m && B[j + (cA++)] != A[i]);
        while (j + cB < n && A[j + (cB++)] != B[j]);
        if (cA > cB) {
          answer.push_back(A[i]);
          j += (cA - 1);
        }
        else {
          answer.push_back(B[j]);
          i += (cB - 1);
        }
        finded_count = 0;
        for (size_t o = 0; o < k + 1; o++)
        {
          finded_array[o] = 1;
        }
      }
        continue;
    }

    if (finded_array[A[i]]) {
      finded_count += 1;
      finded_array[A[i]] = 0;
      if (finded_count == k)
      {
        answer.push_back(A[i]);
        while (j < n && B[j++] != A[i]);
        j--;
        finded_count = 0;
        for (size_t o = 0; o < k + 1; o++)
        {
          finded_array[o] = 1;
        }
        continue;
      }
    }
    if (finded_array[B[j]]) {
      finded_count += 1;
      finded_array[B[j]] = 0;
      if (finded_count == k)
      {
        answer.push_back(B[j]);
        while (i < m && A[i++] != B[j]);
        i--;
        finded_count = 0;
        for (size_t o = 0; o < k + 1; o++)
        {
          finded_array[o] = 1;
        }
        continue;
      }
    }
  }


  if (i < m)
  {
    for (; i < m; i++)
    {
      finded_count += finded_array[A[i]];
      finded_array[A[i]] = 0;
      if (finded_count == k) {
        answer.push_back(A[i]);
        finded_count = 0;
        for (size_t o = 0; o < k + 1; o++)
        {
          finded_array[o] = 1;
        }
      }
    }
  }
  else {
    for (; j < n; j++)
    {
      finded_count += finded_array[B[j]];
      finded_array[B[j]] = 0;
      if (finded_count == k) {
        answer.push_back(B[j]);
        finded_count = 0;
        for (size_t o = 0; o < k + 1; o++)
        {
          finded_array[o] = 1;
        }
      }
    }
  }

  for (size_t i = 1; i < finded_array.size(); i++)
  {
    if (finded_array[i]) {
      answer.push_back(i);
      break;
    }
  }


  cout << answer.size() << "\n";
  for (auto& x : answer)
  {
    cout << x << " ";
  }

}
/*


2
5
1 2 1 2 1
5 2 1 2 1 2


*/