#include <iostream>
#include <cmath>

using namespace std;

bool isFree( long long k ) {
    bool is_dived = false;

    for (long long i = 2; i <= sqrt(k); i++)
        if ((k % (i * i)) == 0) {
            is_dived = true;
            break;
        }
    return !is_dived;
}

int main() {
    long long l, r, count = 0;

    cin >> l >> r;

    for (long long a = l; a < r; a++)
        for (long long b = a + 1; b <= r; b++) {
            if (isFree(a * b))
                count++;
        }
    cout << count;


    return 0;
}