#include <iostream>
#include <string>
#include <cmath>
#include <vector>
#include <algorithm>

using namespace std;

typedef long long llong;

/*
llong n, k;
vector<int> ans;
vector<char> symb;

  cin >> n >> k;
  ans.resize(k); symb.resize(k);
  for (int i = -n - k; i < n + k; ++i)
    rec(0, i, 0);

void rec(int sum, int last, int len)
{
  if (len == k)
  {
    if (sum == n)
    {
      for (int i = 0; i < k; ++i)
        cout << symb[i] << abs(ans[i]);
      cout << '\n';
    }
    return;
  }
  ans[len] = last - 1; symb[len] = '-';
  rec(sum + last - 1, last - 1, len + 1);
  ans[len] = last ; symb[len] = '+';
  rec(sum + last, last, len + 1);
  ans[len] = last + 1; symb[len] = '+';
  rec(sum + last + 1, last + 1, len + 1);
}
*/

int main( void )
{
  unsigned long long a, b, k; cin >> a >> b >> k;

  while (a <= b)
  {
    unsigned long long a1 = (a - 1) * a / 2;
    const unsigned long long last = min(a, k);
    for (unsigned long long i = 0; i < last; ++i)
      cout << ++a1 << ' ';
    cout << '\n';
    ++a;
  }

  return 0;
}

/*
f.cc[[


  std::ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);

  int k, m, n; cin >> k;
  cin >> m; vector<int> a(m);
  for (auto &e : a) cin >> e;
  cin >> n; vector<int> b(n);
  for (auto &e : b) cin >> e;

  if (k = 1)
  {
    const int mm = max(m, n) + 1;
    cout << mm << '\n';
    for (int i = 1; i < mm; ++i)
      cout << "1 ";
    cout << "1\n";
  }
*/

/*
bool isFree( llong a )
{
  const llong upper = sqrt(sqrt(a) + 3) + 3;
  for (llong i = 2, ii = i * i; i <= upper; ++i, ii += i + i - 1)
    if (a % ii == 0)
      return false;
  return true;
}

bool isOne( llong a, llong b )
{
  while (a != 0 && b != 0)
    if (a > b)
      a %= b;
    else
      b %= a;
  return (a + b) == 1;
}

d.cpp - main
-----
  llong l, r, ans = 0; cin >> l >> r;
  for (llong b = l + 1; b <= r; ++b)
    if (isFree(b))
      for (llong a = l; a < b; ++a)
        ans += isFree(a * b);

  cout << ans << '\n';



*/
