#include <iostream>
#include <string>
#include <cmath>
#include <vector>
#include <algorithm>

using namespace std;

typedef long long llong;

llong n, k;
vector<int> ans;
vector<char> symb;

void rec(int sum, int last, int len)
{
  if (len == k)
  {
    if (sum == n)
    {
      cout << ans[0];
      for (int i = 1; i < k; ++i)
        cout << symb[i] << abs(ans[i]);
      cout <<'\n';
    }
    return;
  }
  ans[len] = last - 1; symb[len] = last < 1 ? '-' : '+';
  rec(sum + last - 1, last - 1, len + 1);
  ans[len] = last; symb[len] = last < 0 ? '-' : '+';
  rec(sum + last, last, len + 1);
  ans[len] = last + 1; symb[len] = last < -1 ? '-' : '+';
  rec(sum + last + 1, last + 1, len + 1);
}

int main( void )
{
  std::ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);

  cin >> n >> k;
  ans.resize(k); symb.resize(k);

  llong f = n / k - k / 2 - 1;
  while ((f + k) * k / 2 < n)
    ++f;
  const int last = (f + f + k) * k / 2;
  for (llong i = f; i <= last; ++i)
  {
    ans[0] = i;
    symb[0] = i < 0 ? '-' : '+';
    rec(i, i, 1);
  }

  return 0;
}

/*
f.cc[[


  std::ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);

  int k, m, n; cin >> k;
  cin >> m; vector<int> a(m);
  for (auto &e : a) cin >> e;
  cin >> n; vector<int> b(n);
  for (auto &e : b) cin >> e;

  if (k = 1)
  {
    const int mm = max(m, n) + 1;
    cout << mm << '\n';
    for (int i = 1; i < mm; ++i)
      cout << "1 ";
    cout << "1\n";
  }
*/
