#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <cmath>
#include <set>
#include <map>

#define X first
#define Y second
#define mp make_pair

using namespace std;

typedef long long ll;



bool fun(ll x, ll y){
    ll d = 3;
    if ((x % 2 == 0 && y % 2 == 0) || x % 4 == 0 || y % 4 == 0) return false;
    if (x % 2 == 0) x /= 2;
    if (y % 2 == 0) y /= 2;
    bool flag1, flag2;
    while(d * d <= max(x, y)){
        flag1 = flag2 = false;
        if (x % d == 0){ 
            x /= d;
            flag1 = true;
        }
        if (y % d == 0){ 
            y /= d;
            flag2 = true;
        }
        if ((flag1 && flag2) || (y % d) == 0 || (x % d) == 0) return false;
        d += 2;
    }
    return (x != y || x == 1);
}

int main(){
    ll l, r, res = 0;
    cin >> l >> r;
    for (ll x = l; x < r; ++x)
        for (ll y = x + 1; y <= r; ++y)
            res += fun(x, y);
    cout << res << endl;
    return 0;
}