#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <cmath>
#include <set>
#include <map>

#define X first
#define Y second
#define mp make_pair

using namespace std;

typedef long long ll;

vector<int> p;

bool fun(ll x, ll y){
    if ((x % 2 == 0 && y % 2 == 0) || x % 4 == 0 || y % 4 == 0) return false;
    if (x % 2 == 0) x /= 2;
    if (y % 2 == 0) y /= 2;
    bool flag1, flag2;
    for (int d : p){
        flag1 = flag2 = false;
        if (x % d == 0){ 
            x /= d;
            flag1 = true;
        }
        if (y % d == 0){ 
            y /= d;
            flag2 = true;
        }
        if ((flag1 && flag2) || (y % d) == 0 || (x % d) == 0) return false;
        if (d * d > max(x, y)) break;
    }
    return (x != y || x == 1);
}

int main(){
    ll l, r, res = 0, m;
    cin >> l >> r;
    vector<int> a(1e5);
    for (int i = 0; i < a.size(); ++i)
        a[i] = i;
    for (int i = 2; i < a.size(); ++i){
        if (a[i] == i){
            p.push_back(i);
        }
        for (int x : p){
            m = (ll)x * (ll)i;
            if (m >= a.size() || x > a[i]) break;
            a[m] = a[i];
        }
    }
    for (ll x = l; x < r; ++x)
        for (ll y = x + 1; y <= r; ++y)
            res += fun(x, y);
    cout << res << endl;
    return 0;
}