#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <cmath>
#include <set>
#include <map>

#define X first
#define Y second
#define mp make_pair

using namespace std;

typedef long long ll;

bool search(vector<int>& a, vector<int>& b, vector<int>& c){
    int i = 0, j = 0;
    while(i < c.size() && j < a.size()){
        while(j < a.size() && a[j] != c[i]) ++j;
        i++, j++;
    }
    if (i == c.size()) return true;
    i = j = 0;
    while(i < c.size() && j < b.size()){
        while(j < b.size() && b[j] != c[i]) ++j;
        i++, j++;
    }
    return (i == c.size());
}

void next(vector<int>& a, vector<int>& b, vector<int>& s, int k){
    while(true){
        for (int i = s.size() - 1; i >= 0; --i){
            if (s[i] < k){
                s[i]++;
                if (search(a, b, s) == false) return;
            }
        }
        s.push_back(1);
        for (int i = 0; i < s.size(); ++i){
            s[i] = 1;
        }
        if (search(a, b, s) == false) return;
    }
}
int main(){
    int k, n, m;
    cin >> k >> m;
    vector<int> b(m);
    for (int i = 0; i < m; ++i)
        cin >> b[i];
    cin >> n;
    vector<int> a(n), s = {1};
    for (int i = 0; i < n; ++i)
        cin >> a[i];

    if (k == 1){
        cout << max(n, m) + 1 << endl;
        for (int i = 0; i < max(n, m) + 1; ++i){
            cout << 1 << ' ';
        }
        return 0;
    }

    next(a, b, s, k);
    cout << s.size() << endl;
    for (int i = 0; i < s.size(); ++i){
        cout << s[i] << ' ';
    }
}

/*
2
5
1 2 1 2 1
5
2 1 2 1 2
*/