#include <iostream>
#include <vector>
#include <algorithm>
#include <numeric>
using namespace std;

int GCD(int a, int b)
{
    if (a == 0 || b == 0)
        return max(a, b);
    if (a > b)
        GCD(a % b, b);
    else
        GCD(b % a, a);
}

bool check(int a)
{
    for (int i = 1; i * i <= a; ++i)
    {
        if (a % (i * i) == 0)
            return false;
    }
    return true;
}


int main() {
    int l, r;
    long long cnt = 0;

    cin >> l >> r;

    for (int i = l; i < r; ++i)
    {
        for (int j = i + 1; j <= r; ++j)
        {
            if (check(i) && check(j))
            {
                if (GCD(i, j) == 1)
                    cnt++;
            }
        }

    }

    cout << cnt << endl;
    return 0;
}