#include <iostream>
using namespace std;

bool IfSqrt(int a)
{
    if (a % 4 == 0)
        return false;
    for (int i = 3; i * i <= a; i += 2)
    {
        if (a % (i * i) == 0)
            return false;
    }
    return true;
}

int main() {
    int l, r;
    long long cnt = 0;

    cin >> l >> r;

    for (int i = l; i < r; ++i)
    {
        for (int j = i + 1; j <= r; ++j)
        {
            if (IfSqrt(i) && IfSqrt(j) && IfSqrt(i * j))
                cnt++;
        }
    }

    cout << cnt << endl;
    return 0;
}