#include <iostream>
using namespace std;

bool IfSqrt(long long a)
{
    for (int i = 2; i * i <= a; ++i)
    {
        if (a % i == 0 && (a / i) % i == 0)
            return false;
        if (a % i == 0)
            a /= i;
    }
    return true;
}

int main() {
    long long l, r, cnt = 0;

    cin >> l >> r;

    for (long long i = l; i < r; ++i)
    {
        for (long long j = i + 1; j <= r; ++j)
        {
            if (IfSqrt(i) && IfSqrt(j) && IfSqrt(i * j))
                cnt++;
        }
    }

    cout << cnt << endl;
    return 0;
}