#include <cstdio>
#include <map>

typedef unsigned long uint;

bool isr( uint a, uint k )
{
  for (uint i = 2; i <= k; i++)
    if (a % (i * i) == 0)
      return 0;

  return 1;
}

int main( void )
{
  uint l, r, sum = 0;

  scanf_s("%lu%lu", &l, &r);

  for (uint b = l; b <= r; b++)
    for (uint a = l; a < b; a++)
    {
      uint ka = sqrt(a), kb = sqrt(b);
      if (isr(a, ka) && isr(b, kb) && isr(a * b, ka * kb))
        sum++;
    }

  printf("%lu", sum);

  return 0;
}