import math
import itertools


def is_free(num: int) -> bool:
    if math.sqrt(num) % 1 == 0:
        return False

    for i in range(2, math.ceil(math.sqrt(num))):
        if num % (i ** 2) == 0:
            return False

    return True


l = int(input())
r = int(input())
free = []

for i in range(l, r + 1):
    if is_free(i):
        free.append(i)


print(len([*filter(lambda x: is_free(x[0]*x[1]), list(itertools.combinations(free, 2)))]))