#include <iostream>
#include <vector>

using namespace std;

int n, k;

struct sequence {
    int array[16];

    int &operator[](const int &i) {
        return this->array[i];
    }

    sequence *copy() {
        auto *n = new sequence();
        memcpy(n->array, this->array, sizeof(int) * 16);
        return n;
    }

    void print() {
        cout << (this->array[0]);
        for (int i = 1; i < k; i++) {
            if (this->array[i] >= 0)
                cout << '+' << (this->array[i]);
            else
                cout << (this->array[i]);
        }
    }
};

vector<sequence *> all;

void rec(sequence &q, int s, const int &l) {
    if (l == k) {
        if (s == n) {
            all.push_back(q.copy());
        }
    } else if (l > k) {
        return;
    } else {
        q[l] = q[l - 1] - 1;
        s += q[l - 1] - 1;
        rec(q, s, l + 1);
        q[l]++;
        s++;
        rec(q, s, l + 1);
        q[l]++;
        s++;
        rec(q, s, l + 1);
    }
}

int main() {
    sequence proc{};
    cin >> n >> k;

    for (int i = -15; i <= 15; i++) {
        proc[0] = i;
        rec(proc, i, 1);
    }

    for (sequence *q: all) {
        q->print();
        cout << '\n';
    }
    cout << endl;
}