﻿#include <bits/stdc++.h>

typedef long long ll;

using namespace std;

const int MAXN = 5054;
deque<int> f[MAXN];
deque<int> s[MAXN];

int nxta[MAXN][MAXN];
int nxtb[MAXN][MAXN];

int dp[MAXN][MAXN];
pair<int, int> p[MAXN][MAXN];
int pr[MAXN][MAXN];

bool chmin(int& a, int b){
  if (a > b){
    a = b;
    return true;
  }
  return false;
}

#define x first
#define y second
#define mp make_pair

signed main() {
  int k;
  cin >> k;
  int n, m;
  cin >> n;
  vector<int> a(n);
  for (int i = 0; i < n; i++){
    cin >> a[i];
  }
  cin >> m;
  vector<int> b(m);
  for (int i = 0; i < m; i++){
    cin >> b[i];
  }

  for (int i = 0; i < n; i++){
    f[a[i]].emplace_back(i + 1);
  }
  for (int i = 0; i < m; i++){
    s[b[i]].emplace_back(i + 1);
  }

  for (int i = 1; i <= k; i++){
    f[i].emplace_back(n + 1);
    s[i].emplace_back(m + 1);
  }

  for (int i  = 0; i <= n+1; i++){
    for (int w = 1; w <= k; w++){
      int toi = n+1;
      if (i < n + 1)
        toi = *upper_bound(begin(f[w]), end(f[w]), i);
      nxta[i][w] = toi;
    }
  }

  for (int i  = 0; i <= m+1; i++){
    for (int w = 1; w <= k; w++){
      int toi = m+1;
      if (i < m + 1)
        toi = *upper_bound(begin(s[w]), end(s[w]), i);
      nxtb[i][w] = toi;
    }
  }

  memset(dp, 0x3f, sizeof dp);
  dp[0][0] = 0;
  for (int sum = 0; sum < n + m + 3; sum++){
    for (int i = 0; i <= n+1; i++){
      int j = sum - i;
      if (j > m+1 || j < 0) continue;
      //cerr << i << ' ' << j << '\n';

      if (dp[i][j] > m + n + 3) continue;

      for (int w = 1; w <= k; w++){
        int toi = n+1, toj = m+1;
        /*
        if (i < n + 1)
          toi = *upper_bound(begin(f[w]), end(f[w]), i);
        if (j < m + 1)
          toj = *upper_bound(begin(s[w]), end(s[w]), j);
        */
        toi = nxta[i][w];
        toj = nxtb[j][w];
        if (chmin(dp[toi][toj], dp[i][j] + 1)){
          //cerr << toi << ' ' << toj << '\n';
          pr[toi][toj] = w;
          p[toi][toj] = mp(i, j);
        }
        //dp[toi][toj] = min(dp[toi][toj], dp[i][j] + 1);
      }
    }
  }

  cout << dp[n + 1][m + 1] << '\n';
  assert(dp[n+1][m+1] < max(n, m) + 2);
  vector<int> ans;
  int curi = n + 1, curj = m + 1;
  while (curi > 0 || curj > 0){
    ans.emplace_back(pr[curi][curj]);
    pair<int, int> q = p[curi][curj];
    curi = q.x;
    curj = q.y;
    //cerr << curi << ' ' << curj << '\n';
  }
  for (auto i : ans) cout << i << ' ';
  cout << '\n';
}
