#include <iostream>
#include <algorithm>
#include <vector>

using namespace std;

int gcd(int64_t a, int64_t b) {
  if (a == 0)
    return b;
  else if (b == 0)
    return a;
  else if (a > b)
    return gcd(a % b, b);
  else
    return gcd(a, b % a);
}

bool isFree(int s) {
  for (int i = 2; i * i <= s; i++) {
    if (s % (i * i) == 0)
      return false;
  }
  return true;
}

int main() {
  int64_t l, r, a, b, res;
  vector<int64_t> sq;

  int cnt = 0;
  cin >> l >> r;
  for (int64_t i = max(2, (int)log2(l)); i*i <= r; i++) {
    sq.push_back(i * i);
  }

  for (int i = l; i <= r; i++) {
    for (int j = i+ 1; j <= r; j++) {
      if (isFree(i) == 1 && isFree(j) == 1 && isFree(i*j) == 1) {
        cnt++;
      }
    }
  }
  cout << cnt;
  return 0;
}