#include <iostream>
#include <vector>
#include <set>

using namespace std;

int main() {
    bool flag;
    vector <bool> erat(1e5);
    long long r, l, i, j, k, ans = 0, tmp, cur, sqrtv;
    vector <long long> squares, rel;
    vector <set <int>> divs(1001);
    vector <bool> nums(1001, true);

    for (i = 2; i < 1e5; i++) {
        if (erat[i])
            continue;
        tmp = i * i;
        while (tmp < 1e5)
            erat[tmp] = true, tmp += i;
    }

    cin >> l >> r;

    for (i = l; i <= r; i++) {
        cur = i;
        while (cur > 1)
            if (cur >= 1e5 || erat[cur]) {
                flag = true;
                for (j = 2; j * j <= cur; j++) {
                    if (!erat[j] && cur % j == 0) {
                        if (divs[i - l].count(j) == 0)
                            divs[i - l].insert(j);
                        else
                            nums[i - l] = false;
                        flag = false;
                        cur /= j;
                        break;
                    }
                }
                if (flag) {
                    divs[i - l].insert(cur);
                    cur = 1;
                }
            }
            else {
                if (divs[i - l].count(cur) == 0)
                    divs[i - l].insert(cur);
                else
                    nums[i - l] = false;
                break;
            }
    }

    for (i = 0; i <= r - l; i++)
        if (nums[i])
            rel.push_back(i);

    int size = rel.size();
    for (i = 0; i < size; i++)
        for (j = i + 1; j < size; j++) {
            flag = true;
            for (auto div : divs[rel[i]]) {
                if (divs[rel[j]].count(div) > 0) {
                    flag = false;
                    break;
                }
            }
            if (flag)
                ans++;
        }

    cout << ans;

    return 0;
}