#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#define int long long
using namespace std;

bool isSqr(int n) {
  int d = sqrt(n);
  return d * d == n;
}

bool isSpare(int n) {
  int d = sqrt(n + 1);
  if (n == 1) return 1;
  for (int i = 2; i <= d; ++i)
    if (n % i == 0) {
      if (isSqr(i) || isSqr(n / i)) return 0;
    }
  return 1;
}

signed main()
{
  int l, r;
  cin >> l >> r;

  int cnt = 0;
  for (int i = l; i < r; ++i)
    for (int j = i + 1; j <= r; ++j) {
      if (isSpare(i) && isSpare(j) && isSpare(i * j))
        cnt++;
    }

  cout << cnt << '\n';
}