#include <iostream>
#include <algorithm>
#include <string>
#include <vector>

using namespace std;

bool Check(vector<unsigned> a, unsigned x) {
  int i = 0;

  while (i < a.size() && a[i] <= x) {
    if (x % a[i] == 0)
      return 0;
    i++;
  }
  return 1;
}
int main() {
  ios_base::sync_with_stdio(0), cout.tie(0), cin.tie(0);
  long long l, r, ans = 0;
  vector<unsigned> a, b;

  cin >> l >> r;
  a.reserve(100000);
  for (int i = 2; i * i <= r * (r - 1); i++)
    a.push_back(i * i);
  for (int i = l; i <= r; i++) {
    if (Check(a, i))
      b.push_back(i);
  }
  for (int i = 0; i < b.size(); i++) {
    for (int j = i + 1; j < b.size(); j++) {
       if (Check(a, b[i] * b[j]))
         ans++;
    }
  }
  cout << ans << endl;
  return 0;
}