#include <iostream>
#include <cmath>

using namespace std;

int primes[10000];
int ls[10000];
int ps = 0;

int factorization[10000];

bool free( long long n )
{
  for (int i = 0; i < ps; i++)
    if (n % (primes[i] * primes[i]) == 0)
      return false;
  return true;
}

long long gcd(long long a, long long b)
{

  while(b != 0)
  {
    long long t = a;
    a = b;
    b = t % b;
  }
  return a;
}

main()
{
  long long l, r, n = 0;
  cin >> l >> r;
  if (l > r)
  {
    long long t = l;
    l = r;
    r = t;
  }
  int m = sqrt(r) + 2;
  for (int i = 2; i <= m; i++)
  {
    if (ls[i] == 0)
      primes[ps++] = i, ls[i] = i;
    for (long long j = 0; primes[j] <= ls[i] && j < ps && i * primes[j] < 10000; j++)
      ls[primes[j] * i] = primes[j];
  }
  for (long long i = l; i < r; i++)
    for (long long j = i + 1; j <= r; j++)
    {
      if (gcd(i, j) == 1 && free(i) && free(j))
        n++;
    }

  cout << n << endl;
  return 0;
}
