#include <iostream>
#include <bits/stdc++.h>
#include <cmath>

using namespace std;

int primes[10000];
int ls[10000];
int ps = 0;

bool free( int n )
{
  int x = sqrt(n) + 1;
  for (int i = 0; i < ps && primes[i] <= x; i++)
    if (n % (primes[i] * primes[i]) == 0)
      return false;
  return true;
}

int gcd(int a, int b)
{

  while(b != 0)
  {
    int t = a;
    a = b;
    b = t % b;
  }
  return a;
}

main()
{
  int l, r, n = 0;
  cin >> l >> r;

  int m = sqrt(r) + 2;

  for (int i = 2; i <= m; i++)
  {
    if (ls[i] == 0)
      primes[ps++] = i, ls[i] = i;
    for (int j = 0; (primes[j] <= ls[i]) && (j < ps) && (i * primes[j] < 10000); j++)
      ls[primes[j] * i] = primes[j];
  }

  for (int i = l; i < r; i++)
    for (int j = i + 1; j <= r; j++)
    {
      if (gcd(i, j) == 1 && free(i) && free(j))
        n++;
    }

  cout << n << endl;
  return 0;
}
