#include <iostream>
#include <cmath>

using namespace std;

bool free(long long n)
{
  long long d = 2;
  while (n != 1)
  {
    if (n % d == 0 && n % (d * d) == 0)
      return false;
    else if (n % d == 0)
      n /= d;
    d++;
  }
  return true;
}

int primes[10000];
int l[10000];
int ps = 0;

main()
{
  for (int i = 2; i <= 10000; i++)
    {
      if (l[i] == 0)
        primes[ps++] = i, l[i] = i;
      for (int j = 0; primes[j] <= l[i] && j < ps && i * primes[j] < 10000; j++)
        l[primes[j] * i] = primes[j];
    }
  long long l, r, n = 0;
  cin >> l >> r;
  int m = sqrt(r) + 1;
  for (int i = l; i < r; i++)
    for (int j = i + 1; j <= r; j++)
    {
      bool flag = true;
      for (int k = 0; k < ps && primes[k] <= m; k++)
      {
        if (i % primes[k] == 0)
          if (i % (primes[k] * primes[k]) == 0 || j % primes[k] == 0)
             flag = false;
        if (j % (primes[k] * primes[k]) == 0)
            flag = false;
      }
      if (flag)
        n++;
    }

  cout << n << endl;
  return 0;
}
