#include <iostream>
#include <cmath>

using namespace std;

int primes[10000];
int ls[10000];
int ps = 0;

int factorization[10000];

bool free( long long i, long long j)
{
  for(int d = 0; d < ps; d++)
  {
    int p = primes[d];
    if (i % p == 0)
    {
      if (j % p == 0 || i % (p * p) == 0)
        return false;
      i /= p;
    }
    if (j % p == 0)
    {
      if (j % (p * p) == 0)
        return false;
      j /= p;
    }
  }
  return i != j;
}


main()
{
  long long l, r, n = 0;
  cin >> l >> r;
  if (l > r)
  {
    int t = l;
    l = r;
    r = t;
  }
  int m = sqrt(r) + 2;
  for (int i = 2; i <= m; i++)
  {
    if (ls[i] == 0)
      primes[ps++] = i, ls[i] = i;
    for (long long j = 0; primes[j] <= ls[i] && j < ps && i * primes[j] < 10000; j++)
      ls[primes[j] * i] = primes[j];
  }
//  for (int i = 0; i < ps; i++)
//    cout << primes[i] << endl;
//  cout << endl;
  for (long long i = l; i < r; i++)
    for (long long j = i + 1; j <= r; j++)
    {
     /* bool flag = true;
      for (long long k = 0; k < ps && primes[k] <= m; k++)
      {
        if (i % primes[k] == 0)
          if (i % (primes[k] * primes[k]) == 0 || j % primes[k] == 0)
             flag = false;
        if (j % (primes[k] * primes[k]) == 0)
            flag = false;
      }*/
      if (free(i, j))
      {
        n++;
//        cout << i << " " << j << endl;
      }
    }

  cout << n << endl;
  return 0;
}
