#include <iostream>
#include <algorithm>
#include <unordered_map>
#include <cassert>
#define int long long
using namespace std;
int gcd(int a, int b) {
    if (!b) return a;
    return gcd(b, a % b);
}
signed main() {
    ios::sync_with_stdio(0);cin.tie(0);
    int l, r;
    cin >> l >> r;
    //gcd(a, b) == 1
    //for all primes power in a or b == 1
    auto squareFree = [&](int x) {
        for (int i = 2; i * i <= x; ++i) {
            int cnt = 0;
            while (x % i == 0) {
                x /= i;
                cnt++;
            }
            if (cnt >= 2)
                return false;
        }
        return true;
    };

    unordered_map<int, bool> what;
    for (int i = l; i <= r; ++i) {
       what[i] = squareFree(i);
    }

    int answer = 0;
    for (int i = l; i <= r; ++i) {
        for (int j = i + 1; j <= r; ++j) {
            if (gcd(i, j) == 1 && what[i] && what[j])
                ++answer;
        }
    }
    cout << answer;
}