#include <iostream>
#include <algorithm>
#include <vector>
#include <unordered_map>
using namespace std;
const int maxN = 5007;
vector<int> a, b;
vector<int> answer[maxN];

int n, m, k;

bool subseq(vector<int> &cur, vector<int> &c) {
    if ((int)c.size() > (int)cur.size())
        return false;
    vector<vector<int>> pos(k + 1);
    for (int i = 1; i <= (int)cur.size() - 1; ++i) {
        pos[cur[i]].push_back(i);
    }
    int last = -1;
    for (auto u : c) {
        auto it = upper_bound(pos[u].begin(), pos[u].end(), last);
        if (it == pos[u].end()) return false;
        last = *it;
    }
    return true;
}
bool ok = true;
void gen(vector<int> nums, int x) {
    if (!ok) return;
    if (nums.size() == x) {
        //check
        if (!subseq(a, nums) && !subseq(b, nums)) {
            answer[x] = nums;
            ok = false;
        }
        return;
    }
    if (!ok) return;
    for (int i = 1; i <= k; ++i) {
        if (!ok) return;
        nums.push_back(i);
        gen(nums, x);
        nums.pop_back();
    }
    if (!ok) return;
}

bool have(int x) {
    vector<int> nums;
    gen(nums, x);
    return !answer[x].empty();
}
signed main() {
    ios::sync_with_stdio(0);cin.tie(0);
    //binary search? if can len x, then can all lens >= x.
    //how to check?
    // dp[len][last_element] = have / not have
    cin >> k;
    cin >> n;
    a.resize(n + 1);
    vector<int> cnta(k + 1), cntb(k + 1);
    for (int i = 1; i <= n; ++i) cin >> a[i], cnta[a[i]]++;
    cin >> m;
    b.resize(m + 1);
    for (int i = 1; i <= m; ++i) cin >> b[i], cntb[b[i]]++;

    if (k == 1) {
        cout << max(n, m) + 1 << '\n';
        for (int i = 0; i < max(n, m) + 1; ++i)
            cout << 1 << ' ';
        cout << '\n';
        exit(0);
    }

    if (max(n, m) >= 11) {
        for (int i = 1; i <= k; ++i) {
            if (!cnta[i] && !cntb[i]) {
                cout << 1 << '\n';
                cout << i << '\n';
                exit(0);
            }
        }
        cout << 4 << '\n';
        cout << 1 << " " << 1 << " " << 1 << " " << 1 << '\n';
        exit(0);
    }

    int L = 0, R = max(n, m) + 1;

    while (R - L > 1) {
        int M = R + L >> 1;
        if (have(M)) R = M;
        else L = M;
        ok = true;
    }
    cout << R << '\n';
    if (answer[R].empty()) {
        ok = true;
        vector<int> nums1;
        gen(nums1, R);
    }
    for (auto u : answer[R])
        cout << u << ' ';
}
// 3 1 2 1
// 1 2 1 3

//1 1 1 1
//2 2 2 2

//2
//1
//1
//1
//2