#include <iostream>
#include <vector>
#include <math.h>

using namespace std;
vector<int> squares;

bool isFree(int n) {
    for (int i : squares){
        if (n % i == 0) return 0;
        if (i > n / 2) return 1;
    }
    return 1;
}

int main() {
    int l, r;
    cin >> l;
    cin >> r;
    for (int i = 2; i < sqrt(1000000000) + 1; i++){
        squares.push_back(i * i);
    }
    int counter = 0;
    for (int le = l; le < r; le++){
        for (int re = le + 1; re <= r; re++){
            if (isFree(le*re) && isFree(le) && isFree(re)) counter += 1;
        }
    }
    cout << counter;
}