#include <iostream>
#include <cmath>
using namespace std;
#define ull unsigned long long

int has_twice(ull x) {
 for(ull i = 2; i < sqrt(x) + 1; i++) {
  int count = 0;
  while(x % i == 0) {
   x /= i;
   count++;
   if(count >= 2) return 1;
  }
 }
 return 0;
}

int main() {
 int l, r;
 cin >> l >> r;
 ull x;
 for(ull a = l; a < r; a++) {
  if(has_twice(a)) continue;
  for(ull b = a + 1; b <= r; b++) {
   if(has_twice(b)) continue;
   if(has_twice(a*b)) continue;
   x++;
  }
 }
 cout << x;
 return 0;
}
