#include <iostream>
#include <vector>

using namespace std;

vector <int> a, b;
int k;
vector <int> ans;

bool check(int len){
	int indx = 0;
	for(int start = 0; start < a.size(); start++){
		if(a[start] == ans[indx]){
			indx++;
		}
		if(indx >= len){
			return 0;
		}
	}
	indx = 0;
	for(int start = 0; start < b.size(); start++){
		if(b[start] == ans[indx]){
			indx++;
		}
		if(indx >= len){
			return 0;
		}
	}	
	return 1;
}

void rec(int pos, int len){
	if(pos >= len){
		if(check(len)){
			cout<<ans.size()<<"\n";
			for(int i = 0; i < ans.size(); i++){
				cout<<ans[i]<<" ";
			}
			cout<<"\n";
			exit(0);
		}
		return;
	}
	for(int i = 1; i <= k; i++){
		ans[pos] = i;
		rec(pos + 1, len);
	}
}

int main(){
	cin>>k;
	int n;
	cin>>n;
	a.resize(n);
	bool b1 = 1, b2 = 1;
	for(int i = 0; i < n; i++){
		cin>>a[i];
		if(i > 0 && a[i] != a[i - 1]){
			b1 = 0;
		}
	}
	int m;
	cin>>m;
	b.resize(m);
	for(int j = 0; j < m; j++){
		cin>>b[j];
		if(j > 0 && b[j] != b[j - 1]){
			b2 = 0;
		}
	}
	if(b1 && b2){
		cout<<max(n, m) + 1<<"\n";
		for(int i = 0; i < max(n, m) + 1; i++){
			cout<<b[0]<<" ";
		}
		return 0;
	}
	for(int len = 1; len <= max(n, m) + 1; len++){
		ans.assign(len, 0);
		rec(0, len);
	}
	return 0;
}
/*
2
10
1 2 1 2 2 2 1 1 2 1
20
1 1 1 1 2 1 2 1 2 1 1 2 1 2 2 2 1 1 2 1
*/
