#include <iostream>
#include <math.h>
#include <minmax.h>
#include <string>
using namespace std;

int main()
{
    long long l, r;
    cin >> l;
    cin >> r;
    
    int counter = 0;

    for (long long b = l+1; b <= r; b++) {
        bool b_free = true;
        long long sqrt_b = sqrt(b);
        
        long long b_div_root = 2;

        while (true) {
            long long b_div = b_div_root * b_div_root;
            if (b_div > b) {
                break;
            }
            if (b % b_div == 0) {
                b_free = false;
                break;
            }
            b_div_root++;
        }

        if (!b_free) {
            continue;
        }
        for (long long a = l; a < b; a++) {
            if (b % a == 0) {
                continue;
            }
            long long sqrt_a = sqrt(a);
            
            bool a_free = true;

            long long a_div_root = 2;

            while (a_free) {
                long long a_div = a_div_root * a_div_root;
                if (a_div > a) {
                    break;
                }
                if (a % a_div == 0) {
                    a_free = false;
                }
                a_div_root++;
            }

            for (long long div = 2; div <= sqrt_a && a_free; div++) {
                if (a % div == 0) {
                    long long paired_div = a / div;
                    if (paired_div == div) {
                        a_free = false;
                    }
                    if (b % div == 0 || b % paired_div == 0) {
                        a_free = false;
                    }
                }
            }
            if (a_free) {
                counter++;
            }
        }
    }

    cout << counter;
}
