#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
#define ll long long

int get_div(int r){
    if(r < 1601)
        return 3;
    if(r < 1901)
        return 2;
    return 1;
}

int is_base_div(vector<int>& div, int r){
    for(int i : div){
        if(i == r)
            return i;
    }
    return -1;
}

int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);


    int r;
    cin >> r;

    string d;
    cin >> d;

    vector<int> div;
    for(char c : d){
        div.push_back(c - '0');
    }

    r = get_div(r);

    if(is_base_div(div, r) != -1){
        cout << is_base_div(div, r);
    }
    else{
        sort(div.begin(), div.end());
        for(int i : div){
            if(i > r)
                cout << i << '*' << endl;
            else
                cout << i << endl;
        }
    }
}
