#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
#define ll long long

bool is_free(ll x){
    for(ll i = 2; i * i <= x; ++i){
        if(x % (i * i) == 0)
            return false;
    }
    return true;
}

int gcd(int a, int b){
    if(b == 0)
        return a;
    return gcd(b, a % b);
}

int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);


   ll l, r;
   cin >> l >> r;

   int ans = 0;

   bool is_ok(r  - l + 1);
   /*for(ll i = l; i <= r; ++i){
        if(is_free(i))
            is_ok[i - l] = true;
   }*/


   for(ll i = l; i < r; ++i){
        for(ll j = i + 1; j <= r; ++j){
            if(is_free(i) && is_free(j) && gcd(i, j) == 1)
                ans++;
        }
   }

   cout << ans;
}
