from math import sqrt

l = int(input())
r = int(input())


def clean_from_squares(x):
    for y in range(2, int(sqrt(x)) + 1):
        if x % (y * y) == 0:
            return False
    return True


def check_numbers(a, b):
    return all((clean_from_squares(a), clean_from_squares(b), clean_from_squares(a * b)))


nums = 0
for a in range(l, r + 1):
    for b in range(a, r + 1):
        if clean_from_squares(a * b):
            nums += 1

print(nums)
