a = int(input())
b = int(input())
k = int(input())

class Stair:
    def __init__(self, begin, end, step_length):
        self.begin = begin
        self.end = end
        self.step_length = step_length
    
    def _get_fixed_range(self, start, length):
        result = []

        current_number = start
        while True:
            if len(result) == length:
                break

            result.append(current_number)
            current_number += 1

        return result

    def generate_stair(self):
        self.stair = []

        # Generate stair
        current_step = 0
        last_number = 1
        while current_step < self.end:
            self.stair.append(self._get_fixed_range(last_number, current_step+1))
            last_number = self.stair[current_step][-1] + 1
            current_step += 1

        # Cut begin of stair
        if self.begin == self.end:
            self.stair = self.stair[self.begin-1][:self.step_length]
            return
        else:
            self.stair = self.stair[self.begin-1:]

        # Cur step
        if self.step_length > 1:
            for step in range(len(self.stair)):
                if not (len(self.stair[step]) <= self.step_length):
                    self.stair[step] = self.stair[step][:self.step_length]
        else:
            self.stair = [elem[0] for elem in self.stair]

    def print_stair(self):
        if self.begin == self.end: 
            print(self.stair)
            return
        for step in range(len(self.stair)):
            if self.step_length > 1:
                print(" ".join(str(elem) for elem in self.stair[step]))
            else:
                print("\n".join(str(elem) for elem in self.stair))
                break



stair = Stair(a, b, k)
stair.generate_stair()
stair.print_stair()
