using System;
using System.Collections.Generic;
using System.Linq;

class TaskC
{
    private static List<uint> Divisions(string input)
    {
        var list = new List<uint>();
        
        foreach (var number in input)
        {
            list.Add(Convert.ToUInt32(number) - 48);
        }

        return list;
    }

    static void Main(string[] args)
    {
        var rating =  Convert.ToUInt32(Console.ReadLine());
        var currentDivisions = Divisions(Console.ReadLine());
        uint baseDivision;
        var canParticipate = new List<uint>();

        if (rating <= 1600)
        {
            baseDivision = 3;
        }
        else if (rating <= 1900)
        {
            baseDivision = 2;
        }
        else
        {
            baseDivision = 1;
        }

        if (currentDivisions.Contains(baseDivision))
        {
            Console.WriteLine(baseDivision);
            return;
        }

        foreach (var division in currentDivisions)
        {
            if (division == 3)
            {
                if (baseDivision != 3)
                {
                    Console.WriteLine(3 + "*");
                }
                else
                {
                    Console.WriteLine(3);
                }
            }

            if (division == 2)
            {
                if (baseDivision < 2)
                {
                    Console.WriteLine(2 + "*");
                }
                else
                {
                    Console.WriteLine(2);
                }
            }

            if (division == 1)
            {
                Console.WriteLine(1);
            }
        }
    }
}