#pragma GCC optimize("O3", "unroll-loops")
#include <bits/stdc++.h>
//#define int long long
using namespace std;

bool sqrtfree(int n) {
    for (int i = 2; i * i <= n; ++i) {
        if (n % (i * i) == 0)
            return 0;
    }
    return 1;
}

int gcd(int a, int b) {
    if (b == 0)
        return a;
    else
        return gcd(b, a % b);
}

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int a, b;
    cin >> a >> b;
    int ans = 0;
    vector<int> fr;
    for (int i = a; i <= b; ++i) {
        if (!sqrtfree(i))
            continue;
        fr.push_back(i);
    }
    for (int i = 0; i < fr.size()-1; ++i) {
        for (int j = i + 1; j < fr.size(); ++j) {
            if (gcd(fr[i], fr[j]) == 1)
                ans++;
        }
    }
    cout << ans;
    return 0;
}
