﻿#pragma comment(linker, "/stack:200000000")
#define _CRT_SECURE_NO_WARNINGS
#include <algorithm>
#include <bitset>
#include <cstring>
#include <cstdio>
#include <cmath>
#include <cctype>
#include <cassert>
#include <climits>
#include <ctime>
#include <cstdlib>
#include <fstream>
#include <functional>
#include <iostream>
#include <iomanip>
#include <map>
#include <string>
#include <queue>
#include <stack>
#include <set>
#include <unordered_set>
#include <unordered_map>
#include <vector>

#pragma GCC optimize("Ofast")
#pragma GCC target("sse,sse2,sse3,ssse3,sse4,popcnt,abm,mmx,avx,tune=native")

using namespace std;

#define start ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
#define all(x) x.begin(), x.end()
#define int long long

const int MAX = 1e5 + 10;
const int mod = 1e9 + 7;

template <class T>
istream& operator >>(istream& in, vector<T>& arr) {
	for (T& cnt : arr) {
		in >> cnt;
	}
	return in;
};	

void solve() {
	int n; cin >> n;
	string s; cin >> s;
	vector<bool> cnt(4);
	for (int i = 0; i < s.size(); i++) {
		cnt[s[i] - '0'] = 1;
	}
	int div;
	if (n <= 1600) div = 3;
	else if (n > 1600 && n <= 1900) div = 2;
	else div = 1;
	if (cnt[div]) {
		cout << div << '\n';
		return;
	}
	for (int i = 0; i < s.size(); i++) {
		int c = s[i] - '0';
		if (div > c) cout << c << '\n';
		else cout << c << '*' << '\n';
	}
}

signed main()
{
	start;
	int _tests = 1;
	//cin >> _tests;
	while (_tests--) {
		solve();
	}
	return 0;
}