﻿#pragma comment(linker, "/stack:200000000")
#define _CRT_SECURE_NO_WARNINGS
#include <algorithm>
#include <bitset>
#include <cstring>
#include <cstdio>
#include <cmath>
#include <cctype>
#include <cassert>
#include <climits>
#include <ctime>
#include <cstdlib>
#include <fstream>
#include <functional>
#include <iostream>
#include <iomanip>
#include <map>
#include <string>
#include <queue>
#include <stack>
#include <set>
#include <unordered_set>
#include <unordered_map>
#include <vector>

#pragma GCC optimize("Ofast")
#pragma GCC target("sse,sse2,sse3,ssse3,sse4,popcnt,abm,mmx,avx,tune=native")

using namespace std;

#define start ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
#define all(x) x.begin(), x.end()
#define int long long

const int MAX = 1e5 + 10;
const int mod = 1e9 + 7;

template <class T>
istream& operator >>(istream& in, vector<T>& arr) {
	for (T& cnt : arr) {
		in >> cnt;
	}
	return in;
};	

int n, k;

void calc(int sum, int cnt, int last, vector<int> a) {
	if (cnt == k) {
		if (sum == n) {
			for (int i = 0; i < k - 1; i++) {
				if (a[i + 1] >= 0) cout << a[i] << '+';
				else cout << a[i];
			}
			cout << a[k - 1] << '\n';
		}
		return;
	}
	a.push_back(last - 1);
	calc(sum + last - 1, cnt + 1, last - 1, a);
	a.pop_back();
	a.push_back(last);
	calc(sum + last, cnt + 1, last, a);
	a.pop_back();
	a.push_back(last + 1);
	calc(sum + last + 1, cnt + 1, last + 1, a);
	a.pop_back();
}

void solve() {
	cin >> n >> k;
	for(int i = -15; i <= 15; ++i)
		calc(i, 1, i, {i});
}

signed main()
{
	start;
	int _tests = 1;
	//cin >> _tests;
	while (_tests--) {
		solve();
	}
	return 0;
}