﻿#pragma comment(linker, "/stack:200000000")
#define _CRT_SECURE_NO_WARNINGS
#include <algorithm>
#include <bitset>
#include <cstring>
#include <cstdio>
#include <cmath>
#include <cctype>
#include <cassert>
#include <climits>
#include <ctime>
#include <cstdlib>
#include <fstream>
#include <functional>
#include <iostream>
#include <iomanip>
#include <map>
#include <string>
#include <queue>
#include <stack>
#include <set>
#include <unordered_set>
#include <unordered_map>
#include <vector>

#pragma GCC optimize("Ofast")
#pragma GCC target("sse,sse2,sse3,ssse3,sse4,popcnt,abm,mmx,avx,tune=native")

using namespace std;

#define start ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
#define all(x) x.begin(), x.end()
#define int long long

const int MAX = 1e5 + 10;
const int mod = 1e9 + 7;

template <class T>
istream& operator >>(istream& in, vector<T>& arr) {
	for (T& cnt : arr) {
		in >> cnt;
	}
	return in;
};	

vector<string> gen;
string ans;

void generate(int cur, int i, string h) {
	if (cur == i) {
		gen.push_back(h);
		return;
	}
	generate(cur + 1, i, h + '1');
	generate(cur + 1, i, h + '2');
}

bool check(vector<int> a, string s) {
	int cur_pos = 0;
	string ans;
	for (int i = 0; i < a.size(); i++) {
		if (a[i] == s[cur_pos] - '0') {
			ans += s[cur_pos];
			cur_pos++;
		}
	}
	if (ans == s) return false;
	return true;
}

void solve() {
	int k; cin >> k;
	int n; cin >> n;
	vector<int> a(n); cin >> a;
	int m; cin >> m;
	vector<int> b(m); cin >> b;
	if (k == 1) {
		cout << max(n, m) + 1 << '\n';
		for (int i = 0; i < max(n, m) + 1; i++) cout << 1 << ' ';
	}
	if (k == 2) {
		for (int i = 1; i <= 10; i++) {
			gen.clear();
			generate(0, i, {});
			for (int j = 0; j < gen.size(); j++) {
				if(check(a, gen[j]) && check(b, gen[j])) {
					cout << i << '\n';
					for (int h = 0; h < gen[j].size(); h++) {
						cout << gen[j][h] << ' ';
					}
					return;
				}
			}
		}
	}
}

signed main()
{
	start;
	int _tests = 1;
	//cin >> _tests;
	while (_tests--) {
		solve();
	}
	return 0;
}