#define _USE_MATH_DEFINES

#include <iostream>
#include <vector>
#include <algorithm>
#include <tuple>
#include <set>
#include <iomanip>
#include <cmath>
#include <queue>
#include <map>
#include <fstream>

#define int long long


using namespace std;
constexpr unsigned long long INF = 1e9;
constexpr int mod = 1e9 + 7;

int l, r;

vector<vector<int>> f;

void func(int t)
{
	vector <int> tmp;
	int ct = t;
	for (int i = 2; i * i <= ct; i++)
	{
		if (i * i == ct)
		{
			return;
		}
		if (t % i == 0)
		{
			t/=i;
			tmp.push_back(i);
		}
		if (t % i == 0)
		{
			return;
		}
	}
	if (t != 1)
	{
		tmp.push_back(t);
	}
	f.push_back(tmp);
}

bool add(vector <int> &a, vector <int> &b)
{
	for (int i : a)
	{
		if (binary_search(begin(b), end(b), i))
		{
			return false;
		}
	}
	return true;
}

signed main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);

	cin >> l >> r;

	for (int i = l; i <= r; i++)
	{
		func(i);
	}

	int n = f.size();
	int ans = 0;
	for (int i = 0; i < n; i++)
	{
		for (int j = i + 1; j < n; j++)
		{
			if (add(f[i], f[j]))
			{
				ans++;
			}
		}
	}
	cout << ans;
}