#include <iostream>
#include <string>
#include <vector>
using namespace std;

int Global_Sig, Global_k;
vector<vector<int>> Value;

bool takeFloor(int start, int k, int Floor) 
{
	int sum = 0;
	for (int i = 0; i < k; ++i, ++start)
		sum += start;
	return sum >= Floor;
}

bool takeRoof(int start, int k, int Roof)
{
	int sum = 0;
	for (int i = 0; i < k; ++i, --start)
		sum += start;
	return sum <= Roof;
}

void getValue(int sig, int k, vector<int> back_age) 
{
	if (k == 1) 
	{
		int sum = 0;
		for (int i = 0; i < back_age.size(); ++i)
			sum += back_age[i];
		for (int i = back_age[back_age.size() - 1] - 1; i <= back_age[back_age.size() - 1] + 1; ++i)
			if (sum + i == Global_Sig) 
			{
				vector<int> now_age = back_age;
				now_age.push_back(i);
				Value.push_back(now_age);
			}
		return;
	}
	for(int i = back_age[back_age.size() - 1] - 1; i <= back_age[back_age.size() - 1] + 1; ++i)
		if (takeFloor(i, k, sig) && takeRoof(i, k, sig))
		{
			vector<int> now_age = back_age;
			now_age.push_back(i);
			getValue(sig - i, k - 1, now_age);
		}
}

int main() 
{
	cin >> Global_Sig >> Global_k;
	int indFloor = 0, indRoof = 0;
	bool current = false;
	for (int i = -Global_Sig; i <= Global_Sig + 1; ++i)
		if (!current) if (takeFloor(i, Global_k, Global_Sig))
		{
			current = true;
			indFloor = i;
			continue;
		}
		else {}
		else if (!takeRoof(i, Global_k, Global_Sig))
		{
			indRoof = i - 1;
			break;
		}
	for (int i = indFloor; i <= indRoof; ++i) 
	{
		vector<int> start_age(1);
		start_age[0] = i;
		getValue(Global_Sig - i, Global_k - 1, start_age);
	}
	for (int i = 0; i < Value.size(); ++i) 
	{
		for (int j = 0; j < Value[i].size(); ++j) 
		{
			if (j == 0)
				cout << Value[i][j];
			else 
			{
				if (Value[i][j] >= 0)
					cout << '+' << Value[i][j];
				else
					cout << Value[i][j];
			}
		}
		cout << endl;
	}
	return 0;
}