﻿#include <iostream>
#include <math.h>
#include <algorithm>
#include <vector>

using namespace std;

bool free_from_squares(int n) {
	for (int i = 2; i <= sqrt(n); ++i)
		if (n % (i * i) == 0)
			return false;
	return true;
}

int main() {
	int l; int r; cin >> l >> r; int cnt = 0;
	for (int i = l; i < r; ++i)
		for (int j = i + 1; j <= r; ++j)
		{
			if (free_from_squares(i))
				if (free_from_squares(j))
					if (free_from_squares(i * j))
						++cnt;
		}
	cout << cnt;
	return 0;
}