#include <iostream>
#include <cmath>

using namespace std;

long long gcd(long long a, long long b) {
    if(a == 0 || b == 0) {
        return a + b;
    }
    if(a > b)
        return  gcd(a % b, b);
    if(b >= a)
        return gcd(b % a, a);
}
long long check(long long a) {
    int i = 2;
    while(i * i <= a) {
        if(a % (i * i) == 0)
            return 0;
        i ++;
    }
    return 1;
}
int main()
{
    long long l, r, s = 0;
    cin >> l >> r;
    for(long long a = l; a <= r; a++) {
        for(long long b = a + 1; b <= r; b++) {
            if(check(a * b)) {
                s += 1;
            }
        }
    }
    cout << s;
    return 0;
}