#include <iostream>
#include <vector>
#include <string>
#include <math.h>
#include <algorithm>
#include <set>
#include <map>

using namespace std;

typedef long long ll;

int gcd(int a, int b){
	return b ? gcd(b, a % b) : a;
}

void solve(){
	ll l, r, cnt = 0;
	cin >> l >> r;
	vector<ll> a;
	
	for(int i = 2; i < 100000; i++){
		a.push_back(i * i);
	}
	bool f = true;
	for(int i = l; i <= r; i++){
		for(int j = i + 1; j <= r; j++){
			if(gcd(i, j) == 1){
				for(int t = 0; t <= sqrt(i); t++){
					if(i % a[t] == 0){
						f = false;
					}
				}
				for(int t = 0; t <= sqrt(j); t++){
					if(j % a[t] == 0){
						f = false;
					}
				}
				if(f == true){
					cnt++;
				}
				f = true;
			}
		}
	}
	cout << cnt << endl;
}

int main(){
	cin.tie(NULL);
	cout.tie(NULL);
	ios_base::sync_with_stdio(false);
	int t = 1;
	//cin >> t;
	while(t--) {
		solve();
	}
}
