/*
⣴⣶⣶⡀⠄⠄⠙⢿⣿⣿⣿⣿⣿⣴⣿⣿⣿⢃⣤⣄⣀⣥⣿
⣿⣿⣿⣧⣀⢀⣠⡌⢻⣿⣿⣿⣿⣿⣿⣿⣿⣿⠿⠿⠿⣿⣿
⣤⣤⣤⣬⣙⣛⢿⣿⣿⣿⣿⣿⣿⡿⣿⣿⡍⠄⠄⢀⣤⣄⠉
⣿⣿⣿⣿⣿⣿⣿⢿⣿⣿⣿⣿⣿⢇⣿⣿⡷⠶⠶⢿⣿⣿⠇
⣿⣿⣿⣿⣿⣿⣿⣿⣽⣿⣿⣿⡇⣿⣿⣿⣿⣿⣿⣷⣶⣥⣴
⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⣻⣿⣿⣧⠙⠛⠛⡭⠅⠒⠦⠭⣭⡻⣿⣿⣿⣿⣿⣿⣿⣿⡿
⣿⣿⣿⣿⡆⠄⠄⠄⠄⠄⠄⠄⠄⠹⠈⢋⣽⣿⣿⣿⣿⣵⣾
⣿⣿⣿⣿⣿⠄⣴⣿⣶⣄⠄⣴⣶⠄⢀⣾⣿⣿⣿⣿⣿⣿⠃
⠛⢿⣿⣿⣿⣦⠁⢿⣿⣿⡄⢿⣿⡇⣸⣿⣿⠿⠛⠁⠄⠄⠄
⠄⠄⠉⠻⣿⣿⣿⣦⡙⠻⣷⣾⣿⠃⠿⠋⠁⠄⠄⠄⠄⠄⢀
⣮⣥⠄⠄⠄⠛⢿⣿⣿⡆⣿⡿⠃⠄⠄⠄⠄⠄⠄⠄⣠⣴⣿
*/
#include <iostream>
#include <algorithm>
#include <vector>
#include <string>
#include <cstdio>
#include <set>
#include <fstream>
#include <climits>
#include <cmath>
#include <deque>
#include <map>
#include <ctime>
#include <random>
#include <unordered_set>
#include <chrono>
#include <queue>

#define ff first
#define ss second
#define pb push_back
#define pp pop_back
#define out(a) cout << a << " ";
#define ends cout << endl;
#define here cout << here << endl;
typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;
#define IO ios_base::sync_with_stdio(false); cin.tie(nullptr); cout.tie(nullptr);
using namespace std;


using namespace std;

ll sum = 1;
vector<int> primes;
vector<bool> num(1000, true);

void resheto(){
    for(int i = 2; sum < 1000000000; ++i){
        if(num[i]){
            primes.pb(i);
            sum *= i;
            for(int j = i; j < 1000; j += i){
                num[j] = false;
            }
        }
    }
}

vector<int> pos;

void gen(int i, string s){
    if(i == 0){
        ll n = 1;
        for(int j = 0; j < s.size(); ++j){
            if(s[j] == '1'){
                n *= primes[j];
            }
        }
        pos.pb(n);
    } else {
        gen(i - 1, s + '0');
        gen(i - 1, s + '1');
    }
}

void solve(){
    IO
    resheto();
    primes.pop_back();
    gen(primes.size(), "");
    //cout << pos.size() << endl;
    //for(auto i: pos) cout << i << " ";
    int l, r;
    cin >> l >> r;
    int cnt = 0;
    for(int i = 0; i < 512; ++i){
        for(int j = i + 1; j < 512; ++j){
            if(l <= pos[i] && pos[i] <= r && l <= pos[j] && pos[j] <= r){
                bool flag = true;
                for(int k = 0; k < primes.size(); ++k){
                    if(pos[i] % primes[k] == 0 && pos[j] % primes[k] == 0){
                        flag = false;
                    }
                }
                if(flag) {
                    cnt++;
                    //cout << pos[i] << " " << pos[j] << endl;
                }
            }
        }
    }
    cout << cnt << endl;
}

int main(){
    solve();
    return 0;
}
