/*
⣴⣶⣶⡀⠄⠄⠙⢿⣿⣿⣿⣿⣿⣴⣿⣿⣿⢃⣤⣄⣀⣥⣿
⣿⣿⣿⣧⣀⢀⣠⡌⢻⣿⣿⣿⣿⣿⣿⣿⣿⣿⠿⠿⠿⣿⣿
⣤⣤⣤⣬⣙⣛⢿⣿⣿⣿⣿⣿⣿⡿⣿⣿⡍⠄⠄⢀⣤⣄⠉
⣿⣿⣿⣿⣿⣿⣿⢿⣿⣿⣿⣿⣿⢇⣿⣿⡷⠶⠶⢿⣿⣿⠇
⣿⣿⣿⣿⣿⣿⣿⣿⣽⣿⣿⣿⡇⣿⣿⣿⣿⣿⣿⣷⣶⣥⣴
⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⣻⣿⣿⣧⠙⠛⠛⡭⠅⠒⠦⠭⣭⡻⣿⣿⣿⣿⣿⣿⣿⣿⡿
⣿⣿⣿⣿⡆⠄⠄⠄⠄⠄⠄⠄⠄⠹⠈⢋⣽⣿⣿⣿⣿⣵⣾
⣿⣿⣿⣿⣿⠄⣴⣿⣶⣄⠄⣴⣶⠄⢀⣾⣿⣿⣿⣿⣿⣿⠃
⠛⢿⣿⣿⣿⣦⠁⢿⣿⣿⡄⢿⣿⡇⣸⣿⣿⠿⠛⠁⠄⠄⠄
⠄⠄⠉⠻⣿⣿⣿⣦⡙⠻⣷⣾⣿⠃⠿⠋⠁⠄⠄⠄⠄⠄⢀
⣮⣥⠄⠄⠄⠛⢿⣿⣿⡆⣿⡿⠃⠄⠄⠄⠄⠄⠄⠄⣠⣴⣿
*/
#include <iostream>
#include <algorithm>
#include <vector>
#include <string>
#include <cstdio>
#include <set>
#include <fstream>
#include <climits>
#include <cmath>
#include <deque>
#include <map>
#include <ctime>
#include <random>
#include <unordered_set>
#include <chrono>
#include <queue>

#define ff first
#define ss second
#define pb push_back
#define pp pop_back()
#define out(a) cout << a << " ";
#define ends cout << endl;
#define here cout << here << endl;
typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;
#define IO ios_base::sync_with_stdio(false); cin.tie(nullptr); cout.tie(nullptr);
using namespace std;

vector<bool> num(1e9, true);
int primes;

void resheto(){
    ofstream fout("primes.txt");
    for(int i = 2; i < 1e9; ++i){
        if(num[i]){
            primes++;
            fout << i << " ";
            //cout << primes << endl;
            for(int j = i; j < 1e9; j += i){
                num[j] = false;
            }
        }
    }
}

void solve(){
    IO
    int l, r;
    cin >> l >> r;
    int cnt = 0;
    for(ll i = l; i <= r; ++i){
        for(ll j = i + 1; j <= r; ++j){
            ll k = i * j;
            ll sq = sqrt(k);
            bool flag = true;
            for(int m = 2; m <= sq + 1; ++m){
                if(k % (m * m) == 0) {
                    flag = false;
                    break;
                }
            }
            if(flag) {
                //cout << i << " " << j << endl;
                cnt++;
            }
        }
    }
    cout << cnt << endl;
}

int main(){
    solve();
    return 0;
}
