#include <bits/stdc++.h>

using namespace std;

bool is_square_empty(vector<int> &sqr_primes, int x) {
    int limit = sqrt(x);
    for (int sqr_prime : sqr_primes) {
        if (x % sqr_prime == 0) {
            return false;
        }
        if (sqr_prime > x) {
            return true;
        }
    }
    return true;
}

int main() {
    int l, r;
    cin >> l >> r;

    int limit = sqrt(r) + 2;
    vector<bool> sieve(limit, true);
    vector<int> sqr_primes;
    for (int i = 2; i < limit; ++i) {
        if (sieve[i]) {
            sqr_primes.push_back(i * i);
            for (int j = 2 * i; j < limit; j += i) {
                sieve[j] = false;
            }
        }
    }

    int cnt = 0;
    for (int i = l; i <= r; ++i) {
        if (is_square_empty(sqr_primes, i))
        for (int j = i + 1; j <= r; ++j) {
            if (is_square_empty(sqr_primes, i * j)) {
                cnt += 1;
            }
        }
    }
    cout << cnt;
}