#include<iostream>
#include<string>
#include<vector>

typedef long long ll;

using namespace std;

bool isFree(ll a, ll b);

int main() {

    ll l, r;

    cin >> l >> r;

    vector<ll> frees;
    bool b[r];

    for (ll i = 0; i <= r; i++){
        b[i] = true;
    }

    b[0] = false;

    for (ll i = 2; i <= r; i++) {
        if (b[i]){
            for (ll j = i*i; j <= r; j += i*i) {
                b[j] = false;
            }
        }
    }

    for (ll i = l; i <= r; i++){

        if (b[i]) {
            frees.push_back(i);
        }

    }

    int summ = 0;

    for (ll i : frees) {
        for (ll j : frees) {
            if (isFree(i, j)) {
                summ++;
            }
        }
    }

    cout << (summ / 2) << '\n';

}

int ost (ll a, ll b) {
    return (a % b);
}

bool isFree (ll a, ll b) {

    if (a < b) {

        int m = a;
        a = b;
        b = m;

    }

    while (ost(a, b) > 0) {

        int m = a;
        a = b;
        b = ost(m, b);

    }

    return (b == 1);
}
