#include <iostream>
#include <vector>
#include <set>
#include <unordered_set>
#include <map>
#include <unordered_map>
#include <queue>
#include <deque>
#include <stack>
#include <algorithm>
#include <cmath>
#include <optional>

using namespace std;

using ll = long long;
using ull = unsigned long long;

int l, r;

vector<pair<bool, unordered_set<int>>> M;

template <class T>
ostream& operator<<(ostream& ostr, const vector<T>& v)
{
	if (!v.empty())
	{
		ostr << v[0];
		for (int i = 1; i < v.size(); i++)
			ostr << ' ' << v[i];
	}
	return ostr;
}

template<class T1, class T2>
ostream& operator<<(ostream& ostr, const pair<T1, T2>& v)
{
	return ostr << '(' << v.first << ' ' << v.second << ')';
}

template<class T>
ostream& operator<<(ostream& ostr, const unordered_set<T>& v)
{
	auto it = v.begin();
	if (it != v.end())
	{
		ostr << '{' << *(it++);
		for (; it != v.end(); it++)
			ostr << ' ' << *it;
	}
	return ostr << '}';
}

void f(ll x)
{
	for (ll d = 2; d <= x; d++)
		if (x % d == 0)
		{
			M[x - l].second.insert(d);
			if (int(sqrt(d)) == sqrt(d))
			{
				M[x - l].first = false;
				return;
			}
		}
}

bool inter(const unordered_set<int>& s1, const unordered_set<int>& s2)
{
	for (int z : s1)
		if (s2.find(z) != s2.end())
			return false;
	return true;
}

int main(void)
{

	cin >> l >> r;
	//r++;


	ll cnt = 0;
	M.resize(r - l + 1, make_pair(true, unordered_set<int>()));
	for (int a = l; a <= r; a++)
	{
		f(a);
	}
	for (int a = l; a <= r; a++)	
	{
		if (!M[a - l].first)
			continue;
		for (int b = a + 1; b <= r; b++)
			if (M[b - l].first && inter(M[a - l].second, M[b - l].second))
				cnt++;
				//cout << a << ' ' << b << endl;
	}
	cout << cnt << endl;
	//cout << M << endl;

	return 0;
}
	