#include <iostream>
#include <algorithm>
#include <string>
#include <vector>

using namespace std;

template <class T = int>
T next() { T x; cin >> x; return x; }

pair<int, int> get_rate(char c)
{
    if (c == '1') return make_pair(1901, 6000);
    if (c == '2') return make_pair(1601, 1900);
    if (c == '3') return make_pair(0, 1600);
    return make_pair(-1, -1);
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);

    int r = next();
    string str;
    cin >> str;

    for (char c : str)
    {
        pair<int, int> rate = get_rate(c);

        if (rate.first <= r && r <= rate.second)
        {
            cout << c << '\n';
            return 0;
        }
    }

    for (char c : str)
    {
        cout << c;

        if (get_rate(c).second < r)
            cout << '*';

        cout << '\n';
    }

    return 0;
}
