#include <iostream>
#include <algorithm>
#include <vector>

using namespace std;

template <class T = int>
T next() { T x; cin >> x; return x; }

typedef long long ll;

bool is_free(ll x)
{
    for (int i = 2; (ll)i * (ll)i <= x; i++)
        if (x % (i * i) == 0)
            return false;

    return true;
}

int gcd(int a, int b)
{
    return b == 0 ? a : gcd(b, a % b);
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);

    int l, r, cnt = 0;
    cin >> l >> r;
    vector<int> candidates;

    for (int i = l; i <= r; i++)
        if (is_free(i))
            candidates.push_back(i);

    for (int i = 0; i < candidates.size(); i++)
        for (int j = i + 1; j < candidates.size(); j++)
            cnt += gcd(candidates[i], candidates[j]) == 1;

    cout << cnt << '\n';

    return 0;
}
