#include <iostream>
#include <algorithm>
#include <vector>
#include <set>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);

    int k;
    cin >> k;
    int m, n;
    cin >> m;
    vector<int> A(m);
    for (int& v : A) cin >> v;
    cin >> n;
    vector<int> B(n);
    for (int& v : B) cin >> v;

    vector<int> maskA(k + 1, 0), maskB(k + 1, 0);
    for (int v : A) maskA[v]++;
    for (int v : B) maskB[v]++;

    int pos = 1;
    for (int i = 1; i <= k; i++)
        if (max(maskA[i], maskB[i]) < max(maskA[pos], maskB[pos]))
            pos = i;

    cout << max(maskA[pos], maskB[pos]) + 1 << '\n';

    for (int i = 0; i < max(maskA[pos], maskB[pos]) + 1; i++)
        cout << pos << ' ';

    cout << '\n';

    return 0;
}
