﻿#include <iostream>
#include <cmath>
#include <vector>
#include <string>
#include <algorithm>

#define ll long long
#define FORI(n) for (int i = 0; i < n ; i+++)


using namespace std;


void taskA()
{
    int n, m;
    cin >> n >> m;

    int minPair = n < m? n : m;

    int c = minPair*2;
    if ((n + m) % 2 == 1)
    {
        c+=1;
    }

    cout << c;
}

void taskB()
{
    int a, b, k;
    cin >> a >> b >> k;

    ll c = 1;
    for (int i = 0; i < a; i++)
    {
        for (int j = 0; j < i; j++)
        {
            c++;
        }
    }
    for (int i = a; i <= b; i++)
    {
        for (int j = 0; j < min(i, k); j++)
        {
            cout << c << " ";
            c++;
        }
        for (int j = min(i, k); j < i; j++)
        {
            c++;
        }
        cout << '\n';
    }
}


bool contains(vector<int> v, int a)
{
    for (int i = 0; i < v.size(); i++)
    {
        if (v[i] == a)
        {
            return true;
        }
    }
    return false;
}


void taskC()
{
    int r;
    string divsS;

    cin >> r;
    cin >> divsS;

    vector<int> divs;

    for (int i = 0; i < divsS.size(); i++)
    {
        if (divsS[i] == '1')
        {
            divs.push_back(1);
        }
        else if (divsS[i] == '2')
        {
            divs.push_back(2);
        }
        else if (divsS[i] == '3')
        {
            divs.push_back(3);
        }
    }

    vector <int> thereIsNoThisDivs;

    bool has1 = true;
    bool has2 = true;
    bool has3 = true;

    for (int i = 0; i < divs.size(); i++)
    {
        if (divs[i] == 1)
        {
            has1 = false;
        }
        else if (divs[i] == 2)
        {
            has2 = false;
        }
        else
        {
            has3 = false;
        }
    }

    if (has1)
    {
        thereIsNoThisDivs.push_back(1);
    }
    if (has2)
    {
        thereIsNoThisDivs.push_back(2);
    }
    if (has3)
    {
        thereIsNoThisDivs.push_back(3);
    }


    if (divs[0] == 1)
    {
        cout << 1 << '\n';
    }
    else if (contains(thereIsNoThisDivs, 1) && r > 1900)
    {
        for (int i = 0; i < divs.size(); i++)
        {
            cout << divs[i] << "*" << '\n';
        }
    }

    if (contains(divs, 2) && r <= 1900 && r > 1600)
    {
        cout << 2 << '\n';
    }
    else if (r <= 1900 && r > 1600 && contains(divs, 3) && !contains(divs, 2))
    {
        cout << 3 << "*" << '\n';
    }

    if (contains(divs, 3) && r <= 1600)
    {
        cout << 3 << '\n';
    }

}


bool isFree(vector<bool> prime, int a)
{
    for (int i = 2; i < min(10000, a/2 + 1); i++)
    {
        if (prime[i])
        {
            if (a % (i * i) == 0)
            {
                return false;
            }
        }
    }
    return true;
}


void taskD()
{

    vector<bool> prime(10000, true);

    prime[0] = false;
    prime[1] = false;

    for (int i = 2; i < 10000; i++)
    {
        if (prime[i])
        {
            for (int j = i * i; j < 10000; j += i)
            {
                prime[j] = false;
            }
        }
    }

    
    int l, r;
    cin >> l >> r;

    int counter = 0;

    for (int i = l; i <= r; i++)
    {
        for (int j = i + 1; j <= r; j++)
        {
            if (isFree(prime, j) && isFree(prime, i) && isFree(prime,i*j))
            {
                counter++;
            }
        }
    }

    cout << counter;
    
}

void taskE()
{
    int n, k;
    cin >> n >> k;

}

void taskF()
{
        
}

int main()
{
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(0);
    std::cout.tie(0);
    taskC();

}