import java.util.ArrayList;
import java.util.Scanner;

public class Tusk {
    public static void main(String[] args) {
        Scanner s = new Scanner(System.in);
        int l = s.nextInt();
        int r = s.nextInt();
        int k = 0;
        ArrayList<Integer> banned = new ArrayList<>();
        for (int i = l; i < r; i++) {
            if (isFree(i)) {
                for (int j = i + 1; j < r + 1; j++) {
                    if (!contains(banned, j) && !contains(banned, i * j) && isFree(j)) {
                        if (isFree(i * j)) k++;
                        else if (!contains(banned, i * j)) banned.add(i * j);
                    } else if (!contains(banned, j)) banned.add(j);
                }
            }
        }
        System.out.println(k);
    }

    static boolean contains(ArrayList<Integer> n, int m) {
        boolean ans = false;
        for (int i = 0; i < n.size(); i++) {
            if (n.get(i) == m) ans = true;
        }
        return ans;
    }

    static boolean isFree(int n) {
        boolean res = true;
        for (int i = 2; i < Math.sqrt(n); i++) {
            if (n % (i * i) == 0) res = false;
            //System.out.println(n + " " + i + " " + n % (i * i));
        }
        return res;
    }
}
