﻿#include <iostream>
#include <cmath>
#include <algorithm>
#include <string>
#include <stack>
#include <queue>
#include <map>
#include <set>
#include <vector>
#include <list>

using namespace std;

int res(long long a) {
	for (long long i = 2; i * i <= a; ++i) {
		if (a % i == 0) {
			int cnt = 0;
			while (a % i == 0) {
				++cnt;
				if (cnt >= 2)
					return 0;
				a /= i;
			}
		}
	}
	return 1;
}

long long C_n(long long n, long long k) {
	long long t = n * (n - 1) / k;
	return t;
}

int simple(long long n) {
	for (int i = 2; i * i <= n; ++i) {
		if (n % i == 0)
			return 0;
	}
	return 1;
}

int main() {
	cin.tie(0);
	cout.tie(0);
	std::ios::sync_with_stdio(false);
	long long l, r;
	cin >> l >> r;
	long long def = r - l + 1;
	long long cnt = def * (def - 1) / 2;
	long long kol = def - 1;
	for (long long i = l; i <= r; ++i) {
		if (res(i) == 0) {
			cnt -= kol;
			--kol;
			long long hh = i;
			for (int jj = 2; jj * jj <= hh; ++jj) {
				if (hh % jj == 0) {
					while (hh % jj == 0)
						hh /= jj;
					long long f = def / jj;
					long long mod_o = def % jj;
					for (int j = l + def - mod_o; j <= r; ++j)
						if (j % jj == 0)
							++f;
					--f;
					cnt += f;
				}
			}
		}
	}
	for (long long i = 2; i <= def; ++i) {
		if (simple(i) == 1) {
			long long f = def / i;
			long long mod_o = def % i;
			for (int j = l + def - mod_o; j <= r; ++j)
				if (j % i == 0)
					++f;
			cnt -= C_n(f, 2);
		}
	}
	cout << cnt;
}

