import java.util.ArrayList;
import java.util.Scanner;

public class Main {

    static boolean isFree(int x) {
        boolean free = true;
        for (int y = 2; y <= Math.sqrt(x); y++) {
            if (x % (y * y) == 0) {
                free = false;
            }
        }
        return free;
    }

    static int freePairs(int a, int b, int count) {
        if(isFree(a) && isFree(b) && isFree(a * b)) {
            count++;
        }
        return count;
    }

    public static void main(String[] args) {
        int count = 0;
        Scanner scanner = new Scanner(System.in);
        int l = scanner.nextInt();
        int r = scanner.nextInt();
        //int a = l;
        int b = l + 1;
        while (b <= r) {
            for (int a = l; a < b; a++) {
                count = freePairs(a, b, count);
            }
            b++;
        }
        System.out.println(count);
    }
}
