#include <iostream>
#include <cmath>
#define ll long long
using namespace std;

bool Search(ll x)
{
    for(ll i = 2; i <= sqrt(x); ++i)
    {
        if(x % i == 0) x /= i;
        if(x % i == 0) return false;
    }
    return true;
}

int main() {
    int l, r;
    ll count = 0;
    cin >> l >> r;
    for(int a = l; a < r; ++a)
    {
        if(!Search(a)) continue;
        for(int b = a + 1; b <= r; ++b)
        {
            if(Search(a * b)) count++;
        }
    }
    cout << count << endl;
    return 0;
}