#include <iostream>
#include <cmath>
#include <vector>
#include <algorithm>
#define ll long long
using namespace std;

int gcd(int a, int b)
{
    if(b == 0) return a;
    return gcd(b,a % b);
}

bool Search(int x)
{
    for(int i = 2; i <= sqrt(x); ++i)
    {
        if(x % i == 0) x/=i;
        if(x % i == 0) return false;
    }
    return true;
}

int main() {
    int l, r;
    ll count = 0;
    cin >> l >> r;
    for(int a = l; a < r; ++a)
    {
        if(!Search(a)) continue;
        for(int b = a + 1; b <= r; ++b)
        {
            if(!Search(b)) continue;
            if(gcd(a, b) == 1) count++;
        }
    }
    cout << count;
    return 0;
}