#include <iostream>
#include <cmath>
#include <vector>
#include <windows.h>

using namespace std;

int find(vector<int> &arr, int clue, int start = 0) {
    if (start == -3) return -3;
    for (int i = start; i < arr.size(); ++i) {
        if (arr[i] == clue) {
            return i;
        }
    }
    return -3;
}

void cleverFind(vector<int> &arr_a, vector<int> &arr_b, int k, int count, vector<int> pref, int startIa, int startIb) {
    if (startIa == -3 && startIb == -3) {
        cout << pref.size() << endl;
        for (int i : pref) {
            cout << i << ' ';
        }
        cout << endl;
        exit(0);
    }

    if (count == 0) return;

    for (int i = 1; i <= k; ++i) {
        pref.push_back(i);
        cleverFind(arr_a, arr_b, k, count - 1, pref,
                   startIa == -3 ? -3 : find(arr_a, i, startIa + 1),
                   startIb == -3 ? -3 : find(arr_b, i, startIb + 1));
        pref.pop_back();
    }
}

int main() {
    int k, m, n;
    cin >> k >> m;

    vector<int> arr_a, arr_b;
    bool *used = new bool[k];
    memset(used, 0, k);
    {
        int in;
        for (int i = 0; i < m; ++i) {
            cin >> in;
            used[in - 1] = true;
            arr_a.push_back(in);
        }
        cin >> n;
        for (int i = 0; i < m; ++i) {
            cin >> in;
            used[in - 1] = true;
            arr_b.push_back(in);
        }
    }

    if (k == 1) {
        cout << max(n, m) + 1 << endl;
        for (int q = 0; q < max(n, m) + 1; ++q) {
            cout << "1 ";
        }
        cout << endl;
        return 0;
    }
    for (int count = 1; count <= (max(n, m) + 1); ++count) {
        cleverFind(arr_a, arr_b, k, count, vector<int>(), -1, -1);
    }

    return 0;
}
