#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <vector>
#include <queue>
#include <algorithm>
#include <cmath>
#include <map>
#include <string>

using namespace std;

#define vi vector<int>
#define vvi vector<vector<int>>

bool check(int n)
{
    int t = 2;
    while (n != 0 && n != 1) {
        int cnt = 0;
        while (n % t == 0) {
            n /= t;
            cnt++;
        }
        if (cnt > 1)
            return false;
        t++;
    }
    return true;
}

int main()
{
    ios::sync_with_stdio(false);
#ifdef _DEBUG
    freopen("a.in", "r", stdin);
    freopen("a.out", "w", stdout);
#endif 
    int l, r, cnt = 0;
    cin >> l >> r;

    for(int i = l; i <= r; i++)
        for (int j = l; j <= r; j++) {
            if (check(i) && check(j) && check(i * j)) {
                cnt++;
            }
        }
    cout << cnt/2;
    return 0;
}