import java.util.Scanner;

public class Main5a {
    private static int p = 0;
    public static void main(String[] args) {
        Scanner s = new Scanner(System.in);
        int n = s.nextInt(), k = s.nextInt();
        p = n;
        int[] toPrint = new int[k];
        for (int i = -k; i <= k; i++) {
            toPrint[0] = i;
            if (i < 0) {
                if ((sum (toPrint, k) + progress(i, 1, k)) < 0) continue;
            }
            if (i >= 0) {
                if ((sum (toPrint, k) + progress(i, -1, k)) > 0) continue;
            }
            subProc(toPrint, i, k-1);
        }
        System.out.flush();
    }

    public static int progress(int base, int exp, int number) {
        return ((number-1)*exp + 2*base) * number / 2;
    }

    private static void subProc(int[] toPrint, int curr, int k) {
        if (k == 0) {
            print(toPrint);
            return;
        }
        for (int i = -k; i <= k; i++) {
            toPrint[toPrint.length-k] = i;

            if (i < 0) {
                if ((sum (toPrint, k) + progress(i, 1, k)) < 0) continue;
            }
            if (i >= 0) {
                if ((sum (toPrint, k) + progress(i, -1, k)) > 0) continue;
            }
            subProc(toPrint, i, k-1);
        }
    }

    private static int sum(int[] toPrint, int k) {
        int ret = 0;
        for (int i = 0; i < (toPrint.length - k); i++)
            ret += toPrint[i];
        return ret;
    }

    private static void print(int[] vals) {
        if (sum(vals, 0) != 0) return;
        System.out.print(p + vals[0]);
        for (int i = 1; i < vals.length; i++) {
            int tmp = p + vals[i];
            if (tmp >= 0) {
                System.out.append('+');
                System.out.print(tmp);
            } else {
                System.out.print(tmp);
            }
        }
        System.out.println();
    }
}
