from itertools import combinations
from math import sqrt

l = int(input())
r = int(input())
nice = []


def is_nice(x):
    if x % 4 == 0:
        return False
    if x % 9 == 0:
        return False
    if x % 25 == 0:
        return False
    if x % 49 == 0:
        return False
    if x % 121 == 0:
        return False
    for i in range(3, int(sqrt(x)) + 1, 2):
        if x % i == 0 and (x // i) % i == 0:
            return False
    return True

def nod(a, b):
    while not (a == b):
        if a >= b:
            a = a - b
        else:
            b = b - a
    return a

for i in range(l, r + 1):
    if is_nice(i):
        nice.append(i)
pairs = combinations(nice, 2)
ans = 0
for pair in pairs:
    if nod(pair[0], pair[1]) == 1:
        ans += 1
print(ans)