#include<iostream>
#include<vector>
#include<math.h>

typedef long long ll;

using namespace std;

ll gsd(ll a, ll b) {
	if (a == 0 || b == 0)
		return a + b;
	else
		return a > b ? gsd(b, a % b) : gsd(a, b % a);
}
bool is_sq_empty(ll a) {
	for (ll i = 2; i <= sqrt(a); i++) {
		if (a % (i * i) == 0)
			return false;
	}
	return true;
}
int main()
{
	ll l, r;
	cin >> l >> r;
	vector<ll> res;

	for (ll i = l; i <= r; i++) {
		if (is_sq_empty(i))
			res.push_back(i);
	}
	/*for (auto i : res)
		cout << i << ' ';*/

	ll count = 0;
	for (ll i = 0; i < res.size(); i++) {
		for (ll j = i+1; j < res.size(); j++)
			if (gsd(res[i], res[j]) == 1)
				count++;
	}
	cout << count;
}