#include <iostream>
#include <cmath>
#include <vector>

using namespace std;

bool isFreeSq(int64_t n) {
    int64_t N = sqrt(n);
    for (int i = 2; i <= N; ++i) {
        if (n % (int)pow(i, 2) == 0) {
            return false;
        }
    }
    return true;
}

int main() {
    int64_t l, r, count = 0;
    cin >> l >> r;
    vector<int64_t> arr;
    for (int i = l; i <= r; ++i) {
        if (isFreeSq(i)) {
            arr.push_back(i);
        }
    }
    for (int64_t a = 0; a < arr.size() - 1; ++a) {
        for (int64_t b = a + 1; b < arr.size(); ++b) {
            if (isFreeSq(arr[a] * arr[b])) {
                ++count;
            }
        }
    }
    cout <<count;
}
