#include <bits/stdc++.h>
using namespace std;

bool isFree(int x)
{
	for (int y = 2; y * y <= x; y++)
		if (x % (y * y) == 0)
			return false;
	return true;
}

bool isFreeProd(int a, int b)
{
	for (int d = 2; d * d <= min(a, b); d++)
	{
		int dv = d;
		if (a % (dv * dv) == 0 && b % (dv * dv) == 0)
			return false;
		dv = min(a, b) / d;
		if (a % (dv * dv) == 0 && b % (dv * dv) == 0)
			return false;
	}
	if (b % a == 0)
		return false;
	return true;
}

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);

	int l, r;
	cin >> l >> r;
	vector<bool> is(r - l + 1);
	for (int i = l; i <= r; i++)
		is[i - l] = isFree(i);
	int ans = 0;
	for (int a = l; a <= r; a++)
		for (int b = a + 1; b <= r; b++)
			if (isFree(a) && isFree(b) && isFreeProd(a, b))
			{
				ans++;
				//cout << a << " " << b << "\n";
			}
	cout << ans << "\n";

	return 0;
}
