#include <iostream>
#include <string>
#include <cmath>
#define int long long

using namespace std;
int A[5000], B[5000];
int k, m, n;
int rand_arr[5000];
const int TRY = 1000;
void rnd(int x) {
    for (int i = 0; i < x; i++)
        rand_arr[i] = rand() % k + 1;
}
bool no_match_a(int len) {
    if (len > m)
        return true;
    int sovp = 0;
    for (int i = 0; i < m; i++) {
        if (sovp < len && A[i] == rand_arr[sovp])
            sovp++;
    }
    return sovp < len;
}

bool no_match_b(int len) {
    if (len > n)
        return true;
    int sovp = 0;
    for (int i = 0; i < n; i++) {
        if (sovp < len && B[i] == rand_arr[sovp])
            sovp++;
    }
    return sovp < len;
}
bool no_match(int len) {
    return no_match_a(len) && no_match_b(len);
}
bool no_exists(int len) {
    for (int i = 0; i < TRY; i++) {
        rnd(len);
        if (no_match(len))
            return false;
    }

    return true;
}
int find() {
    int L = 1, R = max(m, n) + 1;
    while (R - L > 1) {
        int M = (L + R) / 2;
        if (no_exists(M))
            L = M;
        else
            R = M;
    }
    return R;
}

signed main()
{
    srand(239);
    cin.tie(0);
    cout.tie(0);
    cin >> k >> m;
    for (int i = 0; i < m; i++)
        cin >> A[i];
    cin >> n;
    for (int i = 0; i < n; i++)
        cin >> B[i];
    if (k == 1) {
        for (int i = 0; i < max(n, m) + 1; i++) {
            cout << 1 << ' ';
        }
        return 0;
    }
    int f = find();
    cout << f << '\n';
    for (int i = 0; i < f; i++) {
        cout << rand_arr[i] << ' ';
    }
    return 0;
}
