import java.io.BufferedWriter;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.util.Scanner;

public class Main {

    private static Scanner s = new Scanner(System.in);
    private static BufferedWriter w = new BufferedWriter(new OutputStreamWriter(System.out));

    public static void main(String[] args) throws IOException {
        taskB();
        w.flush();
    }

    public static void taskA() {
        int n = s.nextInt(), m = s.nextInt();
        int x = Math.min(n, m) * 2 + ((n + m) % 2);
        System.out.println(x);
    }

    public static void taskB() throws IOException {
        int a = s.nextInt(), b = s.nextInt(), k = s.nextInt();
        for (long i = a; i <= b; i++) {
            long sum = i * (i + 1) / 2;
            long st = sum - i + 1;
            StringBuilder sb = new StringBuilder();
            for (long j = 0; j < k && j < i; j++) sb.append(st++).append(" ");
            String s = sb.substring(0, sb.length() - 1);
            w.write(s + "\n");
        }
    }

}
