import java.io.BufferedWriter;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.util.HashSet;
import java.util.Scanner;
import java.util.stream.Collectors;
import java.util.stream.IntStream;

public class Main {

    private static Scanner s = new Scanner(System.in);
    private static BufferedWriter w = new BufferedWriter(new OutputStreamWriter(System.out));

    public static void main(String[] args) throws IOException {
        taskD2();
        w.flush();
    }

    public static void taskA() {
        int n = s.nextInt(), m = s.nextInt();
        int x = Math.min(n, m) * 2 + ((n + m) % 2);
        System.out.println(x);
    }

    public static void taskB() throws IOException {
        int a = s.nextInt(), b = s.nextInt(), k = s.nextInt();
        for (long i = a; i <= b; i++) {
            long sum = i * (i + 1) / 2;
            long st = sum - i + 1;
            StringBuilder sb = new StringBuilder();
            for (long j = 0; j < k && j < i; j++) sb.append(st++).append(" ");
            String s = sb.substring(0, sb.length() - 1);
            w.write(s + "\n");
        }
    }

    public static void taskC() {
        int r = s.nextInt();
        String string = s.next(), s1 = null, s2 = null;
        char div = r <= 1600 ? '3' : r <= 1900 ? '2' : '1';
        for (int i = 0; i < string.length(); i++) {
            char c = string.charAt(i);
            if (c == div) {
                s1 = div + "";
                s2 = null;
                break;
            } else if (div < c) {
                if (s1 == null) s1 = c + "*";
                else s2 = c + "*";
            } else {
                if (s1 == null) s1 = c + "";
                else s2 = c + "";
            }
        }
        System.out.println(s1);
        if (s2 != null) System.out.println(s2);
    }

    public static void taskD() {
        int l = s.nextInt(), r = s.nextInt();
        int sq = (int) Math.sqrt(r);
        boolean[] not_free = new boolean[r - l + 1];
        for (int i = l; i <= r; i++) {
            for (int y = 2; y <= sq; y++) {
                if (i % (y * y) == 0) {
                    not_free[i - l] = true;
                    break;
                }
            }
        }
        int count = 0;
        for (int i = 0; i < not_free.length; i++) {
            if (!not_free[i]) {
                for (int j = i + 1; j < not_free.length; j++) {
                    if (!not_free[j]) if ((j + l) % (i + l) != 0) count++;
                }
            }
        }
        System.out.println(count);
    }

    public static void taskD2() {
        int l = s.nextInt(), r = s.nextInt(), sq = (int) Math.sqrt(r), count = 0;
        HashSet<Integer> set = IntStream.range(l, r + 1).boxed().collect(Collectors.toCollection(HashSet::new));
        for (int y = 2; y <= sq; y++) for (int a = l; a <= r; a++) if (a % (y * y) == 0) set.remove(a);
        Integer[] arr = set.toArray(Integer[]::new);
        for (int i = 0; i < arr.length - 1; i++) {
            for (int j = i + 1; j < arr.length; j++) if (arr[j] % arr[i] != 0) count++;
        }
        System.out.println(count);
    }

    public static void taskD3() {
        int l = s.nextInt(), r = s.nextInt(), sq = (int) Math.sqrt(r), count = 0;
        //boolean[] b = new boolean[r - l + 1];
        for (int y = 2; y <= sq; y++) {
            int ly = l % (y * y) == 0 ? l / (y * y) : l / (y * y) + 1, ry = r / (y * y);
            System.out.println(y + " " + ly + " " + ry);
            for (int i = ly; i <= ry; i++) {
                System.out.println(i * y * y);
            }
        }
    }






}
