"""
input - rate & array of divisions
output - array of divisions for event

f(x) get_base_div
x >1900 -> 1
x in [1601 : 1900] -> 2
x in [0: 1600] -> 3

f(x) get_event_div
	if bd < x:
		return f'{x}*'
	return x
bd = get_base_div(rate)
if bd in [d1, d2]:
	print(db)
	exit()
for di in [d1, d2]:
	print(get_event_div(di))
"""

rate = int(input())
divs = [*map(int, list(input()))]

def get_base_div(x):
	if x > 1900:
		return 1
	if x >= 1601 and x <= 1900:
		return 2
	if x >= 0 and x <= 1600:
		return 3

def get_event_div(bd, x):
	if bd < x:
		return f'{x}*'
	return x
bd = get_base_div(rate)
#print(bd)

if bd in divs:
	print(bd)
	exit()
for div in divs:
	print(
		get_event_div(bd,div)
	)