def primfacs(z):
    div = 2
    ans = {}
    while div ** 2 <= z:
        if z % div == 0:
            try:
                ans[div] += 1
            except KeyError:
                ans[div] = 1
            z //= div
        else:
            div += 1
    if z != 1:
        try:
            ans[z] += 1
        except KeyError:
            ans[z] = 1
    return ans


def clear(n):
    squares = 0
    els = 0
    for item in n.items():
        els += 1
        if item[1] % 2 != 0:
            squares += 1
    return squares == els


from itertools import combinations
from collections import Counter

a, b = int(input()), int(input())
good = []
ans = 0
for el in range(a, b + 1):
    primf = primfacs(el)
    if clear(primf):
        good.append(primf)

for t in combinations(good, 2):
    A = Counter(t[0])
    B = Counter(t[1])
    C = A.copy()
    C.update(B)
    if clear(dict(C)):
        ans += 1
print(ans)
