#include <iostream>
#include <cmath>
#include <vector>

using namespace std;

template<int N>
struct A {
    constexpr A() : arr() {
        for (auto i = 2; i != N; ++i){
            arr[i] = i*i; 
        }
    }
    int arr[N];
};
A<20000> Arra;

bool free(int x){
	for(int i = 0; Arra.arr[i] <= x; i++){
		if(!(Arra.arr[i]%x)){
			return false;
		}
	}
	for(int y = 2; y*y <= x; y++){
		if(!(x%(y*y))){
			return false;
		}
	}
	return true;
}



int main(){
	int l;
	int r;
	cin >> l;
	cin >> r;
	int kol = 0;
	int amount = 0;
	for(int b = l+1; b <= r; b++){
		for(int a = l; a < b; a++){
			if(free(a*b)){
				if(free(b)){
					if(free(a)){
						kol++;
					}
				}
			}
		}
	}
	cout << kol << endl;

	return 0;
}