#include <iostream>
#include <vector>
#include <functional>

int main () {
    using namespace std;
    
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr); cout.tie(nullptr);
    
    int n, k;
    cin >> n >> k;
    
    int sum;
    vector<int> a;
    
    function<void()> print = [&] () {
        cout << a[0];
        for (int i = 1; i < k; ++i)
            cout << (a[i] < 0 ? '-' : '+') << abs(a[i]);
        cout << '\n';
    };
    
    function<void()> gen = [&] () {
        if (a.size() == k) {
            if (sum == n)
                print();
            return;
        }
        
        for (int i = a.back() - 1; i <= a.back() + 1; ++i) {
            sum += i;
            a.push_back(i);
            gen();
            a.pop_back();
            sum -= i;
        }
    };
    
    for (int i = -15; i <= 15; ++i) {
        sum = i;
        a.push_back(i);
        gen();
        a.pop_back();
    }
    
    return 0;
}