#include <iostream>
#include <algorithm>
#include <cmath>
#include <vector>
#include <string>

using namespace std;

bool check(int n) {
	bool correct = 1;
	for (int i = 2; i <= n; ++i) {
		if ((n % (i*i)) == 0) {
			correct = 0;
			break;
		}
	}
	if (correct == 0)
		return 0;
	else
		return 1;
}

int main() {
	ios::sync_with_stdio(0);
	cin.tie(0);
	int l, r, i, j, ans = 0;
	cin >> l >> r;
	for (i = l; i < r; ++i) {
		for (j = i + 1; j <= r; ++j) {
			if (check(i) == 1 && check(j) == 1 && check(i * j) == 1) {
				++ans;
			}
		}
	}
	cout << ans << "\n";
	return 0;
}