#include <iostream>
#include <cmath>
using namespace std;

bool is_free (double v) {
    for (long long i = 2; i*i <= v; i++) {
        if (fmod(v / (i*i), 1) == 0) {
            return false;
        }
    }
    return true;
}

int main () {
    int l, r, result = 0;
    cin >> l >> r;
    for (int a, b = a = l; a <= r && b <= r; b++) {
        if (is_free(a) && is_free(b) && is_free(a*b)) {
            result += 1;
        }

        if (b == r) {
            b = l - 1;
            a += 1;
        }
    }
    cout << result / 2 << endl;
}
