#include <iostream>

using namespace std;

int gcd(int a, int b) {
	if (b == 0) {
		return a;
	}
	return gcd(b, a % b);
}

bool containssqr(int a) {
	int i = 2;
	int prev = 0;
	while (a > 1) {
		if (a%i == 0){
			a /= i;
			if (i == prev) {
				return false;
			}
			prev = i;
		}
		else {
			i++;
		}
	}
	return true;
}

int main() {
	int a, b;
	cin >> a >> b;
	int c = 0;
	for (int i = a; i <= b; i++) {
		for (int j = i; j <= b; j++) {
			if (i == j) {
				continue;
			}
			if (containssqr(i) && containssqr(j) && gcd(i, j) == 1) {
				c++;
			}
		}
	}
	cout << c;
	return 0;
}