#include <iostream>
#include <vector>

using namespace std;

int gcd(int a, int b) {
    if (b == 0) {
        return a;
    }
    return gcd(b, a % b);
}

bool containssqr(int a) {
    int i = 2;
    while (i * i <= a) {
        if (a % (i * i) == 0) {
            return false;
        }
        i += 1;
    }
    return true;
}

int main() {
    int a, b;
    cin >> a >> b;
    int c = 0;
    vector <bool> sqrs(b - a + 1, false);
    for (int i = a; i <= b; i++) {
        sqrs[i - a] = containssqr(i);
    }
    for (int i = a; i <= b; i++) {
        if (!sqrs[i-a]) {
            continue;
        }
        for (int j = i; j <= b; j++) {
            if (i == j) {
                continue;
            }
            if (sqrs[j-a] && gcd(i, j) == 1) {
                c++;
            }
        }
    }
    cout << c;
    return 0;
}