#include <iostream>
#include <cmath>
#include <algorithm>
#include <vector>
#define int long long
#define debug(x) cout << #x << " == " << x << '\n';
using namespace std;
int n, k;
int sum(int a, int b) {
    if (a > b) return sum(b, a);
    if (a >= 0 and b >= 0) {
        return b * (b + 1) / 2 - a * (a - 1) / 2;
    }
    if (a < 0 and b < 0) return -sum(-b, -a);
    else return -sum(0, -a) + sum(0, b);
}
string str(int num) {
    string res;
    bool c = num < 0;
    num = abs(num);
    if (!num) res += '0';
    while (num) {
        res += num % 10 + '0';
        num /= 10;
    }
    if (c) res += '-';
    else res += '+';
    reverse(res.begin(), res.end());
    return res;
}
void ok(int num, string s, int len, int last) {
    if (!num and len == k) {
        cout << s << '\n';
        return;
    }
    if (num and len == k) return;
    if (!len) {
        int l = -15, r = 15;
        for (int i = l; i <= r; ++i) {
            s = str(i);
            if (i >= 0) s = s.substr(1, s.size() - 1);
            ok(num - i, s, 1, i);
        }
    }
    else {
        for (int i = -1; i <= 1; ++i) {
            int st = last + i;
            int f1 = last + i + k - len - 1;
            int f2 = last + i - (k - len - 1);
            int mx = sum(st, f1), mn = sum(st, f2);
            if (mx >= last + i and mn <= last + i) {
                ok(num - last - i, s + str(last + i), len + 1, last + i);
            }
        }
    }
}
signed main() {
    cin >> n >> k;
    ok(n, "", 0, 0);
}