#include <iostream>
#include <cmath>
#include <algorithm>
#include <vector>
#include <cassert>
#define int long long
#define debug(x) cout << #x << " == " << x << '\n';
using namespace std;
int k, n, m;
int mid;
vector <int> a, b;

vector <int> gen(vector <int> cur) {
    if (cur.size() == mid) {
        int ind1 = 0, ind2 = 0;
        for (auto x : a)
            if (ind1 < cur.size() and cur[ind1] == x) 
                ind1++;
        for (auto x : b)
            if (ind2 < cur.size() and cur[ind2] == x)
                ind2++;
        if (ind1 < cur.size() and ind2 < cur.size()) return cur;
        else return { -1 };
    }
    for (int i = 1; i <= k; ++i) {
        cur.push_back(i);
        vector <int> got = gen(cur);
        if (got[0] != -1) return got;
        cur.pop_back();
    }
    return { -1 };
}
signed main() {
    cin >> k;
    cin >> n;
    a.resize(n);
    for (auto& x : a) cin >> x;
    cin >> m;
    b.resize(m);
    for (auto& x : b) cin >> x;
    int l = 1, r = max(n, m) + 2;
    while (l + 1 < r) {
        mid = (l + r) / 2;
        vector <int> res = gen({});
        if (gen({})[0] != -1) r = mid;
        else l = mid;
    }
    mid = r;
    vector <int> ans = gen({});
    cout << ans.size() << '\n';
    assert(ans[0] != -1);
    for (auto x : ans) cout << x << ' ';
    cout << '\n';
}