#include <iostream>
#include <cmath>
#include <vector>

char numberIsFreeFromSquares(long long number)
{
    if (number<4 || (number>4 && number<8)) return true;
    if (int(sqrt(number))==round(sqrt(number))) return false;
    for (long long i=2; i<sqrt(number); i++) if(number%(i*i)==0) return false;
    return true;
}

long long findNextFreeFromSquaresNumber(long long startPos)
{
    for(long long i=startPos+1; ; i++)
    {
        if(numberIsFreeFromSquares(i)) return i;
    }
}
int main()
{
    long long leftBound, rightBound;
    std::cin>>leftBound >> rightBound;
    std::vector <long long> freeFromSquareNumbers;
    for(long long k=leftBound-1; k<rightBound; ) {k=findNextFreeFromSquaresNumber(k); if(k<rightBound) freeFromSquareNumbers.push_back(k);}
    long long pairCounter=0;
    for(long long i=0; i<freeFromSquareNumbers.size(); i++)
        for(long long j=0; j<freeFromSquareNumbers.size(); j++)
        {
            if(numberIsFreeFromSquares(freeFromSquareNumbers[i]*freeFromSquareNumbers[j])) pairCounter++;
        }
        std::cout<<pairCounter;
    return 0;
}

