#include <iostream>
#include <algorithm>
#include <vector>
#include <iomanip>
#include <map>
#include <set>
#include <cmath>

using namespace std;

bool is_sqared_divisor (const int& a, int j, int add) {
    j += add;
    if (j > ceil(a / 2)) {
        return true;
    }
    if (a % j == 0) {
        return false;
    }
    return is_sqared_divisor(a, j, add + 2);
}

int main()
{
    int64_t l, r, value = 0;
    cin >> l >> r;
    for (int a = l; a < r; a++) {
        if (!is_sqared_divisor(a, 1, 3)) {
            continue;
        }
        for (int b = a + 1; b <= r; b++) {
            if (!is_sqared_divisor(b, 1, 3)) {
                continue;
            }
            if (is_sqared_divisor(a * b, 1, 3)) {
                value++;
            }
        }
    }
    cout << value;

    return 0;
}
