#include <iostream>
#include <vector>

using Int = unsigned long long;

bool isFree(Int a) {
	Int lim = (Int)sqrt((double)a) + 1;

	for (Int i = 2; i < lim; ++i) {
		if (a % (i * i) == 0)
			return false;
	}
	return true;
}

int main() {
	Int l, r;
	std::cin >> l >> r;

	Int count = 0;
	for (; l <= r; ++l) {
		if (!isFree(l))
			continue;

		if (l + 1 <= r)
			for (Int j = l + 1; j <= r; ++j) {
				if (!isFree(j))
					continue;
				if (isFree(l * j))
					++count;
			}
	}

	std::cout << count;

	system("pause");
	return 0;
}