#include <iostream>
#include <vector>

using Int = unsigned long long;

bool isFree(Int a) {
	Int lim = (Int)sqrt((double)a) + 1;

	for (Int i = 2; i < lim; ++i) {
		if (a % (i * i) == 0)
			return false;
	}
	return true;
}

int main() {
	Int l, r;
	std::cin >> l >> r;

	Int count = 0;
	std::vector<Int> nums;
	nums.reserve((size_t)(r - l + 1));
	for (; l <= r; ++l) {
		if (isFree(l))
			nums.emplace_back(l);
	}
	for (size_t i = 0; i < nums.size(); ++i) {
		if (i + 1 <= nums.size())
			for (size_t j = i + 1; j < nums.size(); ++j) {
				if (isFree(nums[j] * nums[i]))
					++count;
			}
	}

	std::cout << count;

	system("pause");
	return 0;
}