//@author : Kirkon
//current CF rating: 1605

#include <iostream>
#include <vector>
#include <set>
#include <deque>
#include <queue>
#include <stack>
#include <string>
#include <cstring>
#include <cstdio>
#include <algorithm>

using namespace std;

#define all(x) (x).begin(), (x).end()

typedef long long ll;

template<class T>
istream& operator >> (istream& in, vector<T>& a) {
    for (auto& i : a) {
        in >> a;
    }
    return in;
}


void solve() {
    //Я оценил отсылку на CF, прикольное условие
    //5k - рейтинг Короткевича через пару лет :)
    int r;
    string s;
    cin >> r >> s;
    set<int> q;
    for (auto i : s) {
        q.insert(int(i - '0'));
    }
    string ans;
    bool flag = false;
    for (auto i : q) {
        if (i == 1 && r > 1900) {
            flag = true;
            ans.push_back('1');
            break;
        }
        if (i == 2 && r <= 1900 && r >= 1601) {
            flag = true;
            ans.push_back('2');
            break;
        }
        if (i == 3 && r <= 1600) {
            flag = true;
            ans.push_back('3');
            break;
        }
    }
    if (flag) {
        cout << ans;
        return;
    }
    ans.clear();
    for (auto i : q) {
        if (i == 1) {
            ans.push_back('1');
        }
        if (i == 2) {
            if (r > 1900) {
                ans.push_back('2');
                ans.push_back('*');
            }
            else {
                ans.push_back('2');
            }
        }
        if (i == 3) {
            ans.push_back('3');
            ans.push_back('*');
        }
    }
    for (int i = 0; i < ans.size(); ++i)
    {
        if (ans[i] == '*')
        {
            continue;
        }
        if (i + 1 < ans.size())
        {
            if (ans[i + 1] == '*')
            {
                cout << ans[i] << ans[i + 1] << '\n';
            }else
            {
                cout << ans[i] << '\n';
            }
        }else
        {
            cout << ans[i] << '\n';
        }
    }
    return;
}

signed main() {
    cin.tie(0);
    cout.tie(0);
    ios_base::sync_with_stdio(false);
    int tt = 1;
    //cin >> tt;
    while (tt--) {
        solve();
    }
    return 0;
}