#include <iostream>
#include <string>
#include <math.h>
#include <queue>
#include <assert.h>
#include <set>
#include <bitset>
#include <map>
#include <unordered_map>
#include <random>
#include <chrono>
#include <algorithm>
#include <iomanip>
#include <unordered_set>
#include <complex>

using namespace std;

#define ll long long
#define vii vector<int>
#define vll vector<ll>
#define pii pair<int, int>
#define pll pair<ll, ll>
#define pdd pair<double, double>
#define pbb pair<bool, bool>
#define pb push_back
#define f first
#define s second
#define vpii vector<pii >
#define ld long double
#define vbb vector<bool>
#define vdd vector<double>
#define vpll vector<pll >


int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cout.precision(30);

#ifdef LOCAL
    freopen("Input.txt", "r", stdin);
    freopen("Output.txt", "w", stdout);
#endif

    ll l, r;
    cin >> l >> r;

    vector<vll > divs;
    for(ll t = l; t <= r; t++)
    {
        ll cur = t;
        vector<pll> tempDivs;
        for(ll div = 2; div * div <= cur; div++)
        {
            if(cur % div == 0)
            {
                tempDivs.pb({div, 0});
            }
            while(cur % div == 0)
            {
                tempDivs.back().s++;
                cur /= div;
            }
        }

        if(cur != 1)
            tempDivs.pb({cur, 1});
        bool flag = 0;
        vll toPush;
        for(int i = 0; i < tempDivs.size(); i++)
        {
            if(tempDivs[i].s % 2 == 0)
                flag = 1;
            toPush.pb(tempDivs[i].f);
        }

       // cerr << cur << " " << t << " flag " << flag << endl;
       // for(int j = 0; j < toPush.size(); j++)
       //     cerr << toPush[j] << " ";
       // cerr << endl;
        if(flag)
            continue;
        divs.pb(toPush);
    }

    ll answ = 0;
    for(int i = 0; i < divs.size(); i++)
    {
        for(int j = i + 1; j < divs.size(); j++)
        {
            ll p1 = 0, p2 = 0;
            bool flag = 0;

            while(p1 < divs[i].size() && p2 < divs[j].size())
            {
                if(divs[i][p1] == divs[j][p2])
                {
                    flag = 1;
                    break;
                }
                while(p1 < divs[i].size() && divs[i][p1] < divs[j][p2])
                    p1++;
                while(p2 < divs[j].size() && divs[j][p2] < divs[i][p1])
                    p2++;
            }
            if(flag)
                continue;
            answ++;
        }
    }
    cout << answ << endl;
    return 0;
}