package infmunic2020

import java.util.*
import kotlin.math.sqrt

fun checkForSquares(a: Int): Boolean {
    var n = a
    if (n % 2 == 0) n /= 2

    if (n % 2 == 0) return false
    var i = 3
    while (i <= sqrt(n.toDouble())) {
        if (n % i == 0) {
            n /= i
            if (n % i == 0) return false
        }
        i += 2
    }

    return true
}
fun main() {
    val scanner = Scanner(System.`in`)
    val l = scanner.nextInt()
    val r = scanner.nextInt()
    var count = 0
    for (a in l..r) {
        for (b in a + 1..r) {
            if (checkForSquares(a) && checkForSquares(b) && checkForSquares(a * b)) {
                count++
            }
        }
    }
    println(count)
}