package infmunic2020

import java.util.*
import kotlin.math.sqrt

fun checkForSquares(a: Int, b: Int): Boolean {
    for (i in 2..sqrt((a * b).toDouble()).toInt()) {
            if ((b % i == 0 && a % i == 0) || a % (i * i) == 0 || b % (i * i) == 0) {
                return false
            }
    }
    return true
}
fun main() {
    val scanner = Scanner(System.`in`)
    val l = scanner.nextInt()
    val r = scanner.nextInt()
    var count = 0
    (l..r).forEach { a ->
        (a + 1..r).forEach { b ->
            if (a != b) {
                if (checkForSquares(a, b)) {
                    count++
                }
            }
        }
    }
    println(count)
}