
#include <iostream>
using namespace std;

inline int gcd(int a, int b)
{
    while (true) {
        if (a > b) {
            if (!(a %= b)) return b;
        }
        else {
            if (!(b %= a)) return a;
        }
    }
}

bool isFree(int x)
{
    int y = 2, y2;
    while ((y2 = y * y) < x) {
        if (!(x % y2))
            return false;
        y++;
    }
    return y2 != x;
}

int main()
{
    int start, end;
    cin >> start;
    cin >> end;
    
    bool freeq[1024];
    for (int i = start; i <= end; i++)
        freeq[i - start] = isFree(i);
    
    int res = 0;
    for (int i = start; i <= end; i++)
        if (freeq[i - start])
            for (int j = i + 1; j <= end; j++)
                if (freeq[j - start])
                    res++;
    
    cout << res;
    return 0;
}
