﻿#include <iostream>
#include <algorithm>
#include <string>
#include <math.h>

typedef long long ll;

using namespace std;

ll gcd(ll a, ll b) {
	if (!b) return a;
	return gcd(b, a % b);
}

int main()
{

	ll l, r, ans = 0; cin >> l >> r;

	bool a[(ll)1e9 + 1];
	for (ll k = 2; k < sqrt(r) + 1; ++k) {

		for (ll i = l; i <= r; ++i) {
			
			if (i % (k * k) == 0) {
				a[i] = 0;

				for (ll j = i + (k * k); j <= r; j += (k * k)) a[j] = 0;

				break;
			}
		}
	}

	for (ll i = l; i <= r; ++i) {
		for (ll j = i + 1; j <= r; ++j) {

			if (a[i] && a[j] && gcd(i, j) == 1) ++ans;
		}
	}

	cout << ans;
}
