﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApp1
{
    class Program
    {
        static List<List<int>> combinations = new List<List<int>>();
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int k = int.Parse(Console.ReadLine());

            var list = new List<int>();

            for (int i = 0; i < k; i++)
                list.Add(n - k);

            Ladder(list, 0, n);

            combinations.Reverse();

            foreach (var combination in combinations)
            {
                string combinationString = "";

                foreach (var number in combination)
                    combinationString += number >= 0 ? $"+{number}" : $"{number}";

                if (combinationString[0] == '+')
                    combinationString = combinationString.Remove(0, 1);

                Console.WriteLine(combinationString);
            }
        }

        static void Ladder(List<int> list, int a, int n)
        {
            list[a]++;

            var sum = list.Sum();

            if (sum == n)
            {
                combinations.Add(list);
                return;
            }

            for (int i = 0; i < list.Count; i++)
            {
                bool resume = false;

                if (i == 0)
                    resume = Math.Abs(list[i] + 1 - list[i + 1]) <= 1;
                else if (i == list.Count - 1)
                    resume = Math.Abs(list[i] + 1 - list[i - 1]) <= 1;
                else
                    resume = (Math.Abs(list[i] + 1 - list[i + 1]) <= 1) && (Math.Abs(list[i] + 1 - list[i - 1]) <= 1);

                if (resume)
                    Ladder(new List<int>(list), i, n);
            }
        }
    }
}
