﻿#include <iostream>
#include <vector>
#include <set>
#include <algorithm>

using namespace std;

void factor(int a, vector<int>& v) 
{
	int d = 2;
	while (a >= d) 
	{
		while (a % d == 0)
		{
			v.push_back(d);
			a /= d;
		}
		++d;
	}
}

bool check(int a, int b) 
{
	vector<int> v1, v2, si;
	factor(a, v1);
	factor(b, v2);
	set<int> s1, s2;
	for (int i : v1) s1.insert(i);
	for (int i : v2) s2.insert(i);
	set_intersection(s1.begin(), s1.end(), s2.begin(), s2.end(), back_inserter(si));
	return s1.size() == v1.size() && s2.size() == v2.size() && si.empty();
}

int main()
{
	int l, r, ans = 0;
	cin >> l >> r;
	/*vector<bool> v(r + 1, true);
	for (int i = 2; i * i <= r; ++i)
	{
		int sq = i * i;
		for (int j = sq; j <= r; j += sq) v[j] = false;
	}*/
	for (int i = l; i < r; ++i)
		for (int j = i + 1; j <= r; ++j) ans += check(i, j);
	cout << ans;
}