import kotlin.math.sqrt

fun gcd(a: Int, b: Int): Int = if (b == 0) a else gcd(b, a % b)
fun Int.quadraticFree() = (2..(sqrt(this.toDouble()) + 10).toInt()).all { this % (it * it) != 0 }

fun main() {
    val l = readLine()!!.toInt()
    val r = readLine()!!.toInt()
    val quadraticFree = (l..r).filter { it.quadraticFree() }
    var cnt = 0
    for (a in quadraticFree) {
        for (b in quadraticFree) {
            if (gcd(a, b) == 1) cnt++
        }
    }
    println(cnt / 2)
}