fun main() {
    val n = readLine()!!.toInt()
    val k = readLine()!!.toInt()
    fun Int.pow(exp: Int): Int = if (exp == 0) 1 else this * this.pow(exp - 1)
    fun Int.toDeltas() = List(k - 1) { (this / 3.pow(it)) % 3 - 1 }
    val partitions = mutableListOf<List<Int>>()
    for (mask in 0 until 3.pow(k - 1)) {
        val deltas = mask.toDeltas()
        val pattern = List(k) { deltas.slice(0 until it).sum() }
        partitions.add(pattern.map { it + (n - pattern.sum()) / pattern.size })
    }

    val comparator = Comparator<List<Int>> { l1, l2 -> l1.compareTo(l2) }
    println(partitions.filter { it.sum() == n }.sortedWith(comparator).joinToString("\n") {
        it.withIndex().joinToString("") { (if (it.index > 0 && it.value >= 0) "+" else "") + it.value.toString() }
    })
}

operator fun List<Int>.compareTo(other: List<Int>): Int {
    for (i in indices) {
        if (i !in other.indices) return -1
        if (this[i] != other[i]) return this[i] - other[i]
    }
    return if (indices == other.indices) 0 else 1
}

