fun main() {
    val n = readLine()!!.toInt()
    val k = readLine()!!.toInt()
    val pow = IntArray(k) { 1 }
    for (i in 1 until k) pow[i] = pow[i - 1] * 3
    fun Int.toDeltas() = List(k - 1) { this / pow[it] % 3 - 1 }
    val partitions = mutableListOf<IntArray>()
    for (mask in 0 until pow[k - 1]) {
        val deltas = mask.toDeltas()
        val pattern = IntArray(k)
        for (i in 1 until k) pattern[i] = pattern[i - 1] + deltas[i - 1]
        val sum = pattern.sum()
        if ((n - sum) % pattern.size == 0) partitions.add(pattern.map { it + (n - sum) / pattern.size }.toIntArray())
    }
    val comparator = Comparator<IntArray> { a1, a2 -> a1.compareTo(a2) }
    println(partitions.filter { it.sum() == n }.sortedWith(comparator).joinToString("\n") {
        it.withIndex().joinToString("") { (if (it.index > 0 && it.value >= 0) "+" else "") + it.value.toString() }
    })
}

operator fun IntArray.compareTo(other: IntArray): Int {
    for (i in indices) {
        if (i !in other.indices) return -1
        if (this[i] != other[i]) return this[i] - other[i]
    }
    return if (indices == other.indices) 0 else 1
}

