﻿#include <set>
#include <map>
#include <iostream>
#include <vector>
#include <fstream>
#include <algorithm>
#include <iomanip>
#include <string>
#include <deque>
using namespace std;

set<deque<int>> ultima(int a, int b) {
	if (b == 0) {
		set<deque<int>> u;
		deque<int> t;
		u.insert(t);
		return u;
	}
	set<deque<int>> res;
	int low = (a - b * (b - 1) / 2) / b;
	int high = (a + b * (b - 1) / 2) / b;
	for (int i = low; i <= high; ++i) {
		set<deque<int>> temp = ultima(a - i, b - 1);
		for (auto elem : temp) {
			if (elem.size() == 0 || abs(elem[0] - i) <= 1) {
				elem.push_front(i);
				res.insert(elem);
			}


		}

	}
	return res;

}

int main() {
	int n;
	cin >> n;
	int k;
	cin >> k;
	set<deque<int>> res = ultima(n, k);
	for (auto elem : res) {
		for (int i = 0; i < elem.size(); ++i) {
			if (i == 0)
				cout << elem[i];
			else if (elem[i] >= 0)
				cout << "+" << elem[i];
			else cout << elem[i];


		}


		cout << "\n";
	}



	return 0;
}