#include <iostream>
#include <cmath>

using namespace std;

bool isFree(int a, double sqrta);

int main()
{
    int l, r;
    int result = 0;
    cin >> l;
    cin >> r;

    for(int a = l; a < r; a++) {
        if(isFree(a, sqrt(a)) == false) continue;
        for(int b = a + 1; b <= r; b++) {
            if(isFree(b, sqrt(b)) == false) continue;
            if(isFree(a*b, sqrt(a*b)) == true ) result++;
        }
    }

    cout << result;

    return 0;
}

bool isFree(int a, double sqrta) {
    for(int i = 1; i < sqrta; i++) {
        double root = sqrt(a / i);
        if ((root - ceil(root)) == 0) return false;
    }
    return true;
}
