#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <iomanip>
#include <string>
#include <map>
#include <set>
#include <fstream>

using namespace std;

typedef long long ll;
typedef long double ld;


ll mod = 998244353;
ll modpow (ll a, ll pow) {
    if (pow == 0) {
        return 1;
    }
    ll c = modpow(a, pow/2);
    return (c*c + a*(pow%2))%mod;

}

ll NOD(ll  a, ll b) {
    if (b == 0) {
        return a;
    }
    return NOD(b, a % b);

}
ll NOK(ll a, ll b) {
    return a*b/NOD(a, b);
}


signed main() {
//    cin.tie(0);
//    ios_base::sync_with_stdio(false);

    ll k, n, m;
    cin >> k;
    cin >> n;
    vector<ll> a(n);
    for (int i = 0; i < n; ++i) {
        cin >> a[i];
    }
    cin >> m;
    vector<ll> b(m);
    for (int i = 0; i < m; ++i) {
        cin >> b[i];
    }
    if (k == 1) {
        cout << __max(n, m)+1<< endl;
        for (int i = 0; i < __max(n, m)+1; ++i) {
            cout << 1 <<' ';
        }
    }
    return 0;
}