#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <iomanip>
#include <string>
#include <map>
#include <set>
#include <fstream>

using namespace std;

typedef long long ll;
typedef long double ld;


ll mod = 998244353;
ll modpow (ll a, ll pow) {
    if (pow == 0) {
        return 1;
    }
    ll c = modpow(a, pow/2);
    return (c*c + a*(pow%2))%mod;

}

ll NOD(ll  a, ll b) {
    if (b == 0) {
        return a;
    }
    return NOD(b, a % b);

}
ll NOK(ll a, ll b) {
    return a*b/NOD(a, b);
}


signed main() {
//    cin.tie(0);
//    ios_base::sync_with_stdio(false);

    ll k, n, m;
    cin >> k;
    cin >> n;
    ll a1 = 0;
    ll a2 = 0;
    ll b1 = 0;
    ll b2 = 0;
    vector<ll> a(n);
    for (int i = 0; i < n; ++i) {
        cin >> a[i];
        if (a[i] == 1)
            a1++;
        else
            a2++;
    }
    cin >> m;
    vector<ll> b(m);
    for (int i = 0; i < m; ++i) {
        cin >> b[i];
        if (b[i] == 1)
            b1++;
        else
            b2++;
    }
    if (k == 1) {
        cout << __max(n, m)+1<< endl;
        for (int i = 0; i < __max(n, m)+1; ++i) {
            cout << 1 <<' ';
        }
    }
    if (k == 2) {
        vector<ll> ansa{a[0]};
        for (int i = 0; i < n - 1; ++i) {
            if (a[i+1] != a[i]) {
                ansa.push_back(a[i+1]);
            }
        }
        vector<ll> ansb{b[0]};
        for (int i = 0; i < m - 1; ++i) {
            if (b[i+1] != b[i]) {
                ansa.push_back(b[i+1]);
            }
        }
        if (__min(__max(a1, b1), __max(a2, b2)) < __max(ansa.size(), ansb.size())) {
            if (__max(a1, b1) < __max(a2, b2)) {
                cout << __max(a1, b1) +1 << endl;
                for (int i = 0; i < __max(a1, b1)+1; ++i) {
                    cout << 1 << " ";
                }
            }
            else {
                cout << __max(a2, b2)+ 1<<endl;
                for (int i = 0; i < __max(a2, b2) + 1; ++i) {
                    cout << 2<<" ";
                }
            }
        }
        else if (ansa.size() > ansb.size()) {

            cout << ansa.size() +1 << endl;
            for (int i = 0; i < ansa.size(); ++i) {
                cout << ansa[i] << ' ';
            }
            cout << 1-ansa[ansa.size()-1];
        }
        else{
            cout << ansb.size() +1 << endl;
            for (int i = 0; i < ansb.size(); ++i) {
                cout << ansb[i] << ' ';
            }
            cout << 2-ansb[ansb.size()-1];
        }
    }
    return 0;
}