#include <bits/stdc++.h>

using namespace std;

bool is_square_free(long long a) {
    for (long long i = 2; i * i <= a; ++i) {
        if (a % (i * i) == 0) {
            return false;
        }
    }
    return true;
}

int32_t main() {
    long long l, r;
    cin >> l >> r;
    long long answer = 0;
    assert(r - l <= 1005);
    for (long long now = l; now <= r; ++now) {
        if (!is_square_free(now)) continue;
        for (long long sec = now + 1; sec <= r; ++sec) {
            if (!is_square_free(sec)) continue;
            if (gcd(now, sec) != 1) continue;
            answer++;
        }
    }
    cout << answer << '\n';
}