#include <bits/stdc++.h>

using namespace std;

bool is_square_free(int a) {
    if (a % 4 == 0) return false;
    for (int i = 3; i * i <= a; i += 2) {
        if (a % i == 0) {
            if ((a / i) % i == 0) {
                return false;
            }
        }
    }
    return true;
}

int32_t main() {
    int l, r;
    cin >> l >> r;
    int answer = 0;
    assert(r - l <= 1005);
    for (int now = l; now <= r; ++now) {
        if (!is_square_free(now)) continue;
        for (int sec = now + 1; sec <= r; ++sec) {
            if (!is_square_free(sec)) continue;
            if (gcd(now, sec) != 1) continue;
            answer++;
        }
    }
    cout << answer << '\n';
}