#include <bits/stdc++.h>

using namespace std;

vector<vector<int>> answer;
vector<int> curr;

void generate(int left_sum, int left_pos, int prev, int begin = -1000) {
    if (left_sum == 0 && left_pos == 0) {
        answer.emplace_back(curr);
        return;
    }
    if (begin != -1000) {
        curr.emplace_back(begin);
        generate(left_sum - begin, left_pos - 1, begin);
        curr.pop_back();
        return;
    }
    int hightest = 0, lowest = 0;
    for (int i = 0; i < left_pos; ++i) {
        hightest += (prev + i + 1);
        lowest += (prev - i - 1);
    }
    if (left_sum + hightest < 0 && left_sum + lowest > 0) return;

    if (left_pos == 0 && left_sum != 0) return;
    for (int i = prev - 1; i <= prev + 1; ++i) {
        curr.emplace_back(i);
        generate(left_sum - i, left_pos - 1, i);
        curr.pop_back();
    }
}

int32_t main() {
    int n, k;
    cin >> n >> k;
    for (int i = -9; i <= 9; ++i) {
        generate(n, k, -1234, i);
    }
    for (auto e : answer) {
        for (int i = 0; i < k; ++i) {
            if (e[i] >= 0 && i != 0) {
                cout << '+' << e[i];
            } else {
                cout << e[i];
            }
        }
        cout << '\n';
    }
}