import java.util.Scanner;
import static java.lang.Math.floor;
import static java.lang.Math.sqrt;

public class TaskD {
	private static boolean free(long l) {
		long sqr = (long) Math.sqrt(l) + 2;
		for (int i = 1; i < sqr && i < l; i++) {
			if (l % i == 0) {
				double sq = sqrt(l / i);
				if (floor(sq) == sq) {
					return false;
				}
			}
		}
		return true;
	}

	public static void main(String[] args) {
		Scanner in = new Scanner(System.in);
		long l = in.nextInt();
		long r = in.nextInt();
		long arr[] = new long[(int) (r - l + 1)];
		int count = 0;
		for (int i = 0; i < arr.length; i++) {
			if (free(i + l)) {
				arr[i] = i + l;
			}
		}
		for (int i = 0; i < arr.length; i++) {
			for (int j = i + 1; j < arr.length; j++) {
				if (arr[i] != 0 && arr[j] != 0 && free(arr[i] * arr[j])) {
					count++;
				}
			}
		}
		System.out.println(count);
	}

}
