#include <iostream>
#include <set>
#include <cmath>

#define ll long long
using namespace std;

pair<bool, set<ll>> f(ll m) {
    set<ll> r_set;
    for (ll k = 2; m > 1; k++) {
        if (k > sqrt(m) && m != 1) {
            if (r_set.find(m) != r_set.end())
                return {false, {}};
            r_set.insert(m);
            break;
        }
        if (m % k == 0) {
            if (!r_set.empty() && r_set.find(k) != r_set.end())
                return {false, {}};
            r_set.insert(k);
            m /= k;
            k = 1;
        }
    }
    return {true, r_set};
}

int main() {
    ll l, r;
    int amount = 0;
    cin >> l >> r;
    for (; l < r; l++) {
        auto first = f(l);
        if (first.first)
            for (ll i = l + 1; i <= r; i++) {
                auto second = f(i);
                if (second.first) {
                    bool ok = true;
                    for (auto &l_set_val:first.second)
                        if (second.second.find(l_set_val) != second.second.end()) {
                            ok = false;
                            break;
                        }
                    if (ok) amount++;
                }
            }
    }
    cout << amount << '\n';
    return 0;
}