﻿#pragma GCC optimize("O2")

#pragma region
#include <iostream>
#include <vector>
#include <utility>
#include <cmath>
#include <ctime>
#include <string>
#include <stack>
#include <algorithm>
#include <map>
#include <list>
#include <cassert>
#include <iomanip>
#include <set>
#include <queue>
#include <deque>
#include <unordered_set>

using namespace std;
#define ll long long
#define ld long double
#define int long long
#define VI vector<int>
#define VVI vector<VI>
#define VD vector<double>
#define VS vector<string>
#define VC vector<char>
#define VB vector<bool>
#define PAR pair<int, int>
#define VP vector<PAR>
#define SI set<int>
#define QI queue<int>
#define DI deque<int>
#define SP set<PAR>
#define QP queue<PAR>
#define DP deque<PAR>
#define SS set<string>
#define vall(x) x.begin(), x.end()
#define INF (int)(1e9 + 7)
#define BIGINF (ll)(1e18)
#define endl '\n'

void print(const VI& v) {
    for (auto val : v) {
        cout << val << ' ';
    }
    cout << endl;
}

void print(const VB& v) {
    for (auto val : v) {
        cout << val << ' ';
    }
    cout << endl;
}

bool rmax(int& a, int b) {
    if (a < b) {
        a = b;
        return true;
    }
    return false;
}

bool rmin(int& a, int b) {
    if (a > b) {
        a = b;
        return true;
    }
    return false;
}
#pragma endregion



signed main() {
    int r;
    cin >> r;
    int base = 0;
    if (r <= 1600) {
        base = 3;
    }
    else if ( r <= 1900 ) {
        base = 2;
    }
    else {
        base = 1;
    }

    string str;
    cin >> str;
    vector<string> ans;
    for (char c : str) {
        if (c - '0' == base) {
            ans.clear();
            cout << c << endl;
            return 0;
        }
        if (c - '0' < base) {
            ans.push_back(to_string(c - '0'));
        }
        else {
            ans.push_back({ c, '*' });
        }
    }
    for (string s : ans) {
        cout << s << endl;
    }
    return 0;
}
