#include <bits/stdc++.h>

using namespace std;

const int INF = 1e9;
int k;

void solve_case(int n, int j, vector<int> & a,  vector<int> & ans){
    for (int i = j; i < n; ++i){
        vector<int> tmp(k + 1, INF);
        for (int x = n - 1; x >= i; --x)
            tmp[a[x]] = x;
        int res = 1;
        for (int i = 1; i <= k; ++i)
            if (tmp[i] > tmp[res])
                res = i;
        ans.push_back(res);
        while (i < n && a[i] != res)
            ++i;
    }
    int x = 0;
    for (int i = 0; i < n && x < ans.size(); ++i)
        x += a[i] == ans[x];
    if (x == ans.size())
        ans.push_back(1);
}

signed main(){
    int m, n;
    #ifdef MY
    freopen("in.txt", "r", stdin);
    #endif // MY
    cin >> k >> m;
    vector<int> a(m);
    for (int i = 0; i < m; ++i)
        cin >> a[i];
    cin >> n;
    vector<int> b(n);
    for (int i = 0; i < n; ++i)
        cin >> b[i];
    vector<int> ans;

    int i = 0, j = 0;

    while (i < m && j < n){
        vector<int> tmp1(k + 1, INF), tmp2(k + 1, INF);
        for (int x = m - 1; x >= i; --x)
            tmp1[a[x]] = x;
        for (int x = n - 1; x >= j; --x)
            tmp2[b[x]] = x;

        int res = 1;
        for (int x = 1; x <= k; ++x)
            if (tmp1[x] - i + tmp2[x] - j > tmp1[res] - i + tmp2[res] - j)
                res = i;

        ans.push_back(res);
        while (i < m && a[i] != res)
            ++i;
        while (j < n && b[j] != res)
            ++j;

        ++i;
        ++j;
    }
    solve_case(m, i, a, ans);
    solve_case(n, j, b, ans);
    cout << ans.size() << endl;
    for (int i : ans)
        cout << i << " ";
}
