#include <bits/stdc++.h>

#define X first
#define Y second

using namespace std;

const int INF = 1e9;
int k;

int check(vector<int> & a, int start, int x){
    for (int i = start; i < a.size(); ++i)
        if (a[i] == x)
            return i;
    return a.size();
}

signed main(){
    int m, n;
    #ifdef MY
    freopen("in.txt", "r", stdin);
    #endif // MY
    cin >> k >> m;
    vector<int> a(m);
    for (int i = 0; i < m; ++i)
        cin >> a[i];
    cin >> n;
    vector<int> b(n);
    for (int i = 0; i < n; ++i)
        cin >> b[i];

    vector<vector<pair<int, pair<int, int>>>> dp(5002, vector<pair<int, pair<int, int>>>(k + 1)); // dp[i][k] -    i   k
                                                          //    -1
    for (int i = 1; i <= 5001; ++i){
        for (int x = 1; x <= k; ++x){
            int best_prev = 1, best_n = 0, best_m = 0;
            for (int prev = 1; prev <= k; ++prev){
                int tn = dp[i - 1][prev].Y.X, tm = dp[i - 1][prev].Y.Y;
                tn = check(b, tn, x);
                tm = check(a, tm, x);

                if (tn + tm >= best_m + best_n){
                    best_m = tm;
                    best_n = tn;
                    best_prev = prev;
                }
            }
            dp[i][x] = {best_prev, {best_n, best_m}};
            if (best_n == n && best_m == m) {
                cout << i << endl;
                vector<int> path;
                for (int j = i, c = x; j > 0; --j){
                    path.push_back(c);
                    c = dp[j][c].X;
                }
                reverse(path.begin(), path.end());
                for (int i : path)
                    cout << i << " ";
                return 0;
            }
        }
    }

}
