
#include <iostream>

using namespace std;

#define SIZE 100000

void GetPrimes(bool *sieve1, int end)
{
  for (int i = 2; i < end + 1; i++)
  {
    if (sieve1[i])
    {
      // prime
      int n = 2;
      while (n * i < end + 1)
        sieve1[n++ * i] = false;
    }
  }
}

bool GetPeimeArr(int Num, int *Arr)
{
  int *arrP = Arr;
  int Num1 = Num;
  for (int i = 2; i < Num1 + 1; i++)
  {
    if (Num % i == 0)
    {
      arrP[1] = 0;
      *arrP++ = i;
      Num /= i;
      if (Num % i == 0)
        return false;
    }

    if (Num == 1)
      return true;
  }
  return true;
}

bool Check(int Num, int *Arr)
{
  while (*Arr != 0) 
  {
    if (Num % *Arr++ == 0) 
      return false;
  }
  return true;
}


int main(void)
{
  //static bool Sieve1[SIZE];
  static int Arr[SIZE];
  static int Arr2[SIZE];

  int l, r;

  cin >> l;
  cin >> r;

  int res = 0;
  for (int i = l; i < r; i++)
  {
    if (!GetPeimeArr(i, Arr))
      continue;
    for (int j = i + 1; j < r + 1; j++)
      res += Check(j, Arr) * GetPeimeArr(j, Arr2);
  }
  cout << res;
  return 0;
}