from functools import lru_cache


n_ = int(input())
k_ = int(input())


@lru_cache(2 ** 20, typed=True)
def calc(l: int, n: int, k: int):
    if k == 1:
        if l == n:
            return [[n]]
        return []
    n -= l
    k -= 1
    result = []
    first = calc(l - 1, n, k)
    for e in first:
        result.append(e + [l])

    second = calc(l, n, k)
    for e in second:
        result.append(e + [l])

    third = calc(l + 1, n, k)
    for e in third:
        result.append(e + [l])
    return result


res = []
for i in range(-15, 15):
    res += calc(i, n_, k_)

res.sort()
for e in res:
    print(e[0], end="")
    for e1 in e[1:]:
        print(f"{e1:+}", end="")
    print()
