#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;

#define MULTITASK ELT
typedef long long ll;
typedef vector<int> vi;


void solve() {
  int k; cin >> k;
  int n; cin >> n;
  vi a(k, 0);
  for (int i = 0; i < n; ++i)
  {
    int v; cin >> v; v--;
    a[v]++;
  }
  int m; cin >> m;
  vi b(k, 0);
  for (int i = 0; i < m; ++i)
  {
    int v; cin >> v; v--;
    b[v]++;
  }
  int j = 0;
  for (int i = 0; i < k; i++) {
    if(max(a[j], b[j]) > max(a[i], b[i]))
    {
      j = i;
    }
  }
  int r = max(a[j], b[j]) + 1;
  cout << r << "\n";
  for (int i = 0; i < r; i++) {
    cout << j + 1 << " ";
  }
  cout << "\n";
}

int main() {
#if ELT
   freopen("input.txt", "r", stdin);
#endif
#if MULTITASK
   int q; cin >> q;
   while(q--) {
     solve();
   }
#else
   solve();
#endif
}
