#include <iostream>
#include <cmath>
#include <vector>

using namespace std;

bool isFree( long long k ) {
    bool is_dived = false;

    for (long long i = 2; i <= ceil(sqrt(k)); i++)
        if ((k % (i * i)) == 0) {
            is_dived = true;
            break;
        }
    return !is_dived;
}

bool isFullSqr( long long k ) {
    return k == floor(sqrt(double(k))) * floor(sqrt(double(k)));
}
int main() {
    long long l, r, count = 0;

    cin >> l >> r;

    for (long long a = l; a < r; a++)
        for (long long b = a + 1; b <= r; b++) {
            if (isFullSqr(b))
                continue;
            if (isFullSqr(a) && a != 1)
                continue;
            if (isFullSqr(a * b))
                continue;
            else {
                if (isFree(a * b))
                    count++;
            }

        }
    cout << count;


    return 0;
}