#include <cstdio>
#include <map>

typedef unsigned int uint;

uint a[5000], b[5000], k;

struct el
{
  uint c;
  uint *m;

  bool operator==( const el &E ) const
  {
    if (c != E.c)
      return 0;

    for (uint i = 0; i < c; i++)
      if (E.m[i] != m[i])
        return 0;
    return 1;
  }

  bool operator<( const el &E ) const
  {
    if (c != E.c)
      return c < E.c;

    for (uint i = 0; i < c; i++)
      if (E.m[i] != m[i])
        return E.m[i] > m[i];
    return 0;
  }

  bool Have( const el &E ) const
  {
    uint sym = 0;

    for (uint i = 0; i < c + sym; i++)
    {
      if (E.m[sym] == m[i])
        sym++;

      if (sym == E.c)
        return 1;
    }

    return 0;
  }
};

el A = { 0, a }, B = { 0, b };

bool MakeBuf( el &C, uint i )
{
  if (i == C.c)
    return !(A.Have(C) || B.Have(C));

  for (uint j = 1; j <= k; j++)
  {
    C.m[i] = j;
    if (MakeBuf(C, i + 1))
      return 1;
  }

  return 0;
}

int main( void )
{
  scanf_s("%u", &k);

  scanf_s("%u", &A.c);
  for (int i = 0; i < A.c; i++)
    scanf_s("%u", a + i);

  scanf_s("%u", &B.c);
  for (int i = 0; i < B.c; i++)
    scanf_s("%u", b + i);

  uint buf[5000] = {};
  el C = { 1, buf };
  for (C.c = 1; C.c <= A.c && C.c <= B.c; C.c++)
  {
    if (MakeBuf(C, 0))
    {
      printf("%i\n", C.c);

      for (uint i = 0; i < C.c; i++)
        printf("%i ", C.m[i]);
      break;
    }
  }

  return 0;
}