#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

//#define int long long
#define INF 1e9

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int k;
    cin >> k;
    int n;
    cin >> n;
    vector<int> a, b;
    for (int i = 0; i < n; i++) {
        int x;
        cin >> x;
        x--;
        a.push_back(x);
    }
    int m;
    cin >> m;
    for (int i = 0; i < m; i++) {
        int x;
        cin >> x;
        x--;
        b.push_back(x);
    }
    vector<vector<int>> dp(n + 1, vector<int>(m + 1, INF));
    vector<vector<pair<int, pair<int, int>>>> prev(n + 1, vector<pair<int, pair<int, int>>>(m + 1, {-1, {-1, -1}}));
    vector<vector<int>> cur(k);
    vector<vector<int>> curj(k);

    for (int i = 0; i < n; i++) {
        cur[a[i]].push_back(i);
    }
    for (int i = 0; i < m; i++) {
        curj[b[i]].push_back(i);
    }
    for (int i = 0; i < k; i++) {
        cur[i].push_back(n);
        curj[i].push_back(m);
        dp[cur[i][0]][curj[i][0]] = 1;
        prev[cur[i][0]][curj[i][0]] = {i, {-1, -1}};
    }
    vector<int> uk1(k, 0);
    for (int i = 0; i <= n; i++) {
        if (uk1[a[i]] != cur[a[i]].size() - 1)
            uk1[a[i]]++;
        vector<int> uk2(k, 0);
        for (int j = 0; j <= m; j++) {
            if (uk2[b[j]] != curj[b[j]].size() - 1)
                uk2[b[j]]++;
            for (int kk = 0; kk < k; kk++) {
                if (dp[cur[kk][uk1[kk]]][curj[kk][uk2[kk]]] > dp[i][j] + 1) {
                    dp[cur[kk][uk1[kk]]][curj[kk][uk2[kk]]] = dp[i][j] + 1;
                    prev[cur[kk][uk1[kk]]][curj[kk][uk2[kk]]] = {kk, {i, j}};
                }
            }
        }
    }
//    for (int i = 0; i <= n; i++) {
//        for (int j = 0; j <= m; j++) {
//            cerr << dp[i][j] << " ";
//        }
//        cerr << '\n';
//    }
    vector<int> ans;
    int x = n, y = m;
    int val = prev[x][y].first;
    while (val != -1) {
        ans.push_back(val + 1);
        int xx = prev[x][y].second.first, yy = prev[x][y].second.second;
        x = xx;
        y = yy;
        if (x == -1 || y == -1)
            break;
        val = prev[x][y].first;
    }
    cout << ans.size() << '\n';
    for (int i : ans) {
        cout << i << " ";
    }
    return 0;
}