#include<iostream>
#include<algorithm>
#include<vector>
#include<cmath>
#include<set>
using namespace std;

multiset<int> func(int n)
{
  multiset<int> ans;

  int n1 = n;
  for (int i = 2; i <= sqrt(n1); ++i)
  {
    while (n % i == 0)
    {
       ans.insert(i);
       n /= i;
    }
  }
  return ans;
}

int main()
{
  int l, r, count = 0;
  cin >> l >> r;
  for (int i = l; i < r; ++i)
  {
    if (i != 1 && sqrt(i) * sqrt(i) == i)
      continue;
    for (int j = i + 1; j <= r; ++j)
    {
      if (sqrt(j) * sqrt(j) == j)
        continue;
      multiset<int> ans;
      bool can = true;
      int n = i * j;
      ans = func(n);
      int prev = 1;
      for (auto k : ans)
      {
        if (k == prev && prev != 1)
        {
          can = false;
          break;
        }
        prev = k;
      }
      if (can)
      {
        count++;
      
      }
    }
  }
  cout << count;
  return 0;
}

/*
int main()
{
  int n, k;
  cin >> n >> k;
  for (int i = -n; i <= n; ++i)
  {
    int sum = 0, c = 0;
    vector<int> ans;
    for (int j = i; sum < n && c < k; ++j)
    {
      ans.push_back(j);
      sum += j;
      c++;
    }
    if (sum == n)
    {
      for (int j = 0; j < k; ++j)
        cout << ans[j] << '+';
      cout << endl;
    }
  }
  return 0;
}

/*
int main()
{
  long long int count = 1;
  long long int l, r, k;
  cin >> l >> r >> k;
  count = l * (l - 1) / 2 + 1;
  if (l == r)
  {
    for (int i = 0; i < k && i < l; ++i)
    {
      cout << count << " ";
      count++;
    }
    return 0;
  }
  for (long long int i = l; i <= r; ++i)
  {
    count = i * (i - 1) / 2 + 1;
    for (int j = 0; j < k && j < i; ++j)
    {
      cout << count << " ";
      count++;
    }
    cout << endl;
  }
}

/*
int main()
{
  int n, m, count = 0;
  cin >> n >> m;
  if ((n + m) % 2 == 1)
    count++;
  count += 2 * min(n, m);
  cout << count;
  return 0;
}

/*
int main()
{
  int n, div;
  cin >> n;
  if (n <= 1600)
    div = 3;
  else if (n > 1600 && n <= 1900)
    div = 2;
  else
    div = 1;
  string s;
  char d = 48 + div;
  cin >> s;
  for (int i = 0; i < s.size(); ++i)
  {
    if (s[i] == d)
    {
      cout << div;
      return 0;
    }
  }
    for (int i = 0; i < s.size(); ++i)
    {
      cout << s[i];
      if (s[i] > 48 + div)
        cout << '*';
      cout << endl;
    }
  return 0;
}          */