#include <iostream>
#include <algorithm>
#include <string>
#include <vector>

using namespace std;

_inline bool Check(unsigned x) {
  for (int i = 2; i * i <= x; i++) {
    if (x % (i * i) == 0)
      return 0;
  }
  return 1;
}
int main() {
  ios_base::sync_with_stdio(0), cout.tie(0), cin.tie(0);
  long long l, r, ans = 0;
  vector<unsigned> b;

  cin >> l >> r;
  for (int i = l; i <= r; i++) {
    if (Check(i))
      b.push_back(i);
  }
  for (int i = 0; i < b.size(); i++) {
    for (int j = i + 1; j < b.size(); j++) {
       if (Check(b[i] * b[j]))
         ans++;
    }
  }
  cout << ans << endl;
  return 0;
}