#include <iostream>
#include <algorithm>
#include <vector>
#include <unordered_map>
#include <cassert>
using namespace std;
const int maxN = 5001;
vector<int> a, b;
vector<int> answer[maxN];

int n, m, k;

bool subseq(vector<int> &cur, vector<int> &c) {
    if ((int)c.size() > (int)cur.size())
        return false;
    vector<vector<int>> pos(k + 1);
    for (int i = 1; i <= (int)cur.size() - 1; ++i) {
        pos[cur[i]].push_back(i);
    }
    int last = -1;
    for (auto u : c) {
        auto it = upper_bound(pos[u].begin(), pos[u].end(), last);
        if (it == pos[u].end()) return false;
        last = *it;
    }
    return true;
}

void gen(vector<int> nums, int x) {
    if (nums.size() == x) {
        //check
//        if (x == 4) {
//            cout << "! ";
//            for (auto u : nums) cout << u << ' ';
//            cout << '\n';
//        }
        if (!subseq(a, nums) && !subseq(b, nums))
            answer[x] = nums;
        return;
    }
    for (int i = 1; i <= k; ++i) {
        nums.push_back(i);
        gen(nums, x);
        nums.pop_back();
    }
}

bool have(int x) {
    vector<int> nums;
    gen(nums, x);
    return !answer[x].empty();
}
signed main() {
    ios::sync_with_stdio(0);cin.tie(0);
    //binary search? if can len x, then can all lens >= x.
    //how to check?
    // dp[len][last_element] = have / not have
    cin >> k;
    cin >> n;
    a.resize(n + 1);
    for (int i = 1; i <= n; ++i) cin >> a[i];
    cin >> m;
    b.resize(m + 1);
    for (int i = 1; i <= m; ++i) cin >> b[i];
    int L = 0, R = max(n, m) + 1;

    while (R - L > 1) {
        int M = R + L >> 1;
        if (have(M)) R = M;
        else L = M;
    }
    cout << R << '\n';
    for (auto u : answer[R])
        cout << u << ' ';
}
// 3 1 2 1
// 1 2 1 3

//1 1 1 1
//2 2 2 2