#include <iostream>
#include <vector>
#include <cmath>
#include <set>

typedef long long ll;

using namespace std;

set <pair <ll, ll> > s;

bool check(ll n){
	ll k = 3;
	while(k * k <= n){
		if(n % (k * k) == 0){
			return 0;
		}
		k += 2;
	}
	return 1;
}

bool check_2(int a, int b){
	if(a != 1 && b % a == 0){
		return 0;
	}
	for(int i = 2; i <= sqrt(a); i++){
		if((a % i == 0 && b % i == 0) || (a % i == 0 && b % (a / i) == 0)){
			return 0;
		}
	}
	return 1;
}

int main(){
	int l, r, count = 0;
	cin>>l>>r;
//	for(int i = l; i <= r; i++){
//		for(int j = i + 1; j <= r; j++){
//			ll a = i, b = j;
//			if(check(a) && check(b) && check(a * b)){
////				cout<<a<<" "<<b<<"\n";
//				s.insert({a, b});
//				count++;
//			}
//		}
//	}
//	cout<<count<<"\n\n";
	count = 0;
	for(int i = l; i <= r; i++){
		for(int j = i + 1; j <= r; j++){
			ll a = i, b = j;
			if(a % 4 != 0 && b % 4 != 0 && check(a) && check(b) & check_2(a, b)){
//				cout<<a<<" "<<b<<"\n";
				count++;
			}
		}
	}
	cout<<count;
	return 0;
}
