#include <iostream>
#include <math.h>
#include <minmax.h>
#include <string>
using namespace std;

bool is_free(long long num) {
    long long div_root = 1;
    while (true) {
        div_root++;
        long long div = div_root * div_root;
        if (div > num) {
            return true;
        }
        if (num % div == 0) {
            return false;
        }
    }
}

int main()
{
    long long l, r;
    cin >> l;
    cin >> r;

    int counter = 0;

    for (long long b = l + 1; b <= r; b++) {
        if (!is_free(b)) {
            continue;
        }
        for (long long a = l; a < b; a++) {
            if (b % a == 0) {
                continue;
            }

            if (!is_free(a)) {
                continue;
            }
            long long sqrt_a = sqrt(a);
            bool a_free = true;
            for (long long div = 2; div <= sqrt_a && a_free; div++) {
                if (a % div == 0) {
                    long long paired_div = a / div;
                    if (paired_div == div) {
                        a_free = false;
                    }
                    if (b % div == 0 || b % paired_div == 0) {
                        a_free = false;
                    }
                }
            }
            if (a_free) {
                counter++;
            }
        }
    }

    cout << counter;
}