#include <iostream>
#include <vector>
#include <algorithm>
#include <set>
#include <map>
using namespace std;
#define ll long long
map<char, int> cnt;

bool not_in(string rv, int l, int r, string s){
    string sub;
    for(int i = l; i <= r; ++i)
        sub += rv[i];


    int n = sub.size();
    for(int l = 0; l + n <= s.size(); ++l){
        bool ok =false;
        for(int i = 0; i < n; ++i){
            if(sub[i] != s[l + i]){
                ok = true;
            }
        }
        if(!ok)
            return false;
    }

    return true;
}

pair<int, int> sub_seq(string rs, string s1, string s2){
    int n = rs.size();

    for(int len = 1; len < n; ++len){
        for(int l = 0; l + len < n; ++l){
            int r = l + len;
            if(not_in(rs, l, r, s1) && not_in(rs, l, r, s2)){
                return {l, r};
            }

        }
    }

    return {-1, -1};
}

void print_rv(pair<int, int> crd, string s){
    for(int i = crd.first; i <= crd.second; ++i)
        cout << s[i] << ' ';
}

vector<pair<char, int>> cnt_this(string s){
    vector<pair<char, int>> ans = {{s[0], 1}};

    for(int i = 1; i < s.size(); ++i){
        while(i < s.size() && s[i] == s[i - 1]){
            ans.back().second++;
            i++;
        }
        ans.push_back({s[i], 1});
    }

    for(auto it : ans)
        cnt[it.first] = max(cnt[it.first], it.second);

    ans.pop_back();
    return ans;
}

int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int k;
    cin >> k;

    int m, n;
    cin >> m;

    string s1;
    set<int> ua;
    for(int i = 0; i < m; ++i){
        char x;
        cin >> x;
        ua.insert(x);
        s1 += x;
    }

    cin >> n;
    string s2;
    set<int> ub;
    for(int i = 0; i < n; ++i){
        char x;
        cin >> x;
        s2 += x;
        ub.insert(x);
    }

    if(k == 1){
        int q = max(n, m) + 1;
        cout << q << endl;
        for(int i = 0; i < q; ++i)
            cout << 1 << ' ';
        return  0;
    }


    if(ua.size() < k && ub.size() < k){
            cout << 1 << endl;
            cout << k;
            return 0;
    }


    string rs = s1;
    reverse(rs.begin(), rs.end());
    //cout << rs << endl;

    pair<int, int> ans = sub_seq(rs, s1, s2);
    //cout << ans.first << ' ' << ans.second << endl;

    string rs2 = s2;
    reverse(rs2.begin(), rs2.end());
    //cout << rs << endl;

    pair<int, int> ans2 = sub_seq(rs2, s1, s2);
    //cout << ans2.first << ' ' << ans2.second << endl;


    if(ans.first != -1){
        print_rv(ans, rs);
    } else if(ans2.first != -1){
        print_rv(ans2, rs2);
    } else{
            sort(s1.begin(), s1.end());
            sort(s2.begin(), s2.end());

            vector<pair<char, int>> cnt1 = cnt_this(s1);
            vector<pair<char, int>> cnt2 = cnt_this(s2);

            for(auto it : cnt)
                cout << it.first << ' ' << it.second << endl;
    }

}
