l = int(input())
r = int(input())


def factors(n):
    factors = []
    i = 2
    while i * i <= n:
        if n % i == 0:
            factors.append(i)
            n //= i
        else:
            i += 1
    if n > 1:
        factors.append(n)
    return factors


def clean_from_squares(factors_x):
    seen = set()
    for x in factors_x:
        if x in seen:
            return False
        seen.add(x)
    return True


dirty_factors = []

nums = 0
for a in range(l, r + 1):
    factors_a = factors(a)
    if clean_from_squares(factors_a):
        for b in range(a + 1, r + 1):
            if b not in dirty_factors:
                factors_b = factors(b)
                if clean_from_squares(factors_a + factors_b):
                    nums += 1
    else:
        dirty_factors.append(a)

print(nums)
