a = int(input())
b = int(input())
k = int(input())

class Stair:
    def __init__(self, begin, end, step_length):
        self.begin = begin
        self.end = end
        self.step_length = step_length
    
    def _get_fixed_range(self, start, length):
        result = []

        current_number = start
        while True:
            if len(result) == length:
                break

            result.append(current_number)
            current_number += 1

        return result

    def generate_stair(self):
        self.stair = []

        # Generate stair
        current_step = 0
        last_number = 1
        while current_step < self.end:
            self.stair.append(self._get_fixed_range(last_number, current_step+1))
            last_number = self.stair[current_step][-1] + 1
            current_step += 1

        # Cut begin of stair
        self.stair = self.stair[self.begin-1:]

        # Cur step
        for step in range(len(self.stair)):
            if not (len(self.stair[step]) <= self.step_length):
                self.stair[step] = self.stair[step][:self.step_length]

    def print_stair(self):
        for step in range(len(self.stair)):
            print(" ".join(str(elem) for elem in self.stair[step]))



stair = Stair(a, b, k)
stair.generate_stair()
stair.print_stair()
