a = int(input())
b = int(input())
k = int(input())

class Stair:
    def __init__(self, begin, end, step_length):
        self.begin = begin
        self.end = end
        self.step_length = step_length
    
    def _get_fixed_range(self, start, length):
        result = [start + i for i in range(length)]
        return result

    def generate_stair(self):
        self.stair = []

        # Generate stair
        last_number = 1
        for current_step in range(self.end):
            self.stair.append(self._get_fixed_range(last_number, current_step+1))
            last_number = self.stair[current_step][-1] + 1

        # Cut begin of stair
        if self.begin == self.end:
            # We also cut step because we have only one line
            self.stair = self.stair[self.begin-1][:self.step_length]
            return
        else:
            self.stair = self.stair[self.begin-1:]

        # Cut step
        if self.step_length > 1:
            self.stair = [self.stair[elem][:self.step_length] for elem in range(len(self.stair))]
        elif self.step_length == 1:
            self.stair = [elem[0] for elem in self.stair]

    def print_stair(self):
        if self.begin == self.end: 
            print(" ".join(str(elem) for elem in self.stair))
            return
        if self.step_length == 1:
            print("\n".join(str(elem) for elem in self.stair))
            return
        for step in range(len(self.stair)):
            print(" ".join(str(elem) for elem in self.stair[step]))



stair = Stair(a, b, k)
stair.generate_stair()
stair.print_stair()
