#pragma GCC optimize("O3", "unroll-loops")
#include <bits/stdc++.h>
#define int long long
using namespace std;

bool sqrtfree(int n) {
    for (int i = 2; i * i <= n; ++i) {
        if (n % (i * i) == 0)
            return 0;
    }
    return 1;
}

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int a, b;
    cin >> a >> b;
    int ans = 0;
    for (int i = a; i < b; ++i) {
        if (!sqrtfree(i))
            continue;
        for (int j = i + 1; j <= b; ++j) {
            if (!sqrtfree(j)) 
                continue;
            if (sqrtfree(i*j))
                ans++;
        }
    }
    cout << ans;
    return 0;
}
