﻿#pragma comment(linker, "/stack:200000000")
#define _CRT_SECURE_NO_WARNINGS
#include <algorithm>
#include <bitset>
#include <cstring>
#include <cstdio>
#include <cmath>
#include <cctype>
#include <cassert>
#include <climits>
#include <ctime>
#include <cstdlib>
#include <fstream>
#include <functional>
#include <iostream>
#include <iomanip>
#include <map>
#include <string>
#include <queue>
#include <stack>
#include <set>
#include <unordered_set>
#include <unordered_map>
#include <vector>

#pragma GCC optimize("Ofast")
#pragma GCC target("sse,sse2,sse3,ssse3,sse4,popcnt,abm,mmx,avx,tune=native")

using namespace std;

#define start ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
#define all(x) x.begin(), x.end()
#define int long long

const int MAX = 1e5 + 10;
const int mod = 1e9 + 7;

template <class T>
istream& operator >>(istream& in, vector<T>& arr) {
	for (T& cnt : arr) {
		in >> cnt;
	}
	return in;
};	

int gcd(int a, int b) {
	return (!b ? a : gcd(b, a % b));
}

void solve() {
	vector<int> dels;
	for (int i = 2; i * i <= 1e9; i++) {
		dels.push_back(i * i);
	}
	int l, r; cin >> l >> r;
	vector<int> right;
	for (int i = l; i <= r; i++) {
		bool chk = true;
		for (int j = 0; j < dels.size(); j++) {
			if (i % dels[j] == 0) chk = false;
		}
		if (chk) right.push_back(i);
	}
	int ans = 0;
	for (int i = 0; i < right.size(); i++) {
		for (int j = i + 1; j < right.size(); j++) {
			if (gcd(right[i], right[j]) == 1) ans++;
		}
	}
	cout << ans;
}

//void solve() {
//	int Max; cin >> Max;
//	int n; cin >> n;
//	vector<int> a(n); cin >> a;
//	int m; cin >> m;
//	vector<int> b(m); cin >> b;
//
//}

signed main()
{
	start;
	int _tests = 1;
	
	//cin >> _tests;
	while (_tests--) {
		solve();
	}
	return 0;
}