#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <set>
#define int long long
using namespace std;

set <int> q;

bool check(int x)
{
	for (int i = 2; i * i <= x; i++)
		if (x % (i * i))
			return false;
	return true;
}

int32_t main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
	int l, r, ans = 0;
	cin >> l >> r;
	for (int i = l; i <= r; i++)
		if (!check(i))
			q.insert(i);
	for (int i = l; i <= r; i++)
	{
		if (q.count(i))
			continue;
		for (int j = i + 1; j <= r; j++)
		{
			if (q.count(j))
				continue;
			if (__gcd(i, j) != 1)
				continue;
			ans++;
		}
	}
	cout << ans;
}