#include <iostream>
#include <cmath>
#include <algorithm>
#include <set>
#define int long long
using namespace std;

set <int> q;

bool check(int x)
{
	int d = 2, cnt = 0;
	while (x != 1)
	{
		if (x % d == 0)
			x /= d, cnt++;
		else
			d++, cnt = 0;
		if (cnt >= 2)
			return false;
	}
	return true;
}

int32_t main()
{
	int l, r, ans = 0;
	cin >> l >> r;
	for (int i = l; i <= r; i++)
		if (!check(i))
			q.insert(i);
	for (int i = l; i <= r; i++)
	{
		if (q.count(i))
			continue;
		for (int j = i + 1; j <= r; j++)
		{
			if (q.count(j))
				continue;
			if (__gcd(i, j) != 1)
				continue;
			ans++;
		}
	}
	cout << ans;
}