#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <set>
#define int long long
using namespace std;

const int INF = 1e9;

int n, k;

void solve(vector <int> v = {}, int cur = 0, int last = INF)
{
	if (v.size() == k)
	{
		if (cur == n)
		{
			for (int i = 0; i < v.size(); i++)
			{
				if (i == v.size() - 1)
					cout << v[i] << '\n';
				else
				{
					if (v[i + 1] < 0)
						cout << v[i];
					else
						cout << v[i] << '+';
				}
			}
		}
		return;
	}
	if (last == INF)
	{
		for (int i = n - k; i <= n + k; i++)
		{
			int buf = i;
			cur += i;
			v.push_back(i);
			solve(v, cur, buf);
			cur -= i;
			v.pop_back();
		}
	}
	else
	{
		for (int i = -1; i <= 1; i++)
		{
			int buf = last + i;
			cur += buf;
			v.push_back(buf);
			solve(v, cur, buf);
			cur -= buf;
			v.pop_back();
		}
	}
}

int32_t main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
	cin >> n >> k;
	solve();
}