#include <iostream>
#include <vector>
#include <string>
#include <math.h>
#include <algorithm>
#include <set>
#include <map>

using namespace std;

typedef long long ll;

int gcd(int a, int b){
	return b ? gcd(b, a % b) : a;
}

void solve(){
	ll l, r, cnt = 0;
	cin >> l >> r;
	vector<ll> a;
	for(int i = 2; i < 100000; i++){
		a.push_back(i * i);
	}
	map<int, bool> m;
	for(int i = l; i <= r; i++){
		m[i] = true;
	}
	for(int i = l; i <= r; i++){
		for(int j = 0; a[j] <= (i); j++){
			if(i % a[j] == 0){
				m[i] = false;
				break;
			}
		}
	}
	for(int i = l; i <= r; i++){
		for(int j = i + 1; j <= r; j++){
			if(gcd(i, j) == 1){
				if(m[i] == true && m[j] == true){
					//cout << i << " " << j << endl;
					cnt++;
				}
			}
		}
	}
	cout << cnt << endl;
}

int main(){
	cin.tie(NULL);
	cout.tie(NULL);
	ios_base::sync_with_stdio(false);
	int t = 1;
	//cin >> t;
	while(t--) {
		solve();
	}
}
