#include <iostream>
#include <vector>
#include <cmath>

using namespace std;

int gcd(int a, int b){
	if(a == 0 || b == 0) return max(a, b);
	if(a > b) return gcd(b, a%b);
	else return gcd(a, b%a);
}

bool f(int a, int *pr, int n){
	for(int i = 0; i < n; i++){
		if(a % (pr[i]*pr[i]) == 0) return false;
	}
	return true;
}

int main() {
	int l, r;
	cin >> l >> r;
	int tmp = sqrt(r);
	int prime[tmp+1];
	for(int i = 2; i <= tmp; i++){
		prime[i] = true;
	}
	int k = 0;
	int pr[100000];
	for(int i = 2; i <= tmp; i++){
		if(prime[i]){
			for(int j = i*i; j <= tmp; j+=i){
				prime[j] = false;
			}
		}
	}
	for(int i = 2; i <= tmp; i++){
		if(prime[i]){
			pr[k] = i; 
			k++;
		}
	}
	int cnt = 0;
	for(int i = l; i <= r; i++){
		for(int j = i+1; j <= r; j++){
			//cout << i << " " << j << f(i, pr, k) << " " << f(j, pr, k) << endl;
			if(f(j, pr, k) && f(i, pr, k) && gcd(i, j) == 1){
				cnt++; 
			}
		}
	}
	//cout << gcd(r, l) << endl;	
	cout << cnt << "\n";
}