/*
⣴⣶⣶⡀⠄⠄⠙⢿⣿⣿⣿⣿⣿⣴⣿⣿⣿⢃⣤⣄⣀⣥⣿
⣿⣿⣿⣧⣀⢀⣠⡌⢻⣿⣿⣿⣿⣿⣿⣿⣿⣿⠿⠿⠿⣿⣿
⣤⣤⣤⣬⣙⣛⢿⣿⣿⣿⣿⣿⣿⡿⣿⣿⡍⠄⠄⢀⣤⣄⠉
⣿⣿⣿⣿⣿⣿⣿⢿⣿⣿⣿⣿⣿⢇⣿⣿⡷⠶⠶⢿⣿⣿⠇
⣿⣿⣿⣿⣿⣿⣿⣿⣽⣿⣿⣿⡇⣿⣿⣿⣿⣿⣿⣷⣶⣥⣴
⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⣻⣿⣿⣧⠙⠛⠛⡭⠅⠒⠦⠭⣭⡻⣿⣿⣿⣿⣿⣿⣿⣿⡿
⣿⣿⣿⣿⡆⠄⠄⠄⠄⠄⠄⠄⠄⠹⠈⢋⣽⣿⣿⣿⣿⣵⣾
⣿⣿⣿⣿⣿⠄⣴⣿⣶⣄⠄⣴⣶⠄⢀⣾⣿⣿⣿⣿⣿⣿⠃
⠛⢿⣿⣿⣿⣦⠁⢿⣿⣿⡄⢿⣿⡇⣸⣿⣿⠿⠛⠁⠄⠄⠄
⠄⠄⠉⠻⣿⣿⣿⣦⡙⠻⣷⣾⣿⠃⠿⠋⠁⠄⠄⠄⠄⠄⢀
⣮⣥⠄⠄⠄⠛⢿⣿⣿⡆⣿⡿⠃⠄⠄⠄⠄⠄⠄⠄⣠⣴⣿
*/
#include <iostream>
#include <algorithm>
#include <vector>
#include <string>
#include <cstdio>
#include <set>
#include <fstream>
#include <climits>
#include <cmath>
#include <deque>
#include <map>
#include <ctime>
#include <random>
#include <unordered_set>
#include <chrono>
#include <queue>

#define ff first
#define ss second
#define pb push_back
#define pp pop_back()
#define out(a) cout << a << " ";
#define ends cout << endl;
#define here cout << here << endl;
typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;
#define IO ios_base::sync_with_stdio(false); cin.tie(nullptr); cout.tie(nullptr);
using namespace std;

void razlozenie(int k, vector<int> &v){
    int sq = sqrt(k);
    for(int i = 2; i < sq + 1; ++i){
        if(k % i == 0){
            k /= i;
            if(k % i == 0){
                v.pb(-1);
                return;
            } else {
                v.pb(i);
            }
        }
    }
}

int gcd(int a, int b){
    if(!a || !b) return a + b;
    if(a % b == 0) return b;
    if(a >= b){
        return gcd(a / b * b, a - a / b * b);
    } else {
        return gcd(b, a);
    }
}

void solve(){
    IO
    int l, r;
    cin >> l >> r;
    int cnt = 0;
    for(int i = l; i <= r; ++i){
        for(int j = i + 1; j <= r; ++j){
            if(gcd(i, j) == 1) {
                bool flag = true;
                for(int k = 2; k * k <= i || k * k <= j; ++k){
                    if(i % (k * k) == 0 || j % (k * k) == 0){
                        flag = false;
                        break;
                    }
                }
                if(flag) {
                    cnt++;
                    //cout << i << " " << j << endl;
                }
            }
        }
    }
    cout << cnt;
}

int main(){
    solve();
    return 0;
}
