/*
⣴⣶⣶⡀⠄⠄⠙⢿⣿⣿⣿⣿⣿⣴⣿⣿⣿⢃⣤⣄⣀⣥⣿
⣿⣿⣿⣧⣀⢀⣠⡌⢻⣿⣿⣿⣿⣿⣿⣿⣿⣿⠿⠿⠿⣿⣿
⣤⣤⣤⣬⣙⣛⢿⣿⣿⣿⣿⣿⣿⡿⣿⣿⡍⠄⠄⢀⣤⣄⠉
⣿⣿⣿⣿⣿⣿⣿⢿⣿⣿⣿⣿⣿⢇⣿⣿⡷⠶⠶⢿⣿⣿⠇
⣿⣿⣿⣿⣿⣿⣿⣿⣽⣿⣿⣿⡇⣿⣿⣿⣿⣿⣿⣷⣶⣥⣴
⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⣻⣿⣿⣧⠙⠛⠛⡭⠅⠒⠦⠭⣭⡻⣿⣿⣿⣿⣿⣿⣿⣿⡿
⣿⣿⣿⣿⡆⠄⠄⠄⠄⠄⠄⠄⠄⠹⠈⢋⣽⣿⣿⣿⣿⣵⣾
⣿⣿⣿⣿⣿⠄⣴⣿⣶⣄⠄⣴⣶⠄⢀⣾⣿⣿⣿⣿⣿⣿⠃
⠛⢿⣿⣿⣿⣦⠁⢿⣿⣿⡄⢿⣿⡇⣸⣿⣿⠿⠛⠁⠄⠄⠄
⠄⠄⠉⠻⣿⣿⣿⣦⡙⠻⣷⣾⣿⠃⠿⠋⠁⠄⠄⠄⠄⠄⢀
⣮⣥⠄⠄⠄⠛⢿⣿⣿⡆⣿⡿⠃⠄⠄⠄⠄⠄⠄⠄⣠⣴⣿
*/
#include <iostream>
#include <algorithm>
#include <vector>
#include <string>
#include <cstdio>
#include <set>
#include <fstream>
#include <climits>
#include <cmath>
#include <deque>
#include <map>
#include <ctime>
#include <random>
#include <unordered_set>
#include <chrono>
#include <queue>

#define ff first
#define ss second
#define pb push_back
#define pp pop_back()
#define out(a) cout << a << " ";
#define ends cout << endl;
#define here cout << here << endl;
typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;
#define IO ios_base::sync_with_stdio(false); cin.tie(nullptr); cout.tie(nullptr);
using namespace std;

int gcd(int a, int b){
    //cout << a << " " << b << endl;
    if(!a || !b) return a + b;
    if(a % b == 0) return b;
    if(a >= b){
        return gcd(b, a - a / b * b);
    } else {
        return gcd(b, a);
    }
}

int solve1(int l, int r){
    IO
    int cnt = 0;
    for(int i = l; i <= r; ++i){
        for(int j = i + 1; j <= r; ++j){

            if(gcd(i, j) == 1) {if(i == 3 && j == 14) cout << 2312313 << endl;
                bool flag = true;
                for(int k = 2; k * k <= i || k * k <= j; ++k){
                    if(i % (k * k) == 0 || j % (k * k) == 0){
                        flag = false;
                        break;
                    }
                }
                if(flag) {
                    cnt++;
                    //cout << i << " " << j << endl;
                }
            }
        }
    }
    return cnt;
}

int solve(int l, int r){
    IO
    int cnt = 0;
    for(ll i = l; i <= r; ++i){
        for(ll j = i + 1; j <= r; ++j){
            ll k = i * j;
            ll sq = sqrt(k);
            bool flag = true;
            for(int m = 2; m <= sq + 1; ++m){
                if(k % (m * m) == 0) {
                    flag = false;
                    break;
                }
            }
            if(flag) {
                cout << i << " " << j << endl;
                cnt++;
            }
        }
    }
    return cnt;
}

int main(){
    int l, r;
    cin >> l >> r;
    cout << solve1(l, r);
    return 0;
}
