#include <bits/stdc++.h>

using namespace std;

bool is_square_empty(vector<int> &primes, int x) {
    int limit = sqrt(x);
    for (int prime : primes) {
        if (x % (prime * prime) == 0) {
            return false;
        }
        if (prime > x) {
            return true;
        }
    }
    return true;
}

int main() {
    int l, r;
    cin >> l >> r;

    int limit = r;
    vector<bool> sieve(limit, true);
    vector<int> primes;
    for (int i = 2; i < limit; ++i) {
        if (sieve[i]) {
            primes.push_back(i);
            for (int j = 2 * i; j < limit; j += i) {
                sieve[j] = false;
            }
        }
    }

    int cnt = 0;
    for (int i = l; i <= r; ++i) {
        if (is_square_empty(primes, i))
        for (int j = i + 1; j <= r; ++j) {
            if (is_square_empty(primes, i * j)) {
                cnt += 1;
            }
        }
    }
    cout << cnt;
}