#include <iostream>
#include <cmath>
#include <vector>
#include <string>

using namespace std;

bool free(long long x){
    for(long long i=2;i*i<=x;i++){
        if(x%(i*i)==0)
            return false;
    }
    return true;
}

int main(){
    int l,r;
    cin >> l >> r;
    int res=0;
    vector <bool> fre(r+1,0);
    for(int i=2;i*i<=r;i++){
        for(int j=1;i*i*j<=r;j++){
            fre[i*i*j]=1;
        }
    }
    for(long long i=l;i<=r;i++){
        for(long long j=i+1;j<=r;j++){
            if(!fre[i] && !fre[j] && free(i*j))   res++;
        }
    }
    cout << res;
}
