#include <iostream>
#include <cmath>
#include <vector>
#include <string>

using namespace std;

long long gcd(long long a, long long b){
    if(b==0)    return a;
    else        return gcd(b,a%b);
}

int main(){
    int l,r;
    cin >> l >> r;
    vector <bool> resh(1e8+1,0);
    for(int i=2;i*i<1e8+1;i++){
        for(int j=1;j*i*i<1e8+1;j++){
            resh[j*i*i]=1;
        }
    }
    long long res=0;
    for(int i=l;i<=r;i++){
        if(!resh[i]){
            for(int j=i+1;j<=r;j++){
                if(!resh[j] && gcd(i,j)==1) res++;
            }
        }
    }
    cout << res;
}
