#include <iostream>
#include <cmath>
#include <vector>
#include <string>

using namespace std;

long long gcd(long long a, long long b){
    if(b==0)    return a;
    else        return gcd(b,a%b);
}

int main(){
    long long l,r;
    cin >> l >> r;
    vector <bool> reshe(1e6+1,0);
    vector <int> deq;
    for(long long i=2;i*i<=1e6;i++){
        for(long long j=i*i;j<=1e6;j+=i){
            reshe[j]=1;
        }
    }
    for(int i=2;i<1e6;i++){
        if(!reshe[i]){
            deq.push_back(i);
        }
    }
    vector <bool> resh(r+1,0);
    for(long long i=0;deq[i]*deq[i]<r+1;i++){
            for(long long j=1;j*deq[i]*deq[i]<r+1;j++){
                resh[j*deq[i]*deq[i]]=1;
            }
    }
    long long res=0;
    for(int i=l;i<=r;i++){
        if(!resh[i]){
            for(int j=i+1;j<=r;j++){
                if(!resh[j] && gcd(i,j)==1) res++;
            }
        }
    }
    cout << res;
}
