#include <iostream>
#include <cmath>
#include <vector>
#include <set>
#include <unordered_set>
#include <unordered_map>
#include <map>
#include <algorithm>
#include <string>
#include <deque>


#define first ff
#define second ss
#define pb push_back

typedef long long ll;
typedef long double ld;

using namespace std;

bool check(ll a, ll b) {
    if (a > b) swap(a, b);
    ll tmp = sqrt(a) + 1;
    if(b % a == 0) return 1;
    for (int i = 2; i <= tmp; i++) {
        if (a % i == 0 && b % i == 0) return 1;
    }
    return 0;
}

int main() {
    ios_base::sync_with_stdio(0); cin.tie(nullptr); cout.tie(nullptr);
    ll l, r;
    cin >> l >> r;
    ll res = 0;
    vector <bool> arr(r - l + 10, true);
    for (int i = l; i <= r; i++) {
        ll tmp = sqrt(i) + 10;
        int j = 2;
        int cnt = 0;
        ll k = i;
        while (j <= tmp && k > 0) {
            if (k % j != 0) {
                j++;
                cnt = 0;
            } else {
                k /= j;
                cnt++;
                if (cnt == 2) {
                    arr[i - l] = false;
                    break;
                }
            }
        }
    }
    for (int i = l; i <= r; i++) {
        for (int j = i; j <= r; j++) {
            if (arr[j - l] && arr[i - l] && check(i, j) == 0) res++;
        }
    }
    cout << res;
    return 0;
}
