#include <iostream>
#include <vector>
#include <set>
#include <unordered_set>
#include <map>
#include <unordered_map>
#include <queue>
#include <deque>
#include <stack>
#include <algorithm>
#include <cmath>

using namespace std;

using ll = long long;
using ull = unsigned long long;

int k, n;

ostream& operator<<(ostream& ostr, const vector<int>& v)
{
	if (!v.empty())
	{
		ostr << v[0];
		for (int i = 1; i < v.size(); i++)
			if (v[i] < 0)
				ostr << v[i];
			else
				ostr << '+' << v[i];
	}
	return ostr;
}

void dfs(vector<int>& v, int left)
{
	//cout << v << endl;
	int x = floor((2.0l * n / k - k + 1) / 2);
	int y = ceil((2.0l * n / k + k - 1) / 2);
	if (v.size() == k)
	{
		if (left == 0)
			cout << v << endl;
		return;
	}
	if (v.size() > k)
		return;
	if (v.back() - 1 > y or v.back() + 1 < x)
		return;
	for (int i = -1; i <= 1; i++)
	{
		v.push_back(v.back() + i);
		dfs(v, left - v.back());
		v.pop_back();
	}
}

int main(void)
{
	cin >> n >> k;
	
	int x = floor((2.0l * n / k - k + 1) / 2);
	int y = ceil((2.0l * n / k + k - 1) / 2);
	//cout << x << ' ' << y << endl;

	std::vector<int> v;
	for (int i = x; i <= y; i++)
	{
		v.push_back(i);
		dfs(v, n - i);
		v.pop_back();
	}

	return 0;
}
	