#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef pair <int , int> pii;
typedef pair <ll , ll> pll;

#define print(a) {for (auto xxxxx : (a)) cout << xxxxx << ' '; cout << '\n';}
#define all(a) (a).begin() , (a).end()
#define rall(a) (a).rbegin() , (a).rend()

const int intf = 2e9;
const ll inf = 2e18;


ll l , r;
vector <set <int> > d;

bool is_free(ll x) {
    ll x1 = x;
    for (ll i = 2; i*i <= x; i++) {
        int cnt = 0;
        while (x % i == 0) {
            cnt++;
            x /= i;
        }
        if (cnt >= 2)
            return false;

        if (cnt)
            d[x1 - l].insert(i);
    }
    if (x > 1) {
        d[x1 - l].insert(x);
    }
    return true;
}

void solve() {
    cin >> l >> r;
    vector <bool> free(r - l + 1 , false);
    d.resize(r - l + 1);
    for (ll i = l; i <= r; i++) {
        free[i - l] = is_free(i);
    }

    int ans = 0;
    for (ll i = 0; i <= r - l + 1; i++) {
        if (!free[i])
            continue;
        for (ll j = i + 1; j <= r - l + 1; j++) {
            if (!free[j])
                continue;

            bool cur = true;
            for (auto x : d[i]) {
                if (d[j].count(x)) {
                    cur = false;
                    break;
                }
            }

            ans += cur;
        }
    }
    cout << ans << '\n';
}

signed main() {
    ios_base::sync_with_stdio(false); cin.tie(0); cout.precision(20);
    //freopen("input.txt" , "r" , stdin);

    int t = 1;
    //cin >> t;
    while (t --> 0) {
        solve();
    }

    return 0;
}
