#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef pair <int , int> pii;
typedef pair <ll , ll> pll;

#define print(a) {for (auto xxxxx : (a)) cout << xxxxx << ' '; cout << '\n';}
#define all(a) (a).begin() , (a).end()
#define rall(a) (a).rbegin() , (a).rend()

const int intf = 2e9;
const ll inf = 2e18;

ll F(ll x) {
    return ((x + 1)*x) / 2;
}

ll F(ll l , ll r) {
    if (l > r)
        swap(l , r);

    ll ans = F(r - l + 1);
    ans += (l - 1)*(r - l + 1);
    return ans;
}

string tos(ll x , bool flag = false) {
    string ans = "";
    if (x < 0)
        ans += '-';
    else if (!flag)
        ans += '+';
    ans += to_string(abs(x));
    return ans;
}

vector <string> ans;

int n , k;
string st;

void solve(int step , int cur , int last) {
    if (step == k && cur == n) {
        ans.push_back(st);
        return;
    }

    for (int j = last - 1; j <= last + 1; j++) {
        if (cur + F(j , j - (k - step - 1)) <= n && cur + F(j , j + (k - step - 1)) >= n) {
            st += tos(j);
            solve(step + 1 , cur + j , j);
            int sz = tos(j).size();
            while (sz --> 0) {
                st.pop_back();
            }
        }
    }
}

void solve() {
    cin >> n >> k;
    for (int i = -30; i <= 30; i++) {
        st.clear();
        st += tos(i , true);
        solve(1 , i , i);
    }
    sort(all(ans));
    for (auto x : ans) {
        cout << x << '\n';
    }
}

signed main() {
    ios_base::sync_with_stdio(false); cin.tie(0); cout.precision(20);
    //freopen("input.txt" , "r" , stdin);

    int t = 1;
    //cin >> t;
    while (t --> 0) {
        solve();
    }

    return 0;
}
