#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef pair <int , int> pii;
typedef pair <ll , ll> pll;

#define print(a) {for (auto xxxxx : (a)) cout << xxxxx << ' '; cout << '\n';}
#define all(a) (a).begin() , (a).end()
#define rall(a) (a).rbegin() , (a).rend()

const int intf = 2e9;
const ll inf = 2e18;

const int maxn = 5e3 + 1;

int pr[maxn][maxn] , dp[maxn][maxn];
bool was[maxn][maxn];
int a[maxn] , b[maxn];

void solve() {
    int k; cin >> k;
    int n; cin >> n;
    for (int i = 0; i < n; i++) {
        cin >> a[i];
        a[i]--;
    }
    int m; cin >> m;
    for (int i = 0; i < m; i++) {
        cin >> b[i];
        b[i]--;
    }

    vector < vector <int> > toi(n + 1 , vector <int> (k , n));
    for (int i = n - 2; i >= 0; i--) {
        toi[i] = toi[i + 1];
        toi[i][a[i + 1]] = i + 1;
    }
    vector < vector <int> > toj(m + 1 , vector <int> (k , m));
    for (int i = m - 2; i >= 0; i--) {
        toj[i] = toj[i + 1];
        toj[i][b[i + 1]] = i + 1;
    }
    for (int j = 0; j <= n; j++) {
        for (int t = 0; t <= m; t++) {
            pr[j][t] = -1;
            dp[j][t] = intf;
            was[j][t] = false;
        }
    }

    vector <pii> lst;
    for (int i = 0; i < k; i++) {
        int i1 = 0;
        if (a[0] != i)
            i1 = toi[0][i];
        int i2 = 0;
        if (b[0] != i)
            i2 = toj[0][i];

        dp[i1][i2] = 1;
        was[i1][i2] = true;
        pr[i1][i2] = i;
        lst.emplace_back(i1 , i2);
    }
    for (int i = 0; i < lst.size(); i++) {
        pii v = lst[i];
        bool skip = false;
        for (int j = 0; j < k; j ++) {
            pii to = {toi[v.first][j] , toj[v.second][j]};
            if (was[to.first][to.second])
                continue;
            dp[to.first][to.second] = dp[v.first][v.second] + 1;
            lst.push_back(to);
            pr[to.first][to.second] = j;
            was[to.first][to.second] = true;
            if (to == make_pair(n , m)) {
                skip = true;
                break;
            }
        }
        if (skip)
            break;
    }

    cout << dp[n][m] << '\n';
    pii pos = {n , m};
    vector <int> ans;
    while (pos.first != -1) {
        int x = pr[pos.first][pos.second];
        ans.push_back(x + 1);
        int i1 = pos.first - 1 , i2 = pos.second - 1;
        while (i1 >= 0 && a[i1] != x)
            i1--;
        while (i2 >= 0 && b[i2] != x)
            i2--;

        pos = {i1 , i2};
    }
    reverse(all(ans));
    print(ans);
}

signed main() {
    ios_base::sync_with_stdio(false); cin.tie(0); cout.precision(20);
    //freopen("input.txt" , "r" , stdin);

    int t = 1;
    //cin >> t;
    while (t --> 0) {
        solve();
    }

    return 0;
}
