#include <iostream>
#include <algorithm>
#include <vector>

using namespace std;

template <class T = int>
T next() { T x; cin >> x; return x; }

typedef long long ll;

bool is_free(ll x)
{
    for (int i = 2; i * i <= x; i++)
        if (x % (i * i) == 0)
            return false;

    return true;
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);

    int l, r, cnt = 0;
    cin >> l >> r;

    for (int i = l; i <= r; i++)
        for (int j = i + 1; j <= r; j++)
            cnt += is_free(i) && is_free(j) && is_free((ll)i * (ll)j);

    cout << cnt << '\n';

    return 0;
}
