#include <iostream>
#include <algorithm>
#include <vector>
#include <string>
#include <set>

using namespace std;

template <class T = int>
T next() { T x; cin >> x; return x; }

set<string> answers;
vector<int> solution;

void solve(int n, int k)
{
    //cout << n << ' ' << k << '\n';

    if (k == 0)
    {
        if (n == 0)
        {
            string st = to_string(solution[1]);

            for (int i = 2; i < solution.size(); i++)
                if (solution[i] < 0)
                    st +=  to_string(solution[i]);
                else
                    st +=  "+" + to_string(solution[i]);

            answers.insert(st);
            //cout << '\n';
        }

        return;
    }

    for (int i = solution.back() - 1; i <= solution.back() + 1; i++)
    {
        solution.push_back(i);
        solve(n - i, k - 1);
        solution.pop_back();
    }
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);

    int n, k;
    cin >> n >> k;
    solution.reserve(k);

    for (int i = -15; i <= 15; i++)
    {
        solution.push_back(i);
        solve(n, k);
        solution.pop_back();
    }

    for (string st : answers)
        cout << st << '\n';

    return 0;
}
